/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs

#define yylval          cf_lval
#define yychar          cf_char

/* Copy the first part of user declarations.  */
#line 59 "conf/gen_parser.m4" /* yacc.c:339  */

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_MPLS_DOMAIN: cf_assert(sym->class == SYM_MPLS_DOMAIN, "MPLS domain name required"); break;
    case SYM_MPLS_RANGE: cf_assert(sym->class == SYM_MPLS_RANGE, "MPLS range name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

static struct symbol *this_function;
static struct sym_scope *this_for_scope;

static struct f_method_scope {
  struct f_inst *object;
  struct sym_scope *main;
  struct sym_scope scope;
} f_method_scope_stack[32];
static int f_method_scope_pos = -1;

#define FM  (f_method_scope_stack[f_method_scope_pos])

static inline void f_method_call_start(struct f_inst *object)
{
  if (object->type == T_VOID)
    cf_error("Can't infer type to properly call a method, please assign the value to a variable");
  if (++f_method_scope_pos >= (int) ARRAY_SIZE(f_method_scope_stack))
    cf_error("Too many nested method calls");

  struct sym_scope *scope = f_type_method_scope(object->type);
  if (!scope)
    cf_error("No methods defined for type %s", f_type_name(object->type));

  FM = (struct f_method_scope) {
    .object = object,
    .main = new_config->current_scope,
    .scope = {
      .next = global_root_scope,
      .hash = scope->hash,
      .active = 1,
      .block = 1,
      .readonly = 1,
    },
  };
  new_config->current_scope = &FM.scope;
}

static inline void f_method_call_args(void)
{
  ASSERT_DIE(FM.scope.active);
  FM.scope.active = 0;

  new_config->current_scope = FM.main;
}

static inline void f_method_call_end(void)
{
  ASSERT_DIE(f_method_scope_pos >= 0);
  if (FM.scope.active) {
    ASSERT_DIE(&FM.scope == new_config->current_scope);
    new_config->current_scope = FM.main;

    FM.scope.active = 0;
  }

  f_method_scope_pos--;
}

static int
f_new_var(struct sym_scope *s)
{
  /*
   * - A variable is an offset on vstack from vbase.
   * - Vbase is set on filter start / function call.
   * - Scopes contain (non-frame) block scopes inside filter/function scope
   * - Each scope knows number of vars in that scope
   * - Offset is therefore a sum of 'slots' up to filter/function scope
   * - New variables are added on top of vstk, so intermediate values cannot
   *   be there during FI_VAR_INIT. I.e. no 'var' inside 'term'.
   * - Also, each f_line must always have its scope, otherwise a variable may
   *   be defined but not initialized if relevant f_line is not executed.
   */

  int offset = s->slots++;

  while (s->block)
  {
    s = s->next;
    ASSERT(s);
    offset += s->slots;
  }

  if (offset >= 0xff)
    cf_error("Too many variables, at most 255 allowed");

  return offset;
}

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_const_empty(enum f_type t)
{
  switch (t) {
    case T_PATH:
    case T_CLIST:
    case T_ECLIST:
    case T_LCLIST:
      return f_new_inst(FI_CONSTANT, (struct f_val) {
	.type = t,
	.val.ad = &null_adata,
      });
    case T_ROUTE:
      return f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE });
    default:
      return f_new_inst(FI_CONSTANT, (struct f_val) {});
  }
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
f_lval_getter(struct f_lval *lval)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_GET, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_GET, lval->rte, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_GET, lval->rte, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
f_lval_setter(struct f_lval *lval, struct f_inst *expr)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_SET, expr, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_SET, expr, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_SET, expr, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter = f_lval_setter(lval, expr),
		*getter = f_lval_getter(lval);

  struct f_inst *checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;

  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "nest/mpls.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 10 "nest/mpls.Y"
/* Headers from nest/mpls.Y */

#include "nest/mpls.h"

/* Defines from nest/mpls.Y */

static struct mpls_domain_config *this_mpls_domain;
static struct mpls_range_config *this_mpls_range;

#define MPLS_CC ((struct mpls_channel_config *) this_channel)

#line 11 "proto/aggregator/config.Y"
/* Headers from proto/aggregator/config.Y */

#include "proto/aggregator/aggregator.h"

/* Defines from proto/aggregator/config.Y */

#define AGGREGATOR_CFG ((struct aggregator_config *) this_proto)
#define AGGR_ITEM_ALLOC ((struct aggr_item_node *) cfg_allocz(sizeof(struct aggr_item_node)))


#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/l3vpn/config.Y"
/* Headers from proto/l3vpn/config.Y */

#include "proto/l3vpn/l3vpn.h"


/* Defines from proto/l3vpn/config.Y */

#define L3VPN_CFG ((struct l3vpn_config *) this_proto)

static void
f_tree_only_rt(struct f_tree *t)
{
  /* Parsed degenerate trees have link to the last node in t->right */
  t->right = NULL;

  while (t)
  {
    uint type1 = t->from.val.ec >> 48;
    uint type2 = t->to.val.ec >> 48;
    ASSERT(type1 == type2);

    if (!ec_type_is_rt(type1))
      cf_error("Extended community is not route target");

    ASSERT(!t->right);
    t = t->left;
  }
}


#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    cf_warn("Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    cf_warn("Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    cf_warn("Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */

static inline void
radv_add_to_custom_list(list *l, int type, const struct adata *payload)
{
  if (type < 0 || type > 255) cf_error("RA cusom type must be in range 0-255");
  struct radv_custom_config *cf = cfg_allocz(sizeof(struct radv_custom_config));
  add_tail(l, NODE cf);
  cf->type = type;
  cf->payload = payload;
}

#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds, 0);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 59 "conf/gen_parser.m4"

#line 1037 "obj/conf/cf-parse.tab.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "cf-parse.tab.h".  */
#ifndef YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
# define YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cf_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    END = 258,
    CLI_MARKER = 259,
    INVALID_TOKEN = 260,
    ELSECOL = 261,
    DDOT = 262,
    GEQ = 263,
    LEQ = 264,
    NEQ = 265,
    AND = 266,
    OR = 267,
    IMP = 268,
    PO = 269,
    PC = 270,
    NUM = 271,
    ENUM = 272,
    IP4 = 273,
    IP6 = 274,
    VPN_RD = 275,
    CF_SYM_KNOWN = 276,
    CF_SYM_UNDEFINED = 277,
    CF_SYM_METHOD_BARE = 278,
    CF_SYM_METHOD_ARGS = 279,
    TEXT = 280,
    BYTETEXT = 281,
    PREFIX_DUMMY = 282,
    NMA = 283,
    DEFINE = 284,
    ON = 285,
    OFF = 286,
    YES = 287,
    NO = 288,
    S = 289,
    MS = 290,
    US = 291,
    PORT = 292,
    VPN = 293,
    MPLS = 294,
    FROM = 295,
    MAX = 296,
    AS = 297,
    FLOW4 = 298,
    FLOW6 = 299,
    DST = 300,
    SRC = 301,
    PROTO = 302,
    NEXT = 303,
    HEADER = 304,
    DPORT = 305,
    SPORT = 306,
    ICMP = 307,
    TYPE = 308,
    CODE = 309,
    TCP = 310,
    FLAGS = 311,
    LENGTH = 312,
    DSCP = 313,
    DONT_FRAGMENT = 314,
    IS_FRAGMENT = 315,
    FIRST_FRAGMENT = 316,
    LAST_FRAGMENT = 317,
    FRAGMENT = 318,
    LABEL = 319,
    OFFSET = 320,
    QUIT = 321,
    EXIT = 322,
    HELP = 323,
    IN = 324,
    FUNCTION = 325,
    PRINT = 326,
    PRINTN = 327,
    UNSET = 328,
    RETURN = 329,
    ACCEPT = 330,
    REJECT = 331,
    ERROR = 332,
    INT = 333,
    BOOL = 334,
    IP = 335,
    PREFIX = 336,
    RD = 337,
    PAIR = 338,
    QUAD = 339,
    EC = 340,
    LC = 341,
    SET = 342,
    STRING = 343,
    BYTESTRING = 344,
    BGPMASK = 345,
    BGPPATH = 346,
    CLIST = 347,
    ECLIST = 348,
    LCLIST = 349,
    IF = 350,
    THEN = 351,
    ELSE = 352,
    CASE = 353,
    FOR = 354,
    DO = 355,
    TRUE = 356,
    FALSE = 357,
    RT = 358,
    RO = 359,
    UNKNOWN = 360,
    GENERIC = 361,
    GW = 362,
    NET = 363,
    SOURCE = 364,
    SCOPE = 365,
    DEST = 366,
    IFNAME = 367,
    IFINDEX = 368,
    WEIGHT = 369,
    GW_MPLS = 370,
    GW_MPLS_STACK = 371,
    ONLINK = 372,
    PREFERENCE = 373,
    ROA_CHECK = 374,
    DEFINED = 375,
    ADD = 376,
    DELETE = 377,
    RESET = 378,
    PREPEND = 379,
    EMPTY = 380,
    FILTER = 381,
    WHERE = 382,
    EVAL = 383,
    ATTRIBUTE = 384,
    FROM_HEX = 385,
    BT_ASSERT = 386,
    BT_TEST_SUITE = 387,
    BT_CHECK_ASSIGN = 388,
    BT_TEST_SAME = 389,
    FORMAT = 390,
    ROUTER = 391,
    ID = 392,
    HOSTNAME = 393,
    PROTOCOL = 394,
    TEMPLATE = 395,
    DISABLED = 396,
    DEBUG = 397,
    ALL = 398,
    DIRECT = 399,
    INTERFACE = 400,
    IMPORT = 401,
    EXPORT = 402,
    NONE = 403,
    VRF = 404,
    DEFAULT = 405,
    TABLE = 406,
    TABLES = 407,
    STATES = 408,
    ROUTES = 409,
    FILTERS = 410,
    IPV4 = 411,
    IPV6 = 412,
    VPN4 = 413,
    VPN6 = 414,
    ROA4 = 415,
    ROA6 = 416,
    SADR = 417,
    RECEIVE = 418,
    LIMIT = 419,
    ACTION = 420,
    WARN = 421,
    BLOCK = 422,
    RESTART = 423,
    DISABLE = 424,
    KEEP = 425,
    FILTERED = 426,
    RPKI = 427,
    PASSWORD = 428,
    KEY = 429,
    PASSIVE = 430,
    TO = 431,
    EVENTS = 432,
    PACKETS = 433,
    PROTOCOLS = 434,
    CHANNELS = 435,
    INTERFACES = 436,
    ALGORITHM = 437,
    KEYED = 438,
    HMAC = 439,
    MD5 = 440,
    SHA1 = 441,
    SHA256 = 442,
    SHA384 = 443,
    SHA512 = 444,
    BLAKE2S128 = 445,
    BLAKE2S256 = 446,
    BLAKE2B256 = 447,
    BLAKE2B512 = 448,
    PRIMARY = 449,
    STATS = 450,
    COUNT = 451,
    COMMANDS = 452,
    PREEXPORT = 453,
    NOEXPORT = 454,
    EXPORTED = 455,
    GENERATE = 456,
    BGP = 457,
    PASSWORDS = 458,
    DESCRIPTION = 459,
    RELOAD = 460,
    OUT = 461,
    MRTDUMP = 462,
    MESSAGES = 463,
    RESTRICT = 464,
    MEMORY = 465,
    IGP_METRIC = 466,
    CLASS = 467,
    TIMEFORMAT = 468,
    ISO = 469,
    SHORT = 470,
    LONG = 471,
    ROUTE = 472,
    BASE = 473,
    LOG = 474,
    GRACEFUL = 475,
    WAIT = 476,
    MIN = 477,
    IDLE = 478,
    RX = 479,
    TX = 480,
    INTERVAL = 481,
    MULTIPLIER = 482,
    CHECK = 483,
    LINK = 484,
    SORTED = 485,
    TRIE = 486,
    SETTLE = 487,
    TIME = 488,
    GC = 489,
    THRESHOLD = 490,
    PERIOD = 491,
    MPLS_LABEL = 492,
    MPLS_POLICY = 493,
    MPLS_CLASS = 494,
    IPV4_MC = 495,
    IPV4_MPLS = 496,
    IPV6_MC = 497,
    IPV6_MPLS = 498,
    IPV6_SADR = 499,
    VPN4_MC = 500,
    VPN4_MPLS = 501,
    VPN6_MC = 502,
    VPN6_MPLS = 503,
    PRI = 504,
    SEC = 505,
    SHOW = 506,
    STATUS = 507,
    SUMMARY = 508,
    SYMBOLS = 509,
    DUMP = 510,
    RESOURCES = 511,
    SOCKETS = 512,
    NEIGHBORS = 513,
    ATTRIBUTES = 514,
    ECHO = 515,
    ENABLE = 516,
    DOMAIN = 517,
    RANGE = 518,
    STATIC = 519,
    DYNAMIC = 520,
    START = 521,
    POLICY = 522,
    AGGREGATE = 523,
    RANGES = 524,
    AGGREGATOR = 525,
    MERGE = 526,
    BY = 527,
    BFD = 528,
    MULTIHOP = 529,
    NEIGHBOR = 530,
    DEV = 531,
    LOCAL = 532,
    AUTHENTICATION = 533,
    SIMPLE = 534,
    METICULOUS = 535,
    STRICT = 536,
    BIND = 537,
    SESSIONS = 538,
    BABEL = 539,
    METRIC = 540,
    RXCOST = 541,
    HELLO = 542,
    UPDATE = 543,
    WIRED = 544,
    WIRELESS = 545,
    BUFFER = 546,
    PRIORITY = 547,
    HOP = 548,
    BABEL_METRIC = 549,
    ENTRIES = 550,
    RANDOMIZE = 551,
    MAC = 552,
    PERMISSIVE = 553,
    EXTENDED = 554,
    TUNNEL = 555,
    RTT = 556,
    DECAY = 557,
    SEND = 558,
    TIMESTAMPS = 559,
    HOLD = 560,
    CONNECT = 561,
    RETRY = 562,
    KEEPALIVE = 563,
    STARTUP = 564,
    VIA = 565,
    SELF = 566,
    PATH = 567,
    DELAY = 568,
    FORGET = 569,
    AFTER = 570,
    BGP_PATH = 571,
    BGP_LOCAL_PREF = 572,
    BGP_MED = 573,
    BGP_ORIGIN = 574,
    BGP_NEXT_HOP = 575,
    BGP_ATOMIC_AGGR = 576,
    BGP_AGGREGATOR = 577,
    BGP_COMMUNITY = 578,
    BGP_EXT_COMMUNITY = 579,
    BGP_LARGE_COMMUNITY = 580,
    ADDRESS = 581,
    RR = 582,
    RS = 583,
    CLIENT = 584,
    CLUSTER = 585,
    AS4 = 586,
    ADVERTISE = 587,
    CAPABILITIES = 588,
    PREFER = 589,
    OLDER = 590,
    MISSING = 591,
    LLADDR = 592,
    DROP = 593,
    IGNORE = 594,
    ENHANCED = 595,
    REFRESH = 596,
    INTERPRET = 597,
    COMMUNITIES = 598,
    BGP_ORIGINATOR_ID = 599,
    BGP_CLUSTER_LIST = 600,
    IGP = 601,
    GATEWAY = 602,
    RECURSIVE = 603,
    MED = 604,
    TTL = 605,
    SECURITY = 606,
    DETERMINISTIC = 607,
    SECONDARY = 608,
    ALLOW = 609,
    PATHS = 610,
    AWARE = 611,
    SETKEY = 612,
    CONFEDERATION = 613,
    MEMBER = 614,
    MULTICAST = 615,
    LIVED = 616,
    STALE = 617,
    IBGP = 618,
    EBGP = 619,
    MANDATORY = 620,
    INTERNAL = 621,
    EXTERNAL = 622,
    SETS = 623,
    NAME = 624,
    DIGITS = 625,
    BGP_AIGP = 626,
    AIGP = 627,
    ORIGINATE = 628,
    COST = 629,
    ENFORCE = 630,
    FIRST = 631,
    FREE = 632,
    VALIDATE = 633,
    ROLE = 634,
    ROLES = 635,
    PEER = 636,
    PROVIDER = 637,
    CUSTOMER = 638,
    RS_SERVER = 639,
    RS_CLIENT = 640,
    REQUIRE = 641,
    BGP_OTC = 642,
    GLOBAL = 643,
    CEASE = 644,
    HIT = 645,
    ADMINISTRATIVE = 646,
    SHUTDOWN = 647,
    CONFIGURATION = 648,
    CHANGE = 649,
    DECONFIGURED = 650,
    CONNECTION = 651,
    REJECTED = 652,
    COLLISION = 653,
    OF = 654,
    L3VPN = 655,
    TARGET = 656,
    DISTINGUISHER = 657,
    MRT = 658,
    FILENAME = 659,
    ALWAYS = 660,
    V2 = 661,
    V3 = 662,
    OSPF = 663,
    OSPF_METRIC1 = 664,
    OSPF_METRIC2 = 665,
    OSPF_TAG = 666,
    OSPF_ROUTER_ID = 667,
    AREA = 668,
    RFC1583COMPAT = 669,
    STUB = 670,
    TICK = 671,
    COST2 = 672,
    RETRANSMIT = 673,
    TRANSMIT = 674,
    DEAD = 675,
    BROADCAST = 676,
    BCAST = 677,
    NONBROADCAST = 678,
    NBMA = 679,
    POINTOPOINT = 680,
    PTP = 681,
    POINTOMULTIPOINT = 682,
    PTMP = 683,
    CRYPTOGRAPHIC = 684,
    ELIGIBLE = 685,
    POLL = 686,
    NETWORKS = 687,
    HIDDEN = 688,
    VIRTUAL = 689,
    ONLY = 690,
    LARGE = 691,
    NORMAL = 692,
    STUBNET = 693,
    TAG = 694,
    LSADB = 695,
    ECMP = 696,
    NSSA = 697,
    TRANSLATOR = 698,
    STABILITY = 699,
    LSID = 700,
    INSTANCE = 701,
    REAL = 702,
    NETMASK = 703,
    LSA = 704,
    SUPPRESSION = 705,
    RFC5838 = 706,
    PE = 707,
    TOPOLOGY = 708,
    STATE = 709,
    PERF = 710,
    EXP = 711,
    REPEAT = 712,
    MODE = 713,
    PIPE = 714,
    RADV = 715,
    RA = 716,
    SOLICITED = 717,
    UNICAST = 718,
    MANAGED = 719,
    OTHER = 720,
    CONFIG = 721,
    LINGER = 722,
    MTU = 723,
    REACHABLE = 724,
    RETRANS = 725,
    TIMER = 726,
    CURRENT = 727,
    VALID = 728,
    PREFERRED = 729,
    MULT = 730,
    LIFETIME = 731,
    SKIP = 732,
    AUTONOMOUS = 733,
    RDNSS = 734,
    DNSSL = 735,
    NS = 736,
    TRIGGER = 737,
    SENSITIVE = 738,
    LOW = 739,
    MEDIUM = 740,
    HIGH = 741,
    PROPAGATE = 742,
    RA_PREFERENCE = 743,
    RA_LIFETIME = 744,
    CUSTOM = 745,
    OPTION = 746,
    VALUE = 747,
    NG = 748,
    RIP = 749,
    INFINITY = 750,
    TIMEOUT = 751,
    GARBAGE = 752,
    VERSION = 753,
    SPLIT = 754,
    HORIZON = 755,
    POISON = 756,
    REVERSE = 757,
    ZERO = 758,
    PLAINTEXT = 759,
    DEMAND = 760,
    CIRCUIT = 761,
    RIP_METRIC = 762,
    RIP_TAG = 763,
    REMOTE = 764,
    BIRD = 765,
    PRIVATE = 766,
    PUBLIC = 767,
    SSH = 768,
    TRANSPORT = 769,
    USER = 770,
    EXPIRE = 771,
    PROHIBIT = 772,
    BLACKHOLE = 773,
    UNREACHABLE = 774,
    KERNEL = 775,
    NETLINK = 776,
    KRT_PREFSRC = 777,
    KRT_REALM = 778,
    KRT_SCOPE = 779,
    KRT_MTU = 780,
    KRT_WINDOW = 781,
    KRT_RTT = 782,
    KRT_RTTVAR = 783,
    KRT_SSTHRESH = 784,
    KRT_CWND = 785,
    KRT_ADVMSS = 786,
    KRT_REORDERING = 787,
    KRT_HOPLIMIT = 788,
    KRT_INITCWND = 789,
    KRT_RTO_MIN = 790,
    KRT_INITRWND = 791,
    KRT_QUICKACK = 792,
    KRT_CONGCTL = 793,
    KRT_FASTOPEN_NO_COOKIE = 794,
    KRT_LOCK_MTU = 795,
    KRT_LOCK_WINDOW = 796,
    KRT_LOCK_RTT = 797,
    KRT_LOCK_RTTVAR = 798,
    KRT_LOCK_SSTHRESH = 799,
    KRT_LOCK_CWND = 800,
    KRT_LOCK_ADVMSS = 801,
    KRT_LOCK_REORDERING = 802,
    KRT_LOCK_HOPLIMIT = 803,
    KRT_LOCK_INITCWND = 804,
    KRT_LOCK_RTO_MIN = 805,
    KRT_LOCK_INITRWND = 806,
    KRT_LOCK_QUICKACK = 807,
    KRT_LOCK_CONGCTL = 808,
    KRT_LOCK_FASTOPEN_NO_COOKIE = 809,
    KRT_FEATURE_ECN = 810,
    KRT_FEATURE_ALLFRAG = 811,
    KRT_SSTRESH = 812,
    KRT_LOCK_SSTRESH = 813,
    SYSLOG = 814,
    STDERR = 815,
    UDP = 816,
    TRACE = 817,
    INFO = 818,
    WARNING = 819,
    AUTH = 820,
    FATAL = 821,
    BUG = 822,
    LATENCY = 823,
    WATCHDOG = 824,
    THREADS = 825,
    CONFIGURE = 826,
    SOFT = 827,
    CONFIRM = 828,
    UNDO = 829,
    DOWN = 830,
    PERSIST = 831,
    SCAN = 832,
    LEARN = 833,
    DEVICE = 834,
    KRT_SOURCE = 835,
    KRT_METRIC = 836
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 56 "conf/confbase.Y" /* yacc.c:355  */

  uint i;
  u32 i32;
  u64 i64;
  ip_addr a;
  ip4_addr ip4;
  ip6_addr ip6;
  net_addr net;
  net_addr *net_ptr;
  struct symbol *s;
  struct keyword *kw;
  const char *t;
  struct rtable_config *r;
  struct channel_config *cc;
  struct channel *c;
  struct f_inst *x;
  struct {
    struct f_inst *begin, *end;
  } xp;
  enum filter_return fret;
  enum ec_subtype ecs;
  struct f_dynamic_attr fda;
  struct f_static_attr fsa;
  struct f_lval flv;
  struct f_line *fl;
  struct f_arg *fa;
  const struct filter *f;
  struct f_tree *e;
  struct f_trie *trie;
  struct f_val v;
  struct password_item *p;
  struct rt_show_data *ra;
  struct sym_show_data *sd;
  struct lsadb_show_data *ld;
  struct mrt_dump_data *md;
  struct mpls_show_ranges_cmd *msrc;
  struct bfd_show_sessions_cmd *bssc;
  struct iface *iface;
  void *g;
  btime time;
  struct f_prefix px;
  struct proto_spec ps;
  struct channel_limit cl;
  struct timeformat *tf;
  mpls_label_stack *mls;
  const struct adata *bs;
  struct aggr_item_node *ai;

#line 1708 "obj/conf/cf-parse.tab.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE cf_lval;

int cf_parse (void);

#endif /* !YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1725 "obj/conf/cf-parse.tab.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  80
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   11793

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  603
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  496
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2182
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3550

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   836

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    38,     2,     2,     2,    37,     2,     2,
     594,   595,    35,    33,   596,    34,    39,    36,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   599,   593,
      29,    28,    30,   602,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   600,     2,   601,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   597,     2,   598,    31,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    32,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,   147,   148,   151,   153,   156,   161,   164,   172,   173,
     174,   180,   181,   182,   185,   185,   185,   186,   191,   192,
     193,   194,   195,   196,   203,   204,   205,   212,   213,   220,
     226,   236,   249,   268,   274,   280,   288,   296,   302,   302,
     303,   303,   304,   304,   307,   308,   309,   310,   311,   312,
     319,   320,   328,   329,   337,   338,   346,   347,   355,   356,
     357,   358,   359,   369,   377,   378,   387,   395,   396,   403,
     404,   408,   409,   410,   411,   418,   426,   427,   431,   432,
     433,   441,   442,   443,    37,    38,    39,    40,    41,    42,
      43,    44,    48,    49,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    65,    66,    67,    70,    71,    75,
      79,    83,    84,    88,    92,   101,   102,   106,   110,   114,
     121,   122,   126,   127,   128,   129,   133,   136,   139,   145,
     149,   150,   151,   155,   159,   165,   166,   167,   170,   172,
     175,   177,   181,   188,   189,   191,   197,   203,   203,     9,
       9,    10,    10,    11,    11,   400,   402,   402,   415,   417,
     420,   421,   425,   427,   438,   440,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   494,   495,   504,   505,   513,   514,
     521,   522,   525,   528,   532,   532,   545,   552,   558,   561,
     565,   561,   592,   593,   596,   596,   598,   598,   600,   608,
     609,   626,   627,   640,   641,   642,   643,   644,   648,   656,
     657,   658,   659,   663,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   680,   681,   682,   683,   687,   688,
     689,   693,   694,   695,   696,   697,   698,   699,   700,   705,
     706,   707,   708,   709,   713,   714,   715,   716,   717,   721,
     722,   726,   727,   731,   732,   736,   737,   738,   739,   747,
     748,   751,   752,   759,   769,   770,   774,   778,   779,   780,
     781,   785,   786,   787,   788,   789,   793,   794,   795,   796,
     797,   798,   799,   800,   801,   802,   807,   808,   812,   813,
     814,   815,   821,   822,   823,   826,   842,   851,   870,   871,
     872,   873,   874,   875,   876,   877,   878,   879,   880,   881,
     882,   883,   886,   886,   888,   891,   891,   896,   901,   909,
     910,   911,   912,   913,   914,   915,   916,   917,   918,   919,
     920,   921,   922,   923,   924,   925,   927,   928,   929,   931,
     933,   935,   937,   938,   939,   940,   942,   943,   944,   945,
     947,   948,   950,   952,   953,   957,   961,   962,   963,   967,
     971,   978,   979,   983,   986,   989,   992,   998,  1000,   992,
    1005,  1017,  1033,  1036,  1041,  1044,  1053,  1056,  1059,  1062,
    1063,  1066,  1066,  1072,  1073,  1077,  1082,  1095,  1096,   163,
     166,   167,   171,   172,   173,   174,   184,   186,   188,   190,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   208,
     209,   217,   219,   221,   226,   228,   232,   233,   234,   239,
     240,   241,   242,   245,   247,   250,   252,   258,   261,   262,
     266,   272,   276,   286,   296,   298,   299,   300,   301,   302,
     303,   304,   308,   314,   319,   320,   321,   322,   323,   324,
     325,   326,   331,   332,   335,   337,   340,   342,   346,   353,
     356,   359,   360,   361,   362,   366,   367,   368,   369,   370,
     374,   375,   379,   382,   383,   384,   385,   390,   393,   394,
     395,   396,   400,   401,   402,   403,   404,   405,   406,   407,
     411,   418,   426,   427,   431,   432,   436,   441,   442,   446,
     448,   456,   460,   461,   466,   468,   475,   476,   477,   478,
     479,   483,   491,   497,   498,   499,   503,   504,   508,   509,
     510,   511,   512,   513,   519,   520,   521,   525,   526,   530,
     531,   537,   541,   542,   545,   547,   551,   552,   555,   555,
     557,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   597,   605,   606,   607,   608,   609,
     610,   611,   614,   616,   620,   626,   626,   629,   629,   632,
     632,   635,   635,   639,   640,   643,   643,   646,   646,   650,
     650,   671,   677,   683,   689,   696,   702,   709,   714,   719,
     724,   729,   733,   737,   741,   751,   758,   767,   771,   778,
     782,   783,   784,   785,   789,   793,   797,   811,   812,   813,
     814,   817,   818,   819,   820,   825,   826,   827,   828,   829,
     830,   831,   832,   833,   834,   835,   836,   837,   838,   839,
     840,   841,   842,   843,   844,   848,   858,   858,   868,   871,
     872,   873,   874,   875,   876,   881,   881,   883,   883,   885,
     885,   887,   887,   889,   889,   891,   891,   893,   893,   895,
     895,   897,   897,   900,   900,   904,   904,   910,   911,   912,
     916,   917,   923,   923,   925,   925,   927,   927,   929,   929,
     931,   931,   933,   933,   937,   937,   950,   951,   955,   955,
     958,   958,   962,   963,   964,   968,   969,   970,   973,   975,
     976,   977,    31,    33,    35,    38,    41,    43,    46,    48,
      51,    54,    56,    67,    68,    71,    73,    76,    78,    82,
      95,    97,   117,   118,   119,   120,   124,   125,   126,   127,
     128,   129,   132,   134,   137,   139,   142,   142,   147,   153,
     176,   184,   194,   194,    29,    31,    41,    42,    43,    44,
      74,    74,    84,    84,    85,    89,    90,   101,   106,   120,
     125,    36,    38,    48,    49,    50,    51,    52,    53,    56,
      58,    62,    66,    67,    68,    69,    73,    77,    81,    95,
     115,   116,   117,   118,   119,   120,   121,   122,   126,   127,
     128,   129,   130,   131,   134,   136,   139,   141,   145,   148,
     153,   154,   155,   159,   160,   164,   165,   168,   189,   189,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      33,    35,    43,    44,    45,    46,    49,    51,    55,    59,
      80,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   173,   175,   178,
     180,   185,   187,   191,   191,   194,   194,   197,   197,   200,
     200,    48,    50,    84,    86,    87,    90,    92,    93,    94,
      95,   100,   101,   105,   106,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   122,   123,   124,   125,   126,   130,
     131,   132,   133,   134,   135,   139,   140,   146,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   223,   223,   224,   225,   226,
     227,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   245,   271,   272,   273,   275,   275,   275,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   318,   330,   332,   335,
     337,   341,   348,   351,   353,   355,   357,   359,   361,   363,
     365,   367,   369,   371,   373,   375,   377,   380,    49,    52,
      65,    67,    74,    75,    76,    77,    78,    79,    80,    81,
      84,    86,    90,    94,    95,    26,    28,    34,    35,    36,
      37,    38,    39,    40,    41,    44,    46,    50,    53,    53,
      62,    63,    64,    65,    66,    67,   212,   215,   216,   217,
     220,   236,   237,   241,   242,   246,   255,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   275,   290,   293,   295,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   308,   309,   309,   310,
     311,   312,   316,   317,   321,   329,   331,   335,   336,   337,
     341,   342,   345,   347,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   363,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   423,   425,   428,   430,   438,
     440,   441,   444,   446,   450,   451,   454,   464,   486,   488,
     492,   492,   495,   497,   500,   502,   506,   509,   510,   511,
     512,   515,   515,   518,   518,   521,   521,   526,   526,   529,
     529,   534,   534,   537,   537,   541,   541,   558,   561,   562,
     563,   564,   565,   566,   567,   568,    24,    26,    40,    41,
      42,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    23,    26,    25,    40,    41,    42,    43,    53,    55,
      68,    69,    70,    71,    72,    72,    73,    73,    74,    75,
      76,    79,    81,    85,    89,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   128,   132,   133,   134,
     135,   136,   137,   137,   138,   138,   139,   140,   141,   142,
     146,   147,   148,   151,   189,   191,   194,   196,   200,   203,
     215,   216,   217,   218,   222,   229,   237,   239,   242,   244,
     248,   252,   262,   267,   268,   269,   273,   285,   287,   291,
     292,   296,   309,   314,   315,   316,   320,   332,   334,   338,
     339,   344,   345,   349,   350,   353,   354,    47,    50,    51,
      54,    68,    69,    70,    71,    72,    73,    76,    78,    82,
      86,   111,   141,   142,   143,   144,   145,   146,   147,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   174,
     175,   176,   177,   180,   182,   185,   187,   191,   194,   195,
     199,   199,   202,   202,    41,    43,    50,    52,    54,    58,
      59,    60,    61,    62,    63,    64,    65,    71,    77,    83,
      87,    88,    91,    93,   111,   112,   116,   123,   133,   135,
     139,   140,   141,   145,    54,    56,    63,    64,    65,    66,
      67,    68,    76,    80,    85,    90,    93,    96,    99,   103,
     109,   110,   113,   115,   118,   118,   131,   132,   136,   141,
     142,   143,   144,   145,   146,   150,   159,   161,   164,   166,
     170,   170,    31,    34,    35,    36,    39,    40,    41,    43,
      44,    45,    46,    47,    48,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    63,    64,    65,    66,    67,
      68,    70,    71,    72,    73,    74,    76,    77,    78,    79,
      80,    82,    83,    32,    34,    36,    38,    45,    46,    49,
      51,    55,    65,    66,    67,    75,    85,    86,    90,    91,
      95,    96,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   112,   115,   116,   127,   130,   131,   132,   133,   141,
     141,   144,   144,   151,   151,   154,   154,   157,   157,   160,
     160,   163,   163,   168,   168,   173,   174,   178,   179,   180,
      43,    45,    50,    51,    54,    55,    59,    60,    65,    66,
      70,    71,    72,    73,    77,    84,    85,    96,    98,   101,
     102,   105,   106,   107,   114,   121,   124,   126,   129,   131,
     135,   138,   139
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "END", "CLI_MARKER", "INVALID_TOKEN",
  "ELSECOL", "DDOT", "GEQ", "LEQ", "NEQ", "AND", "OR", "IMP", "PO", "PC",
  "NUM", "ENUM", "IP4", "IP6", "VPN_RD", "CF_SYM_KNOWN",
  "CF_SYM_UNDEFINED", "CF_SYM_METHOD_BARE", "CF_SYM_METHOD_ARGS", "TEXT",
  "BYTETEXT", "PREFIX_DUMMY", "'='", "'<'", "'>'", "'~'", "NMA", "'+'",
  "'-'", "'*'", "'/'", "'%'", "'!'", "'.'", "DEFINE", "ON", "OFF", "YES",
  "NO", "S", "MS", "US", "PORT", "VPN", "MPLS", "FROM", "MAX", "AS",
  "FLOW4", "FLOW6", "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT",
  "SPORT", "ICMP", "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP",
  "DONT_FRAGMENT", "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT",
  "FRAGMENT", "LABEL", "OFFSET", "QUIT", "EXIT", "HELP", "IN", "FUNCTION",
  "PRINT", "PRINTN", "UNSET", "RETURN", "ACCEPT", "REJECT", "ERROR", "INT",
  "BOOL", "IP", "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC", "SET",
  "STRING", "BYTESTRING", "BGPMASK", "BGPPATH", "CLIST", "ECLIST",
  "LCLIST", "IF", "THEN", "ELSE", "CASE", "FOR", "DO", "TRUE", "FALSE",
  "RT", "RO", "UNKNOWN", "GENERIC", "GW", "NET", "SOURCE", "SCOPE", "DEST",
  "IFNAME", "IFINDEX", "WEIGHT", "GW_MPLS", "GW_MPLS_STACK", "ONLINK",
  "PREFERENCE", "ROA_CHECK", "DEFINED", "ADD", "DELETE", "RESET",
  "PREPEND", "EMPTY", "FILTER", "WHERE", "EVAL", "ATTRIBUTE", "FROM_HEX",
  "BT_ASSERT", "BT_TEST_SUITE", "BT_CHECK_ASSIGN", "BT_TEST_SAME",
  "FORMAT", "ROUTER", "ID", "HOSTNAME", "PROTOCOL", "TEMPLATE", "DISABLED",
  "DEBUG", "ALL", "DIRECT", "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF",
  "DEFAULT", "TABLE", "TABLES", "STATES", "ROUTES", "FILTERS", "IPV4",
  "IPV6", "VPN4", "VPN6", "ROA4", "ROA6", "SADR", "RECEIVE", "LIMIT",
  "ACTION", "WARN", "BLOCK", "RESTART", "DISABLE", "KEEP", "FILTERED",
  "RPKI", "PASSWORD", "KEY", "PASSIVE", "TO", "EVENTS", "PACKETS",
  "PROTOCOLS", "CHANNELS", "INTERFACES", "ALGORITHM", "KEYED", "HMAC",
  "MD5", "SHA1", "SHA256", "SHA384", "SHA512", "BLAKE2S128", "BLAKE2S256",
  "BLAKE2B256", "BLAKE2B512", "PRIMARY", "STATS", "COUNT", "COMMANDS",
  "PREEXPORT", "NOEXPORT", "EXPORTED", "GENERATE", "BGP", "PASSWORDS",
  "DESCRIPTION", "RELOAD", "OUT", "MRTDUMP", "MESSAGES", "RESTRICT",
  "MEMORY", "IGP_METRIC", "CLASS", "TIMEFORMAT", "ISO", "SHORT", "LONG",
  "ROUTE", "BASE", "LOG", "GRACEFUL", "WAIT", "MIN", "IDLE", "RX", "TX",
  "INTERVAL", "MULTIPLIER", "CHECK", "LINK", "SORTED", "TRIE", "SETTLE",
  "TIME", "GC", "THRESHOLD", "PERIOD", "MPLS_LABEL", "MPLS_POLICY",
  "MPLS_CLASS", "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS",
  "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI",
  "SEC", "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES",
  "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE", "DOMAIN",
  "RANGE", "STATIC", "DYNAMIC", "START", "POLICY", "AGGREGATE", "RANGES",
  "AGGREGATOR", "MERGE", "BY", "BFD", "MULTIHOP", "NEIGHBOR", "DEV",
  "LOCAL", "AUTHENTICATION", "SIMPLE", "METICULOUS", "STRICT", "BIND",
  "SESSIONS", "BABEL", "METRIC", "RXCOST", "HELLO", "UPDATE", "WIRED",
  "WIRELESS", "BUFFER", "PRIORITY", "HOP", "BABEL_METRIC", "ENTRIES",
  "RANDOMIZE", "MAC", "PERMISSIVE", "EXTENDED", "TUNNEL", "RTT", "DECAY",
  "SEND", "TIMESTAMPS", "HOLD", "CONNECT", "RETRY", "KEEPALIVE", "STARTUP",
  "VIA", "SELF", "PATH", "DELAY", "FORGET", "AFTER", "BGP_PATH",
  "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP",
  "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "ENHANCED", "REFRESH",
  "INTERPRET", "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST",
  "IGP", "GATEWAY", "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC",
  "SECONDARY", "ALLOW", "PATHS", "AWARE", "SETKEY", "CONFEDERATION",
  "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP", "MANDATORY",
  "INTERNAL", "EXTERNAL", "SETS", "NAME", "DIGITS", "BGP_AIGP", "AIGP",
  "ORIGINATE", "COST", "ENFORCE", "FIRST", "FREE", "VALIDATE", "ROLE",
  "ROLES", "PEER", "PROVIDER", "CUSTOMER", "RS_SERVER", "RS_CLIENT",
  "REQUIRE", "BGP_OTC", "GLOBAL", "CEASE", "HIT", "ADMINISTRATIVE",
  "SHUTDOWN", "CONFIGURATION", "CHANGE", "DECONFIGURED", "CONNECTION",
  "REJECTED", "COLLISION", "OF", "L3VPN", "TARGET", "DISTINGUISHER", "MRT",
  "FILENAME", "ALWAYS", "V2", "V3", "OSPF", "OSPF_METRIC1", "OSPF_METRIC2",
  "OSPF_TAG", "OSPF_ROUTER_ID", "AREA", "RFC1583COMPAT", "STUB", "TICK",
  "COST2", "RETRANSMIT", "TRANSMIT", "DEAD", "BROADCAST", "BCAST",
  "NONBROADCAST", "NBMA", "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP",
  "CRYPTOGRAPHIC", "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL",
  "ONLY", "LARGE", "NORMAL", "STUBNET", "TAG", "LSADB", "ECMP", "NSSA",
  "TRANSLATOR", "STABILITY", "LSID", "INSTANCE", "REAL", "NETMASK", "LSA",
  "SUPPRESSION", "RFC5838", "PE", "TOPOLOGY", "STATE", "PERF", "EXP",
  "REPEAT", "MODE", "PIPE", "RADV", "RA", "SOLICITED", "UNICAST",
  "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU", "REACHABLE", "RETRANS",
  "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT", "LIFETIME", "SKIP",
  "AUTONOMOUS", "RDNSS", "DNSSL", "NS", "TRIGGER", "SENSITIVE", "LOW",
  "MEDIUM", "HIGH", "PROPAGATE", "RA_PREFERENCE", "RA_LIFETIME", "CUSTOM",
  "OPTION", "VALUE", "NG", "RIP", "INFINITY", "TIMEOUT", "GARBAGE",
  "VERSION", "SPLIT", "HORIZON", "POISON", "REVERSE", "ZERO", "PLAINTEXT",
  "DEMAND", "CIRCUIT", "RIP_METRIC", "RIP_TAG", "REMOTE", "BIRD",
  "PRIVATE", "PUBLIC", "SSH", "TRANSPORT", "USER", "EXPIRE", "PROHIBIT",
  "BLACKHOLE", "UNREACHABLE", "KERNEL", "NETLINK", "KRT_PREFSRC",
  "KRT_REALM", "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW", "KRT_RTT",
  "KRT_RTTVAR", "KRT_SSTHRESH", "KRT_CWND", "KRT_ADVMSS", "KRT_REORDERING",
  "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN", "KRT_INITRWND",
  "KRT_QUICKACK", "KRT_CONGCTL", "KRT_FASTOPEN_NO_COOKIE", "KRT_LOCK_MTU",
  "KRT_LOCK_WINDOW", "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR",
  "KRT_LOCK_SSTHRESH", "KRT_LOCK_CWND", "KRT_LOCK_ADVMSS",
  "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT", "KRT_LOCK_INITCWND",
  "KRT_LOCK_RTO_MIN", "KRT_LOCK_INITRWND", "KRT_LOCK_QUICKACK",
  "KRT_LOCK_CONGCTL", "KRT_LOCK_FASTOPEN_NO_COOKIE", "KRT_FEATURE_ECN",
  "KRT_FEATURE_ALLFRAG", "KRT_SSTRESH", "KRT_LOCK_SSTRESH", "SYSLOG",
  "STDERR", "UDP", "TRACE", "INFO", "WARNING", "AUTH", "FATAL", "BUG",
  "LATENCY", "WATCHDOG", "THREADS", "CONFIGURE", "SOFT", "CONFIRM", "UNDO",
  "DOWN", "PERSIST", "SCAN", "LEARN", "DEVICE", "KRT_SOURCE", "KRT_METRIC",
  "';'", "'('", "')'", "','", "'{'", "'}'", "':'", "'['", "']'", "'?'",
  "$accept", "KEYWORD", "config", "conf_entries", "conf", "definition",
  "expr", "expr_us", "symbol", "symbol_known", "bool", "ipa", "ipa_scope",
  "pxlen4", "net_ip4_", "net_ip6_", "net_ip6_sadr_", "net_vpn4_",
  "net_vpn6_", "net_roa4_", "net_roa6_", "net_mpls_", "net_ip_",
  "net_vpn_", "net_roa_", "net_", "net_ip4", "net_ip6", "net_ip",
  "net_any", "net_or_ipa", "label_stack_start", "label_stack", "time",
  "text", "opttext", "text_or_ipa", "bytestring", "bytestring_text",
  "bytestring_expr", "flow_num_op", "flow_logic_op", "flow_num_type_",
  "flow_num_type", "flow_flag_type", "flow_frag_type", "flow_srcdst",
  "flow_num_opts", "flow_num_opt_ext_expr", "flow_num_opt_ext",
  "flow_bmk_opts", "flow_neg", "flow_frag_val", "flow_frag_opts",
  "flow4_item", "flow6_item", "flow4_opts", "flow6_opts",
  "flow_builder_init", "flow_builder_set_ipv4", "flow_builder_set_ipv6",
  "net_flow4_", "net_flow6_", "net_flow_", "cli_cmd", "cmd_QUIT",
  "cmd_EXIT", "cmd_HELP", "filter_def", "$@1", "filter_eval",
  "custom_attr", "bt_test_suite", "bt_test_same", "type", "function_argsn",
  "function_args", "function_vars", "function_type", "filter_body",
  "filter", "$@2", "where_filter", "function_body", "function_def", "$@3",
  "$@4", "cmds", "cmds_scoped", "$@5", "cmd_var", "cmd_prep", "cmds_int",
  "fipa", "set_atom", "switch_atom", "cnum", "pair_item", "ec_kind",
  "ec_item", "lc_item", "set_item", "switch_item", "ec_items", "set_items",
  "switch_items", "fprefix", "fprefix_set", "switch_body", "bgp_path_expr",
  "bgp_path", "bgp_path_tail", "constant", "constructor", "var_list_r",
  "var_list", "function_call", "symbol_value", "static_attr",
  "term_dot_method", "$@6", "method_name_cont", "$@7", "term", "term_bs",
  "break_command", "var", "for_var", "cmd", "$@8", "$@9", "$@10", "$@11",
  "get_cf_position", "lvalue", "rtrid", "idval", "hostname_override",
  "gr_opts", "net_type_base", "net_type", "table", "table_start",
  "table_sorted", "table_opt", "table_opts", "table_opt_list",
  "proto_start", "proto_name", "proto_item", "channel_start",
  "channel_item_", "channel_item", "channel_opts", "channel_opt_list",
  "channel_end", "proto_channel", "rtable", "imexport", "limit_action",
  "limit_spec", "debug_default", "timeformat_which", "timeformat_spec",
  "timeformat_base", "iface_patt_node_init", "iface_patt_node_body",
  "iface_negate", "iface_patt_node", "iface_patt_list",
  "iface_patt_list_nopx", "iface_patt_init", "iface_patt", "tos", "proto",
  "dev_proto_start", "dev_proto", "dev_iface_init", "dev_iface_patt",
  "debug_mask", "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_list_body", "password_items",
  "password_item", "pass_key", "password_item_begin",
  "password_item_params", "password_algorithm", "password_item_end",
  "bfd_item", "bfd_items", "bfd_opts", "cmd_SHOW_STATUS",
  "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS", "cmd_SHOW_PROTOCOLS_ALL",
  "optproto", "cmd_SHOW_INTERFACES", "cmd_SHOW_INTERFACES_SUMMARY",
  "cmd_SHOW_ROUTE", "r_args", "r_args_for", "r_args_for_val",
  "export_mode", "channel_sym", "channel_arg", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_DUMP_FILTER_ALL",
  "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size", "cmd_DISABLE",
  "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD", "cmd_RELOAD_IN",
  "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args", "cmd_MRTDUMP",
  "cmd_RESTRICT", "proto_patt", "proto_patt2", "dynamic_attr",
  "mpls_domain", "mpls_domain_start", "mpls_domain_opt",
  "mpls_domain_opts", "mpls_domain_opt_list", "mpls_domain_end",
  "mpls_range", "mpls_range_start", "mpls_range_opt", "mpls_range_opts",
  "mpls_range_opt_list", "mpls_range_end", "mpls_channel",
  "mpls_channel_start", "mpls_label_policy", "mpls_channel_opt",
  "mpls_channel_opts", "mpls_channel_opt_list", "mpls_channel_end", "$@12",
  "show_mpls_ranges_args", "cmd_SHOW_MPLS_RANGES",
  "aggregator_proto_start", "aggregator_proto_item", "$@13",
  "aggregator_proto_opts", "aggregator_proto", "aggr_list", "aggr_item",
  "bfd_proto_start", "bfd_proto_item", "bfd_proto_opts", "bfd_proto",
  "bfd_accept_item", "bfd_accept", "bfd_iface_start", "bfd_iface_finish",
  "bfd_iface_item", "bfd_auth_type", "bfd_iface_opts",
  "bfd_iface_opt_list", "bfd_iface", "bfd_multihop", "bfd_neigh_iface",
  "bfd_neigh_local", "bfd_neigh_multihop", "bfd_neighbor",
  "cmd_SHOW_BFD_SESSIONS", "bfd_show_sessions_args", "babel_proto_start",
  "babel_proto_item", "babel_proto_opts", "babel_proto",
  "babel_iface_start", "babel_iface_finish", "babel_iface_item",
  "babel_iface_opts", "babel_iface_opt_list", "babel_iface",
  "cmd_SHOW_BABEL_INTERFACES", "cmd_SHOW_BABEL_NEIGHBORS",
  "cmd_SHOW_BABEL_ENTRIES", "cmd_SHOW_BABEL_ROUTES", "bgp_proto_start",
  "bgp_loc_opts", "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list",
  "bgp_cease_flag", "bgp_role_name", "bgp_proto", "$@14", "$@15",
  "bgp_afi", "bgp_channel_start", "bgp_nh", "bgp_lladdr",
  "bgp_channel_item", "bgp_channel_opts", "bgp_channel_opt_list",
  "bgp_channel_end", "bgp_proto_channel", "l3vpn_channel_start",
  "l3vpn_channel", "l3vpn_proto_start", "l3vpn_proto_item",
  "l3vpn_proto_opts", "l3vpn_proto", "l3vpn_targets", "mrt_proto_start",
  "mrt_proto_item", "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP",
  "mrt_dump_args", "ospf_variant", "ospf_proto_start", "ospf_proto",
  "ospf_af_mc", "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@16", "$@17", "ospf_stubnet", "ospf_stubnet_start",
  "ospf_stubnet_opts", "ospf_stubnet_item", "ospf_vlink",
  "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@18", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@19", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@20", "$@21", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@22", "$@23", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_mpls", "stat_route0", "$@24",
  "stat_route", "stat_route_item", "stat_route_opts",
  "stat_route_opt_list", "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item",
  "log_begin", "log_config", "syslog_name", "log_limit", "log_file",
  "log_udp_host", "log_udp_port", "log_mask", "log_mask_list", "log_cat",
  "mrtdump_base", "debug_unix", "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT",
  "cmd_CONFIGURE_CONFIRM", "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS",
  "cmd_CONFIGURE_CHECK", "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name",
  "cfg_timeout", "kern_proto_start", "kern_learn", "kern_mp_limit",
  "kern_channel", "kern_item", "kif_proto_start", "kif_proto", "kif_item",
  "kif_iface_start", "kif_iface_item", "kif_iface_opts",
  "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    61,    60,
      62,   126,   283,    43,    45,    42,    47,    37,    33,    46,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,   780,   781,   782,   783,
     784,   785,   786,   787,   788,   789,   790,   791,   792,   793,
     794,   795,   796,   797,   798,   799,   800,   801,   802,   803,
     804,   805,   806,   807,   808,   809,   810,   811,   812,   813,
     814,   815,   816,   817,   818,   819,   820,   821,   822,   823,
     824,   825,   826,   827,   828,   829,   830,   831,   832,   833,
     834,   835,   836,    59,    40,    41,    44,   123,   125,    58,
      91,    93,    63
};
# endif

#define YYPACT_NINF -2978

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-2978)))

#define YYTABLE_NINF -1545

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-1545)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     180,  3365,   150,    85,   263,   273,   393,  6739,  1155,  1158,
    1158,  1316,  1158,   410,    58,  2455,  2111,   123,  1158,    45,
     863,   475, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978,  8693,   223, -2978, -2978,  8693,  8693,  6739,  3951,
     -91,   -59,   377,  1027, -2978, -2978,    84, -2978,   551, -2978,
   -2978, -2978, -2978,   633,  1415, -2978,   488,    60,   349, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978,   569, -2978,   557,  3434, -2978, -2978, -2978,  9265,
    3092, -2978,   213,  9265, -2978,  9265, -2978,  9265, -2978,  9265,
   11195,  9265, -2978,  9265, -2978,  9265,  2284,  9265,  2716,   283,
    2925,  9265, -2978,  9265, -2978,  9265, -2978,  9265,  2415,  3005,
   -2978, -2978, -2978,  9265,  9265,  1351, -2978, -2978, -2978,   230,
   -2978, -2978,   785,   870,   738, -2978, -2978, -2978,   783,   602,
    6739,   982, -2978,   454,   520, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
     550,   558,   571,   590,   610,   683,   691,   735, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978,  4182,   224,   740,  1018,  1300, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
    3878, -2978, -2978,  1306, -2978, -2978,   179,  1365,   179, -2978,
    1350,  1350,  1158,  1158,  1378,   292, -2978,  1411,  1153,  1184,
     169,  1450, -2978,  1460, -2978,  1478,  1188,  1247,  1187,   338,
    1354,  1475,  1515,  1529,  1547,  1567,  1587,  1592,  1599, -2978,
   -2978,   644,  1593,  1350, -2978, -2978,  1601,  1627,  1601,  1658,
    1660,  1132, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978,  1661,  8693, -2978, -2978,  4321,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978,   349, -2978,  9837,  1674,
    1674,    76, -2978, -2978,  1122,   179,   179,   179,   349,   674,
   -2978,   292,  1124, -2978, -2978, -2978, -2978,    88,  1146,   195,
    1467,   349,   349, -2978,  6739,  1148, -2978,  8693, -2978,  1168,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,   807,
   -2978, -2978, -2978,  1267, -2978, -2978, -2978, -2978,  1756,  1732,
    1192,  1637,  1070,   179, -2978,   947,  1027,   292,  1562, -2978,
   -2978,  1211,  1210,  1217,  1219, -2978, -2978,  1228,  1230,  1253,
    1264, -2978, -2978, -2978,   -35,  1528,  1275,  1848,   973,    28,
     303,   310,   318,   540,  1027,  1070,  1522,  1705,  1034,  1650,
     611,  1525,  1583,   105,   107,  1257,   795,  1632,  1604,  1700,
     791,  1717,  1665,  1681,  1082,  1643,  1836,  1070,  1640,  1638,
    1702,  1703,  1639,  1642,   234,  1070,   143,  1616,  1713,  1092,
   -2978,  1419,  1429,  1426, -2978,  1431,  1436,  1443,  1444,  1445,
    1545, -2978,  1847,  1656,   331,  1070,  1897,   349,  1070,  1898,
    1070, -2978,  1678, -2978,  1210, -2978,  1452,  1456, -2978,  1468,
    1070,   405,  2035,   135,  2056,  1287, -2978,  1471, -2978,  1480,
   -2978,   349,  1873,  2123,  2053,  1901,  1862,  1915, -2978,  1490,
    1492,  1489,  1500,  1509,  1510,  1950,  1865,  1947, -2978,  1523,
    1535,  1536,    42,  1520,  1978,  1793,   349,  1999,  1927,  1070,
    1929,   709, -2978, -2978, -2978, -2978,  1582, -2978,  1588,  1589,
    1590, -2978,  1936, -2978, -2978,  1591,    77,   230,   230,  6739,
     277,   230, -2978,   230,  2173, -2978,  2182, -2978,  2183,   785,
    2164, -2978, -2978,  2169,   775,  2174,  2175, -2978, -2978, -2978,
    2053,  6739,  6739,  6739,  6739,  6739,  6739,  6739, -2978, -2978,
    2196, -2978,  1617,   159, -2978, -2978,  2164, -2978,  3436, -2978,
   -2978, -2978, -2978,   215, -2978,  2211, -2978, -2978, -2978, -2978,
     126, -2978,   268,  6739,  2203,  2206, -2978,  6739,  6739,  6739,
    6739,  6739,  6739,  6739,  6739,  6739,  6739,  6739,  6739,  6739,
    6739, -2978,  3669, -2978, -2978,  1548, -2978, -2978, -2978, -2978,
    2221,  2227,  2232,  2233, -2978, -2978, -2978,    69,  2234, -2978,
   -2978, -2978, -2978,  1290,  2236, -2978,  2242, -2978,  4067, -2978,
    1454, -2978,  2243, -2978,  1478,  1478,  1478,  1478,  1478,  1478,
   -2978,   291,   411,  2244,  1478,  1478,  2246, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978,   353, -2978, -2978,  2252,  2253,  1461,
    2254, -2978,  1132, -2978, -2978,   349,  2266,  6739, -2978,  1633,
   -2978,  4161,   286,  1682,  1675,  1684, -2978, -2978, -2978, -2978,
    6739,  1692, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978,   349, -2978, -2978,  1693, -2978,   349,  1232, -2978,  1908,
   -2978,   474,   349,    59,   349,   967, -2978, -2978,   476, -2978,
   -2978, -2978, -2978, -2978, -2978,  9265, -2978, -2978,  2268, -2978,
     331, -2978, -2978, -2978, -2978, -2978, -2978, -2978,  1070, -2978,
   -2978, -2978, -2978, -2978,     7, -2978, -2978, -2978, -2978, -2978,
    2047,  2058,  1508, -2978,  1707,   349,   349, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978,  1070,    64,  1711,  1712,   -14,
     799,  2062,  2065,  1070,  1959,  2093,  1070,  2085,   193,  2077,
    1729,  1730,  1733, -2978,  1734, -2978, -2978, -2978,  1518,  2294,
     449,  1871,  2294,   314,  1070,  2092,   349,  2105,  2112,   349,
    2113,  1070,  1070,  2187,  1070,  1070,  1765,  1070,  1070,  1070,
    1070,  1070,  1070,  1980,  2307,  1070,  1070,  1770,  1070,  1771,
    2312,  1070,  1070,  1994,  2015,  2190,  2149,  1070,  2142,  1070,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
    1070,   979,  1070, -2978, -2978,  1070, -2978,  2197,   349, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978,   349,   349, -2978,
    2359,  2366, -2978, -2978, -2978, -2978, -2978, -2978,  1674,  6739,
   -2978, -2978,   330,  2201, -2978, -2978,   330, -2978, -2978, -2978,
     330,  1070,  2053, -2978, -2978, -2978, -2978, -2978, -2978,   870,
     738, -2978, -2978, -2978,  1070,  2053, -2978, -2978, -2978, -2978,
    1704, -2978,  1508, -2978, -2978, -2978,  1387,  2068, -2978,  1795,
    1070,  1070, -2978,   349,  2095, -2978,   349, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978,   349, -2978,  2382, -2978,
   -2978, -2978,   508, -2978, -2978,   230,   471, -2978, -2978, -2978,
   -2978,  2349,  2386, -2978,  2267,  2370, -2978, -2978, -2978,  1019,
     548,   296,   309,   346,   395,   580,   592, -2978,  6739, -2978,
    6739,  1809,    38,  1810,   675, -2978, -2978,  2391,   183,   191,
   -2978,   738, -2978,  1812,  1818,  4321,  2361,  2362,  4152,  4152,
    4152,  4335,  4335,  4152,  4152,  4152,  4152,  4152,  1466,  1466,
    2175,  2175, 10675, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
     383, -2978, -2978, -2978, -2978, -2978, -2978, -2978,   494, -2978,
   -2978,   849,  2417, -2978, -2978, -2978,  1950,  1776,  1674,  1674,
   -2978,  2259,  2261,   503, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978,  2403, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978,  1433,  1350,  1350,  1350,  1350,  1350,  1350,  1626,
    1478,  1350,  1478,  1350, -2978,  1350,  1350, -2978,   644, -2978,
   -2978, -2978, -2978,  1674,  1319,  1027, -2978, -2978,  2422, -2978,
   -2978,  1985,  1831,  2419,  2702, -2978, -2978,  9837, -2978,  1027,
    1674, -2978,  1835,   760, -2978, -2978, -2978,  2405,  1427,  1603,
    1027, -2978, -2978, -2978, -2978, -2978,  6739, -2978,  2385,  1027,
   -2978, -2978,   644,  1841,  1842, -2978, -2978, -2978, -2978,   936,
   -2978, -2978, -2978,  2406, -2978,  1845,  1850,  1134, -2978,  2171,
   -2978,  1853, -2978,  1851,  2687,  1506,  3360,   349,   349,  1854,
   -2978,  1856,  1857,  1864,  1070,   367, -2978, -2978,  2279,  2215,
     349,  1867,  1868,   349,   349,  1869,  1070,  1070,  1874,  2116,
     349,  1880,   349, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978,  8693, -2978,   349,   349, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978,  1881, -2978,   349,   349, -2978,  1883,   349,
    1885,   349,   349,  1889,   349,  1890,  1891,   331,  1900,  1904,
   -2978,  1905,  1910,  1911,  1913,  1914,  1916,  1070,   373,  1917,
    1918, -2978,  1920, -2978,  1070,  1921,  1923,  2263,  1070,  1070,
    1070,  1925,  2144,  1928,  1107, -2978, -2978,  3466, -2978,  2025,
    2488, -2978,   349, -2978, -2978, -2978, -2978,   349, -2978, -2978,
    2671, -2978, -2978, -2978, -2978, -2978, -2978, -2978,  4321, -2978,
    2288, -2978,  1070, -2978, -2978, -2978,  1930,  2319,  2606,  2224,
    2451,  1932,  1933, -2978,  2294,  2458,  2504,   349,  1070,  1070,
    2502,  1387,  7087, -2978, -2978,  2353, -2978,   349, -2978,  1845,
    1934, -2978,   230, -2978, -2978,   230,  2510, -2978,  2498,  2499,
   -2978, -2978, -2978,  6739, -2978,  6739,  6739,  6739,  6739, -2978,
   -2978,   408,   250,  4964,  6739,  5319,  6739, -2978,  1939,  6739,
   -2978, -2978, -2978,  6739, -2978,  2522,  2523, -2978, -2978, -2978,
   -2978, -2978,  1548, -2978,    69, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978,   785,   851,  1636, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978,  2519,  2519, -2978, -2978,  1306,
   -2978, -2978, -2978, -2978, -2978, -2978,  1027, -2978, -2978, -2978,
    1027,  1834,  2538,  2543,  2545,  2546,  2548,  2549, -2978, -2978,
    2537,   331, -2978, -2978, -2978,   331,   331,  1350,  2551,  1350,
    2556,  2558,  2560, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978,  4161,  4161, -2978,  7438,  9837,  1977,  1970,  1976,  1845,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,   772,  2557,
   -2978, -2978,   574, -2978, -2978,  2336,   179,  2337,  1070,  1070,
    1422, -2978,  1995, -2978,  2564, -2978, -2978,   179, -2978, -2978,
    1998,  8693, -2978, -2978, -2978,  2552,  2311,  2434, -2978, -2978,
   -2978,  2006, -2978, -2978, -2978,  1508,  2309, -2978, -2978,  2011,
   -2978,  2460, -2978, -2978, -2978,  2012,  2016,  2018, -2978, -2978,
   -2978, -2978,  2022,   972, -2978,  2024,   720,   349,  2028, -2978,
   -2978,  2031,  2034, -2978,  2036,  2038, -2978,  1070,  2039, -2978,
    2041,   768,  2043,   473, -2978,   513, -2978, -2978, -2978,   316,
   -2978, -2978, -2978,  2045, -2978,  2046,  2049, -2978,  2051, -2978,
   -2978,  2060, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
    2064, -2978,  2066, -2978, -2978, -2978,  2070, -2978, -2978,  2429,
    2073,  2074,  2075, -2978,  1070, -2978,  1123,  1674, -2978, -2978,
    2078, -2978,  2324,  2283,  2069,  2067,  2286,  2489,  2476,  2614,
    2326,  2513,    95,  1070,  1070,   887,   349,  1070,   170, -2978,
   -2978,  2084,  2661,  2273,  2274,  1271, -2978, -2978, -2978, -2978,
    1210, -2978,  2094,  1674,  1394,   349,  1027,  2559, -2978, -2978,
   -2978,  2096, -2978, -2978, -2978,   609,  1070, -2978,  1003, -2978,
    2448,  1518, -2978,  1039, -2978,  2099, -2978,  2237, -2978,  1653,
   -2978, -2978, -2978,  1342, -2978, -2978, -2978,  1342,  2528,  2193,
   -2978, -2978, -2978,  2104, -2978,  1070,   349, -2978, -2978, -2978,
    2114,   349,  2367,  2517,  2653,  2517,   474,    40,  2517, -2978,
   -2978, -2978,  2119, -2978,   349, -2978, -2978, -2978, -2978,  2504,
   -2978, -2978,  2677, -2978, -2978, -2978, -2978,  2675,  6739,  6739,
    2121,  6739, -2978, -2978, -2978,  6739,  6739, -2978,  2122,  2125,
   -2978, -2978,    52,  2124,  2693,  6739, -2978,  2683,  2695, -2978,
     349, -2978, -2978, -2978, -2978, -2978, -2978,  2688,  2691, -2978,
    1619,  1801,   440,   826,   865,   905,   999,  6739, -2978,  6739,
    1115,    44,  4321,  2130,  1138,    37,  2131,  2713,   675,  4321,
   -2978, -2978,  2138, -2978, -2978,  2715,   785,  2164,  1306, -2978,
   -2978, -2978, -2978,   785,  2164, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,  2734,
   -2978,  2735, -2978, -2978, -2978,  9837,  2642, -2978,  9837,  2145,
   -2978, -2978,  7438, -2978, -2978,  2152, -2978, -2978,  2726, -2978,
   -2978, -2978,  2511, -2978,  2512, -2978, -2978,   349,   349, -2978,
    1861,  1834, -2978, -2978, -2978, -2978, -2978,   137, -2978,  8138,
   -2978,  2053, -2978,  1524, -2978, -2978,  2151, -2978,   486, -2978,
    1070, -2978, -2978, -2978,  2609, -2978,   349, -2978, -2978,  2579,
    2350,  2355, -2978,    62,  2358,  1339,   793, -2978, -2978,  2172,
    2176,  2186, -2978, -2978, -2978, -2978, -2978,  2188, -2978, -2978,
    1070, -2978,  1544,  2531,   349,   349, -2978,  2191, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
    1070, -2978, -2978, -2978,  2192,   270,  1349, -2978, -2978,  1025,
     511,  1070,  1070,   -12,  2053,  1070,  2464,   939,  2053, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978,  2398,  2723, -2978,
   -2978,   672,   672,   672,  2763, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978,  2466, -2978, -2978, -2978,   349,   349,  1070, -2978,
    2214,   349, -2978,  2216,   331, -2978, -2978,  2217,   349, -2978,
   -2978,   349,  2222, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
    2226, -2978, -2978, -2978,   101,    32, -2978,  1070,  2736, -2978,
   -2978, -2978,  2615, -2978, -2978, -2978,  1508, -2978,   349,  2750,
     349, -2978,  2777, -2978, -2978, -2978,   349, -2978, -2978,  2677,
    2810,   917,  1029,  8063,  2027,  4120,   146,  4000, -2978, -2978,
    2230,  7438,  6739, -2978,  6739,  1077, -2978,  6739, -2978,   114,
    2813,  2796, -2978, -2978, -2978, -2978,  2771, -2978, -2978,  1779,
    2766, -2978, -2978, -2978, -2978, -2978, -2978,   632,  2797,  2797,
     942,  2245, -2978,   632,  2797,  2797,  1342,  2255,  6739, -2978,
   -2978, -2978, -2978,  1065,  1396, -2978,  2802,  6739, -2978,  5674,
   -2978,  2811,  6739,  2843,  6029,  6384,  2256,  6739, -2978, -2978,
   -2978,   902, -2978, -2978,    83, -2978, -2978, -2978,  2257,   349,
     349, -2978, -2978, -2978,   349,   349, -2978,  2258, -2978,  6739,
   -2978, -2978,  2260, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978,  2151, -2978, -2978,  8693,  1027,  2567, -2978,  2262,  1070,
    2264,  2457,  2593, -2978, -2978, -2978, -2978, -2978, -2978,   972,
   -2978, -2978, -2978, -2978, -2978, -2978,  2625,  2627,  2628, -2978,
   -2978, -2978,  2280, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978,   552,   552,  1508,  2467, -2978, -2978, -2978, -2978,
   -2978,  2696,  2623, -2978, -2978,  1070, -2978, -2978, -2978, -2978,
   -2978,  1070,  2568,  1858,  2285, -2978, -2978, -2978, -2978, -2978,
   -2978,  1070,  1845,  2281, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978,  2292, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978,   349,  2293,   349,
   -2978, -2978,  1070, -2978, -2978, -2978,  2295, -2978, -2978, -2978,
   -2978,  2282,  2296, -2978,  7788, -2978, -2978,  9837,  2800,  6739,
   10409, -2978, -2978,  2059,  2091, -2978, 10675,  2103,  1508, -2978,
    2300, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978,  2874,   349,  1860, -2978,  2298,
   -2978,    79,   349,  2270,    97, -2978, -2978, -2978, -2978,  1860,
      79,    97,  2819, -2978,  1457, -2978, -2978,  2303,  2305,  1293,
      54,  2313,  1301,  2315,  2317,    55,  2318,    56, -2978,  2320,
   -2978, -2978,  6739, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
    1513,  8138, -2978, -2978,  1512, -2978, -2978, -2978,  1508,  2621,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978,   349,   349,   349,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,  1070,   349,
   -2978, -2978,  1070, -2978,   541, -2978,  2237, -2978, -2978,    82,
     115,   684,  1558,   -29, -2978, -2978, -2978, -2978, -2978,  2404,
   -2978, -2978, -2978, -2978, -2978,  2321,  2323,  2814,    98, -2978,
   -2978,  4321, -2978, -2978, -2978, -2978, -2978, -2978,  2331, -2978,
   -2978, -2978,   349, -2978, -2978,   349,  2181,   349, -2978,  2797,
    2797,  2883, -2978, -2978, -2978, -2978, -2978,  2797,  2797,  2894,
   -2978, -2978, -2978, -2978,  2891,  6739, -2978, -2978, -2978,  2892,
    6739, -2978,  6739,  2922, -2978,  6739, -2978, -2978,  2135, -2978,
   -2978, -2978, -2978, -2978,  1070,  2335,  1668,  2697,   349,   349,
    1437, -2978, -2978, -2978, -2978,   456,  2339,  2344, -2978,  1070,
   -2978,  1059, -2978, -2978, -2978, -2978, -2978, -2978, -2978,  2285,
   -2978, -2978,  3441, -2978, -2978, -2978,   878, -2978,  1070,   349,
    1070, -2978,  2345,   349,   308,   349,   349,  2616,   379, -2978,
   -2978,  2346,  1070,  2454,  2459,  1070,  1070, -2978,  2351,  2189,
   -2978,   753,   357,   638,  2048, -2978,   537, -2978, -2978,  7788,
   -2978, -2978, -2978,  3436, -2978, -2978,  2938, -2978, -2978, -2978,
   -2978,  1108,  6739,  2352,  2354, -2978, -2978,  2298,   349, -2978,
     349,   349,   349,  2270,  2270, -2978,  2356,  2357,  2360,  2363,
    2368,  2364,  2372, -2978, -2978,  1739,  2712,  2719,  2720, -2978,
   -2978, -2978,  1741, -2978,  2759, -2978, -2978, -2978,  6739, -2978,
   -2978, -2978, -2978,  1797, -2978, -2978, -2978,   349,  2657,   715,
     349,  2663,   928,  2728,   426,   349,  2733,  2737,  2912,  1064,
    2660, -2978, -2978,  2379, -2978,  1716,   349,  2674,  1010,  2738,
    2521,  2387,  1070,   538,  2554,   349,   349,  2629,   349,  1070,
     349,  2659,   445,   280,   349,  2860,  2561, -2978, -2978,  2396,
   -2978,   349,  2397, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978,   349,   349, -2978, -2978, -2978,   349,   349,
   -2978, -2978, -2978,  2520,    53,   181,   255,  -101,  2515,  2525,
    1070,  2524,  2754,  2518,  2699,  2711,  2717,  2505, -2978,  2411,
     381,  1508, -2978,  2418,  2983,   381, -2978,  2421, -2978, -2978,
   -2978,   349,  1070,  2708,  1051,   -25,  1070,   925,   349,  2768,
    1508,  2654,  2774,  2895,   317,  2775,  2779,   371,  2516,  2508,
    2514, -2978, -2978,  2435,  2506,  2526,  1027, -2978,  2437, -2978,
   -2978,  1546,   125,   254, -2978,  4321,  2439,  6739, -2978,  2997,
    2998, -2978, -2978, -2978, -2978, -2978, -2978,  6739, -2978,  6739,
   -2978,  2438,  2442,   349,   349,   349, -2978, -2978,  1746,  1806,
    3013,   482,   349,  3013,  1698,   723,  2441, -2978,  1783, -2978,
   -2978, -2978, -2978,   349,   349,   349,   349,   349, -2978,  1070,
   -2978,  2732, -2978,   349,   349,  2739,   349,   349,   349,   349,
    1070, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978,    43,   349,   349, -2978,  1070,  2583, -2978, -2978, -2978,
   -2978, -2978,  1070, -2978, -2978,  1106, -2978, -2978, -2978,   349,
     349, -2978,  1070,  1070, -2978,   349,  1070, -2978, -2978, -2978,
   -2978, -2978,  2553,  2553,  2808,  2806, -2978,  1324,   349,  1324,
    2809,   349,   349,  2820,   349,  2572, -2978,  1070,   349,   349,
    2881,  1070,   101,  1070,    32,   175, -2978,   349, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,   349,
     349,   349, -2978,  1070,  1070, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978,   349, -2978,  1283,   349,   349, -2978, -2978,   349,
     349,  1070, -2978,  1070,  1070,  1070, -2978,  2878,  2880, -2978,
   -2978, -2978, -2978,  6739, -2978, -2978, -2978,  2955, -2978,  1924,
     349,   349,  2472,  2474, -2978,  1739, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978,  2475,  3013,  3013,  2480,  2481,  2120,  2155,
   -2978, -2978, -2978, -2978,  2482,  3013,  3013, -2978,  1508,  1508,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,  1070,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978,  1070,   142, -2978,  2630, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978,  1070, -2978, -2978,   349,   349, -2978, -2978, -2978,
   -2978,  2553, -2978,   349,  2553, -2978,   349, -2978,  1070, -2978,
   -2978, -2978,   349, -2978, -2978, -2978, -2978,   349,  1070, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978,  2635, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978,  1027,  1027,  1546,  7788,
    2495, -2978, -2978, -2978,  6739, -2978,  1797,  2507,  2509,  1797,
    1797, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978,  1797,  2533,  2534, -2978, -2978, -2978, -2978, -2978, -2978,
    2662, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978,  2592, -2978, -2978, -2978, -2978, -2978, -2978,  2532,
   -2978,  1797,  1797, -2978, -2978, -2978,  1797,  1797, -2978,  2536,
     638,  6739, -2978, -2978, -2978, -2978, -2978, -2978,  2535, -2978
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
     553,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2145,     0,   552,   699,   701,   703,  1135,  1137,  1139,  1141,
    1145,  1147,  1149,  1206,  1215,  1217,  1219,  1221,  1223,  1225,
    1227,  1229,  1231,  1233,  1235,  1242,  1244,  1246,  1248,  1250,
    1252,  1254,  1258,  1260,  1312,  1378,  1433,  1435,  1437,  1439,
    1648,  1791,  1793,  1795,  1797,  1799,  1801,  1803,  1805,  1980,
    1982,  2050,  2129,  2131,  2133,  2135,  2137,  2139,  2141,  2143,
       1,   551,     0,   970,   967,   968,     0,     0,     0,     0,
       0,     0,     0,     0,   988,   989,     0,   960,   961,   963,
     964,   965,   966,     0,     0,  2095,     0,     0,     0,   555,
     554,   556,   705,   708,   710,   712,   714,   748,   949,   956,
     958,   969,     0,   971,   974,     0,  1032,  1037,   987,   990,
     994,  1272,  1278,   990,  1314,   990,  1331,   990,  1390,   990,
     994,   990,  1618,   990,  1635,   990,   994,   990,   994,     0,
     994,   990,  1838,   990,  1927,   990,  1984,   990,   994,   994,
    2094,  2121,  2124,   990,   990,   994,   700,   702,   704,   835,
     836,   847,   761,   762,   842,   567,   839,   840,     0,     0,
       0,     0,   858,     0,     0,   861,   837,   838,   859,   860,
     862,   863,   864,   865,   866,   867,   869,   870,   871,   868,
       0,     0,     0,     0,     0,     0,     0,     0,  1268,  1269,
    1270,  1271,  1432,  1604,  1607,  1606,  1603,  1605,  1608,  1609,
    1610,  1613,  1615,  1611,  1612,  1614,  1616,  1787,  1788,  1789,
    1790,  1925,  1926,  1978,  1979,  2056,  2057,  2058,  2059,  2060,
    2061,  2062,  2063,  2065,  2066,  2067,  2068,  2069,  2070,  2071,
    2072,  2073,  2074,  2075,  2076,  2077,  2078,  2079,  2081,  2082,
    2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,  2091,  2092,
    2064,  2080,  2181,  2182,     0,     0,   857,   588,   589,   598,
     590,   591,   592,   593,   599,   594,   595,   596,   843,   697,
     698,   597,   841,   851,   897,   898,   914,   896,   899,   901,
       0,   913,   900,  1262,  1264,  1263,     0,     0,     0,  1262,
     620,   620,     0,     0,     0,     0,  1261,     0,     0,  1266,
       0,     0,  1151,     0,  1208,  1144,     0,     0,  1144,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1238,
    1237,     0,  1240,   620,  1650,  2146,  2145,     0,  2145,     0,
       0,  2147,  2142,   565,   564,     2,     3,     4,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   566,     0,     0,   749,   706,   709,
     716,   717,   718,   720,   719,   721,   722,   723,   724,   725,
     726,   727,   728,   729,   730,   731,     0,   732,     0,     0,
       0,     0,   618,   617,     0,     0,     0,     0,     0,   573,
     962,     0,     0,  1039,  1038,  1040,  1041,     0,     0,     0,
       0,     0,     0,   558,     0,     0,   560,     0,   975,   985,
    1065,  1985,  1442,  2015,  1315,  1332,  1391,  1621,  1636,  1657,
    1817,  1832,  1839,  1928,  2151,  2168,  1660,  1930,    13,   991,
       0,     0,   573,     0,  1071,     0,     0,     0,     0,  1064,
    1002,     0,  1016,     0,     0,  1276,  1280,     0,     0,     0,
       0,  1291,  1561,  1562,     0,     0,     0,     0,     0,  1551,
    1552,     0,     0,     0,     0,   573,     0,     0,     0,     0,
       0,     0,     0,   573,     0,  1446,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   573,     0,     0,
       0,     0,     0,     0,     0,   573,     0,     0,     0,     0,
    1441,     0,     0,  1304,  1563,  1599,     0,     0,     0,     0,
       0,   970,     0,     0,     0,   573,     0,     0,   573,     0,
     573,  1656,  1663,  1667,  1016,  1668,     0,     0,  1681,     0,
     573,     0,     0,     0,     0,     0,  1816,     0,  1821,     0,
    1834,     0,     0,     0,     0,     0,     0,     0,  1831,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2014,     0,
       0,     0,  2039,  2048,     0,     0,     0,     0,     0,   573,
       0,   573,  2150,  2160,  2158,  2159,     0,  2161,     0,     0,
       0,  2174,     0,  2167,  2171,     0,   835,   835,   835,     0,
       0,   835,   857,   835,     0,   824,     0,   580,     0,     0,
       0,   583,   584,     0,     0,     0,   894,   587,   692,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   784,   785,
       0,   787,     0,     0,   763,   766,   762,   765,     0,   844,
     768,   588,   589,   815,   764,   802,   799,   800,   801,   811,
       0,   819,     0,   852,     0,     0,  1234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   872,     0,  1074,  1073,     0,  1257,  1255,  1256,   619,
       0,     0,     0,     0,  1249,  1085,  1084,     0,     0,  2144,
    1308,  1265,  1267,  1266,     0,  1146,     0,  1138,     0,  1136,
       0,  1143,     0,  1380,  1144,  1144,  1144,  1144,  1144,  1144,
    1807,  1144,  1144,     0,  1144,  1144,     0,  1228,  1220,  1230,
    1222,  1216,  1218,  1224,  1226,  2117,  2112,  2115,  2113,  2114,
    2116,  2118,  2119,  2120,     0,  2110,  1241,     0,     0,     0,
       0,  2138,  2147,  2134,  2136,  2148,     0,     0,  1274,     0,
     738,     0,   733,     0,     0,     0,   952,   954,   955,  1060,
       0,     0,   957,  1035,  1033,  1034,  1036,   569,   571,   570,
     572,     0,   568,  2125,     0,  2123,  1042,     0,  1050,  2098,
    2103,     0,  2099,     0,     0,     0,  2128,  2127,     0,  2093,
     973,   983,   972,  1658,  1659,   990,  1929,   992,     0,  1066,
       0,   995,   996,  1051,  1001,  1000,   999,   997,   573,  1067,
    1014,  1018,  1068,  1069,     0,  1273,  1322,  1339,  1396,  1469,
       0,     0,     0,  1487,     0,     0,     0,  1555,  1553,  1556,
    1554,  1557,  1559,  1558,  1560,   573,     0,     0,     0,     0,
     573,     0,     0,   573,     0,     0,   573,     0,     0,     0,
       0,     0,     0,  1488,     0,   574,   575,   576,     0,   577,
       0,     0,   577,     0,   573,     0,     0,     0,     0,     0,
       0,   573,   573,     0,   573,   573,     0,   573,   573,   573,
     573,   573,   573,     0,     0,   573,   573,     0,   573,     0,
       0,   573,   573,     0,     0,     0,     0,   573,     0,   573,
    1470,  1472,  1302,  1306,  1597,  1601,  1471,  1630,  1645,  1661,
     573,   573,   573,  1682,  1669,   573,  1679,  1676,     0,  1670,
    1664,  1665,  1018,  1662,  1684,  1818,  1828,     0,     0,  1827,
       0,     0,  1824,  1829,  1830,  1820,  1819,  1009,   744,     0,
    1023,  1024,     0,     0,  1022,  1004,     0,  1005,  1020,  1003,
       0,   573,     0,  1835,  1836,  1851,  1937,  1987,  2016,     0,
       0,   607,   606,  2034,   573,     0,  2017,  2018,  2019,  2041,
       0,  2040,     0,  2044,  2042,  2043,  2030,  2036,  2046,     0,
     573,   573,  2054,     0,     0,  2162,     0,  2155,  2154,  2164,
    2052,  2153,  2152,  2169,  1051,  2172,     0,  2170,     0,   827,
     833,   831,     0,   761,   762,   835,     0,   832,   834,   826,
     579,   581,     0,   902,     0,     0,   903,   693,   694,     0,
       0,     0,     0,     0,     0,     0,     0,   786,     0,   879,
       0,     0,     0,     0,   773,   816,   817,     0,     0,     0,
     845,     0,   846,   855,     0,   853,     0,     0,   891,   889,
     887,   884,   885,   886,   888,   890,   892,   893,   880,   881,
     882,   883,     0,  1202,  1200,  1201,  1185,  1188,  1192,  1195,
    1198,  1199,  1186,  1187,  1189,  1190,  1191,  1193,  1194,  1196,
    1197,  1203,  1204,  1205,  1078,  1079,  1080,  1082,  1083,  1081,
       0,  1076,  1247,  1243,  1251,  1253,  1089,  1090,     0,  1087,
    1259,     0,     0,  1140,  1148,  1150,     0,     0,   744,     0,
    1161,     0,  1182,     0,  1163,  1162,  1167,  1168,  1181,  1183,
    1184,  1152,  1160,     0,  1207,  1214,  1211,  1210,  1212,  1213,
    1209,  2051,     0,   620,   620,   620,   620,   620,   620,     0,
    1144,   620,  1144,   620,  1792,   620,   620,  1232,     0,  1239,
    1236,  1245,  1649,   744,     0,     0,  1654,  2140,     0,  2149,
    2130,     0,   734,   740,     0,   707,   742,     0,   711,     0,
       0,  1051,     0,     0,   950,  2126,  2122,     0,  1044,  1047,
       0,  2102,   622,   623,   624,   621,     0,  2105,  2106,     0,
    2101,  2108,     0,     0,     0,   561,   562,   563,   559,     0,
    1833,   993,   998,  1054,  1057,  1072,     0,     0,  1019,     0,
    1279,     0,  1275,  1287,   994,   994,   994,     0,     0,     0,
    1478,     0,     0,     0,   573,   573,  1525,  1527,     0,     0,
       0,     0,     0,     0,     0,     0,   573,   573,     0,     0,
       0,     0,     0,  1543,  1542,  1132,  1545,  1489,   605,   604,
    1446,     0,  1446,     0,     0,  1449,  1450,  1475,  1464,  1465,
    1466,  1467,  1468,     0,  1443,     0,     0,  1473,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1524,     0,     0,     0,     0,     0,     0,   573,     0,     0,
       0,  1526,     0,  1482,   573,     0,     0,     0,   573,   573,
     573,     0,     0,     0,     0,  1290,  1018,     0,  1602,   994,
     994,  1671,     0,  1674,  1673,  1678,  1672,     0,  1680,  1666,
       0,  1826,  1825,  1822,  1823,   743,  1021,   738,   746,  1031,
    1025,  1007,   573,  1008,  1006,  1011,     0,   994,   994,   994,
    2032,     0,     0,  2024,   577,  2037,     0,     0,   573,   573,
       0,  2031,     0,  2022,  2165,  2156,  2053,     0,  2163,  1059,
    2178,  2173,   835,   825,   829,   835,     0,   581,     0,     0,
     688,   690,   910,     0,   895,     0,     0,     0,     0,   915,
     912,     0,     0,     0,     0,     0,     0,   767,     0,     0,
     803,   812,   820,     0,   856,     0,     0,   874,   875,   877,
     873,   878,     0,  1075,     0,  1086,  1313,  1310,  1311,  1309,
    1142,  1154,  1179,  1180,     0,  1176,  1177,  1178,  1172,  1170,
    1171,  1153,  1169,  1159,  1166,     0,     0,  1156,  1155,   567,
    1164,  1165,  1379,  1381,  1385,  1388,     0,  1386,  1387,  1389,
       0,     0,     0,     0,     0,     0,     0,     0,  1806,  1815,
       0,     0,  1810,  1813,  1808,     0,     0,   620,     0,   620,
       0,     0,     0,  2111,  1653,  1652,  1651,  1655,  2132,   557,
     736,     0,     0,   750,   752,     0,     0,     0,     0,  1061,
     951,   953,  1043,  1045,  1046,  1048,  1049,  2097,     0,     0,
    2104,  2100,     0,  2096,   959,     0,     0,     0,   573,   573,
       0,   986,     0,  1055,   620,  1051,  1070,     0,  1017,  1012,
       0,     0,  1277,  1285,  1289,     0,     0,     0,  1324,  1316,
    1317,     0,  1346,  1348,  1348,     0,     0,  1341,  1333,     0,
    1399,     0,  1398,  1392,  1393,     0,     0,     0,  1501,  1500,
    1499,  1550,     0,     0,  1451,     0,   573,     0,     0,  1535,
    1534,     0,     0,  1541,     0,     0,  1514,   573,     0,  1490,
       0,     0,     0,     0,   578,     0,  1447,  1448,  1548,     0,
    1444,  1445,  1492,     0,  1484,     0,     0,  1505,     0,  1494,
    1480,     0,  1481,  1516,  1497,  1528,  1496,  1495,  1540,  1498,
       0,  1529,     0,  1531,  1532,  1483,     0,  1493,  1521,     0,
       0,     0,     0,  1519,   573,  1549,     0,     0,  1305,  1296,
       0,  1307,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   573,   573,   573,     0,   573,     0,  1600,
    1570,     0,     0,     0,     0,     0,  1632,  1619,  1622,  1624,
    1016,  1623,     0,   744,     0,     0,     0,     0,  1647,  1641,
    1637,     0,  1675,  1677,  1777,     0,   573,  1697,   573,  1695,
       0,     0,  1687,   573,  1683,     0,  1701,  1778,   745,     0,
    1030,  1010,  1837,     0,  1854,  1844,  1846,     0,     0,     0,
    1853,  1840,  1841,     0,  1940,   573,     0,  1939,  1931,  1932,
       0,     0,     0,  2000,     0,  2000,     0,     0,  2000,  1986,
    1989,  1990,     0,  1993,     0,  2035,  2020,  2021,  2023,     0,
     613,   614,  2026,  2028,  2027,  2029,  2025,   567,   852,   852,
       0,     0,   916,   917,   918,     0,     0,   926,     0,     0,
     754,  2049,     0,     0,   947,   852,  2045,     0,   948,  2047,
       0,  2166,  2055,  2176,  2180,   828,   830,     0,     0,   904,
       0,     0,     0,     0,     0,     0,     0,     0,   848,     0,
       0,     0,   773,     0,     0,     0,     0,     0,     0,   854,
     585,   586,     0,  1077,  1088,     0,  1173,  1174,     0,  1157,
    1158,  1383,  1384,   610,   611,   612,   608,   609,  1382,  1440,
    1434,  1436,  1438,  1796,  1794,  1811,  1814,  1809,  1812,     0,
    1798,     0,  1802,  1981,  1983,     0,   741,   738,     0,     0,
     758,   759,   753,   756,   757,     0,  1617,   713,     0,   625,
    2107,  2109,     0,   977,     0,   976,   978,     0,     0,   984,
    1052,     0,  1056,  1058,  1013,  1015,  1282,     0,  1281,     0,
    1320,     0,  1323,  1334,  1051,  1335,  1366,  1336,  1370,  1337,
     573,  1340,  1051,  1394,     0,  1397,     0,  1508,  1510,     0,
       0,     0,  1455,     0,     0,     0,     0,  1453,  1511,     0,
       0,     0,  1536,  1485,  1506,  1512,  1515,     0,  1491,  1502,
     573,  1131,     0,     0,     0,     0,  1134,     0,  1546,  1477,
    1476,  1474,  1507,  1504,  1503,  1486,  1479,  1533,  1530,  1547,
     573,  1517,  1522,  1520,     0,     0,     0,  1297,  1303,     0,
     573,   573,   573,     0,     0,   573,     0,     0,     0,  1577,
    1578,  1579,  1575,  1593,  1592,  1594,  1580,     0,     0,  1598,
    1625,     0,     0,     0,     0,  1018,  1631,  1640,  1639,  1638,
    1643,  1642,     0,  1646,  1051,  1700,     0,     0,   573,  1688,
       0,     0,  1686,     0,     0,  1704,  1699,  1703,     0,  1693,
    1685,     0,  1711,  1026,  1027,  1028,  1029,   603,   602,  1889,
    1898,  1843,  1051,  1842,     0,     0,  1849,   573,     0,  1852,
    1051,  1936,  1933,  1935,  1938,  2002,     0,  2001,     0,     0,
       0,  2003,  1991,  2006,  2007,  1995,     0,  1988,  2033,  2038,
       0,     0,     0,     0,     0,     0,     0,     0,   945,   945,
       0,   752,     0,   939,     0,     0,   941,     0,  2157,     0,
       0,     0,   646,   657,   658,   644,     0,   647,   648,     0,
       0,   651,   652,   656,   653,   695,   654,     0,   670,   670,
       0,     0,   696,     0,   670,   670,     0,     0,     0,   907,
     908,   906,   909,     0,     0,   782,     0,     0,   780,     0,
     776,     0,     0,   774,     0,     0,     0,   852,  1175,  1800,
    1804,     0,   733,   751,     0,   747,   760,   739,     0,     0,
       0,   981,   982,  1053,     0,     0,  1288,     0,  1328,     0,
    1330,  1329,  1319,  1325,   738,  1318,  1344,  1342,  1343,  1345,
    1347,  1366,  1364,  1349,     0,     0,  1373,  1338,  1429,   573,
       0,     0,     0,  1458,  1459,  1457,  1461,  1460,  1462,     0,
    1452,  1538,  1537,  1539,  1513,  1130,     0,     0,     0,  1125,
    1129,  1133,     0,  1518,  1299,  1300,  1298,  1293,  1295,  1292,
    1294,  1301,   573,   573,     0,     0,  1586,  1587,  1588,  1590,
    1591,     0,     0,  1596,  1581,   573,  1567,  1568,  1569,  1576,
    1595,   573,     0,     0,     0,  1633,  1627,  1628,  1629,  1626,
    1620,   573,  1780,  1784,  1690,  1691,  1689,  1765,  1692,  1765,
    1725,  1705,  1694,  1779,  1712,  1896,  1895,  1886,  1902,  1901,
    1909,  1845,  1911,  1912,  1919,  1847,  1850,     0,  1975,     0,
    1994,  1997,   573,  1996,  1992,  2004,     0,  1998,   615,   937,
     938,     0,     0,   931,     0,   821,   922,     0,     0,     0,
       0,   923,   755,     0,     0,   936,     0,     0,     0,  2179,
       0,   582,   905,   645,   649,   650,   655,   640,   638,   636,
     635,   637,   639,   634,   641,   663,     0,   680,   665,   661,
     671,   681,     0,     0,   682,   601,   600,   679,   689,   685,
     686,   687,   683,   691,     0,   849,   850,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   818,     0,
     735,   737,     0,   920,   715,   980,   979,  1284,  1283,  1286,
       0,     0,  1321,  1349,     0,  1369,  1371,  1372,     0,  1375,
    1427,  1400,  1395,  1509,  1456,  1463,  1454,     0,     0,     0,
    1523,  1565,  1566,  1564,  1573,  1572,  1571,  1574,   573,     0,
    1584,  1589,   573,   809,     0,  1644,  1778,  1782,  1786,     0,
       0,     0,  1714,     0,  1900,  1884,  1883,  1907,  1917,     0,
    1973,  1941,  1934,  1999,  2008,     0,     0,   924,     0,   921,
     927,   945,   946,   947,   945,   948,   930,   933,     0,   932,
    2175,  2177,     0,   659,   643,   642,     0,     0,   642,   670,
     670,     0,   672,   673,   674,   675,   676,   670,   670,     0,
     911,   797,   781,   779,     0,     0,   777,   795,   775,     0,
       0,   793,     0,   791,   790,     0,   788,   876,     0,  1327,
    1326,  1368,  1098,  1099,   573,     0,     0,     0,     0,     0,
       0,  1367,  1357,  1091,  1093,     0,  1124,     0,  1374,   573,
    1377,  1401,  1431,  1126,  1127,  1128,  1582,  1583,  1585,     0,
    1634,  1781,     0,  1698,  1768,  1766,  1769,  1696,   573,     0,
     573,  1702,     0,     0,     0,     0,     0,     0,     0,  1710,
    1724,     0,   573,     0,     0,   573,   573,  1899,     0,     0,
    1888,  1903,  1913,     0,     0,  1977,     0,   935,   934,     0,
     754,   769,   772,     0,   940,   771,   807,   804,   805,   806,
     813,     0,     0,     0,     0,   942,   664,   662,     0,   666,
       0,     0,     0,     0,     0,   684,     0,     0,     0,     0,
       0,     0,     0,   919,  1355,  1094,     0,     0,     0,  1350,
    1354,  1358,     0,  1359,     0,  1356,   629,   628,     0,  1100,
     630,   631,   632,  1101,  1097,  1365,  1376,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1430,  1426,     0,   810,     0,     0,     0,     0,     0,
       0,     0,   573,     0,     0,     0,     0,     0,     0,   573,
       0,     0,     0,     0,     0,     0,     0,  1785,  1764,     0,
    1770,     0,     0,  1708,  1709,  1707,  1706,  1718,  1721,  1722,
    1723,  1715,  1716,     0,     0,  1719,  1713,  1891,     0,     0,
    1890,  1892,  1897,     0,     0,     0,     0,     0,     0,     0,
     573,     0,     0,     0,     0,  1872,  1874,     0,  1887,     0,
       0,     0,  1906,     0,     0,     0,  1916,     0,   626,  1848,
     627,     0,   573,     0,     0,     0,   573,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1976,  1968,     0,     0,     0,     0,  2013,     0,   925,
     823,   773,     0,     0,   754,   928,     0,     0,   660,     0,
       0,   667,   678,   677,   796,   778,   794,     0,   792,     0,
     789,     0,     0,     0,     0,     0,  1360,  1361,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1402,     0,  1405,
    1406,  1407,  1404,     0,     0,     0,     0,     0,  1412,   573,
    1418,  1419,  1403,     0,     0,     0,     0,     0,     0,     0,
     573,  1428,  1733,  1734,  1735,  1736,  1737,  1738,  1739,  1740,
    1730,     0,     0,     0,  1758,   573,     0,  1772,  1763,  1752,
    1753,  1754,   573,  1727,  1745,   573,  1726,  1747,  1729,     0,
       0,  1731,   573,   573,  1728,     0,   573,  1783,  1771,  1767,
    1717,  1720,  1923,  1923,     0,     0,  1871,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1859,   573,     0,     0,
       0,   573,     0,   573,     0,     0,  1885,     0,  1921,  1905,
    1904,  1910,  1908,  1914,  1915,  1920,  1918,  1947,  1945,     0,
       0,     0,  1961,   573,   573,  1966,  1969,  1972,  1971,  1970,
    1967,  1942,     0,  1946,   573,     0,     0,  1943,  1944,     0,
       0,   573,  1948,   573,   573,   573,  1974,     0,     0,  2012,
    2005,  2009,   770,     0,   808,   814,   822,     0,   943,     0,
       0,     0,     0,     0,  1092,  1094,  1351,  1352,  1353,  1362,
    1363,   633,   616,     0,     0,     0,     0,     0,     0,     0,
    1120,  1121,  1122,  1123,     0,     0,     0,  1124,     0,     0,
    1410,  1411,  1063,  1062,  1413,  1414,  1420,  1408,  1409,   573,
    1422,  1421,  1424,  1423,  1425,  1756,  1755,  1757,  1760,  1759,
    1748,   573,     0,  1746,     0,  1761,  1744,  1732,  1743,  1742,
    1749,  1741,   573,  1893,  1894,     0,     0,  1880,  1881,  1882,
    1867,  1923,  1868,     0,  1923,  1857,     0,  1861,   573,  1860,
    1862,  1863,     0,  1877,  1873,  1878,  1875,     0,   573,  1922,
    1959,  1960,  1962,  1965,  1952,  1954,     0,  1963,  1957,  1958,
    1955,  1956,  1949,  1950,  1951,  1953,     0,     0,     0,     0,
       0,   669,   668,   783,     0,  1095,  1101,     0,     0,  1101,
    1101,  1110,  1111,  1112,  1113,  1114,  1115,  1116,  1117,  1118,
    1119,  1101,     0,     0,  1096,  1415,  1416,  1417,  1750,  1751,
    1774,  1773,  1762,  1924,  1856,  1869,  1865,  1870,  1866,  1855,
    1858,  1864,     0,  1879,  1964,  2011,  2010,   929,   944,     0,
    1106,  1101,  1101,  1108,  1107,  1109,  1101,  1101,  1775,     0,
       0,     0,  1104,  1105,  1102,  1103,  1776,  1876,     0,   798
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2978, -2978, -2978, -2978, -2978, -2978,    -6,  -918,   -75,    -7,
    1972, -1012, -1278, -2978,  -168,  -170,  1459,  1462,  1463, -2978,
   -2978, -2978,  -260, -2978, -2978,  -974, -2978, -2085, -1368, -1152,
     730, -2978,   855, -1986,  -102,  -291,   875,  -427, -2978,   160,
     225, -1188, -2978,   828,   830,   841,   842,   553,   227,   232,
     554, -1350, -1087,   556, -2978, -2978, -2978, -2978,  1983, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978,   -84, -2978, -2978, -2978, -2978,  1268,
   -1510, -2978, -1203, -2120, -2978, -2978, -2978,   588, -2779, -2978,
   -2978,   796, -2978,  -272,  1572,   -47, -1876, -2758,  2877, -2435,
   -2735,  1574,   -39, -2978,  2019, -2978,  1575, -2978, -2978, -2978,
   -2978, -1083, -2978, -2978,  -975,   559, -1869,  -167, -1592, -2978,
   -2978,   394, -2978,    49, -2885, -2978, -2978, -2978, -1868, -2978,
   -2978, -2978, -2978, -2343,   401, -2978, -1039, -2978, -2978,     5,
    3017, -2978, -2978, -2978, -2978, -2978, -2978, -2978,   -68,  -119,
   -2978,  -133,   -90, -2978, -1041, -1434,  -116, -1119, -1067, -2978,
     -48, -2978, -2978, -2978, -2978, -2978, -2978, -2978,  1119, -1321,
   -1367, -2978, -2978, -2470, -2978, -2978, -2978, -2978, -2978,  -292,
   -2978,  1225,   -69, -2978,  1224, -1421, -2978,  -206, -2977, -2978,
   -2978, -1708, -2978,  -227, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978,  -262, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -1437, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978,  1903,  1945, -1593, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978,  -140, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978,   348, -2978, -2978,
   -2978, -2978, -2978, -2978,  1116,   354, -2978, -2978, -2978,   545,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978,  1377,  -228, -2978, -2978,   523, -2978, -2978,
   -2978, -2978, -2978, -2978,   505, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978,  -493, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978,   470, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978,   325, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978,  -107, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978,    61,    46, -2978, -2978, -2978,
   -2978,  -118,    39, -2978, -2978, -2978, -2978,  -115,    41, -2464,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,  -469,   666,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,  1686,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,  1469,
    1517, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978,  1238,  1931, -2978, -2978, -2978, -2978, -2978, -2978, -2978,
   -2978, -2978, -2978, -2978, -2978, -2978
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,   904,     2,     3,   110,   111,  1312,  1326,   979,   956,
    2853,  2729,  1792,  1147,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,  2797,  2509,  2974,  1503,
    2328,  2251,  2252,  3383,   934,  1220,  1727,  3159,  3059,  3160,
    2786,  2906,  2576,  2577,  2578,  2579,  2580,  2787,  2788,  2789,
    2791,  2792,  2916,  2794,  2581,  2587,  2290,  2291,  1557,  1910,
    1911,   289,   290,   291,    22,    23,    24,    25,   112,  1290,
     113,   114,   115,   116,  2348,  2011,  1703,  1704,  2013,  1705,
    1866,  1867,  1484,  1706,   117,  1289,  2347,  2349,  2550,  2551,
    2350,  2351,  2352,   292,  1185,  3016,  1572,  1186,  1573,  1187,
    1188,  1189,  3020,  2864,  1190,  3021,  1191,  1192,  2888,  1143,
     293,  1144,   294,   295,  1583,  1584,   296,   297,   298,   299,
    1602,  1940,  2312,  2302,   301,  2275,  2353,  2758,  2354,  2547,
    3022,  3367,  2766,  2759,  2277,   118,  1301,   119,   120,   990,
     122,   123,   124,   959,  2042,  1739,  1332,   125,   980,   991,
     992,  2049,  2050,  1747,  1351,  1748,   993,  1489,  1485,  2210,
    1871,   126,   947,   948,   127,  1743,  2372,  2044,  1744,  1899,
    1900,  1711,  1712,  3238,   128,   129,   130,  1343,   994,  1216,
    1630,  1631,  1228,  1638,  1639,  2952,  2953,  3211,  2954,  2955,
    2956,  3226,  3394,  3064,  2427,  2101,  1786,    26,    27,    28,
      29,  1242,    30,    31,    32,  1238,  1961,  1962,  1663,  1623,
     306,    33,  1240,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,   342,  1277,    45,    46,    47,    48,
      49,    50,    51,   307,    52,    53,   308,  1234,   302,   131,
     132,  1751,  1354,   996,  1355,  1752,  1753,  2627,  2377,  2054,
    2378,  1052,  1053,  2681,  2150,  1844,  1443,  1845,  1846,  1641,
      54,   133,  2061,  2634,  1754,   134,  2632,  2633,   135,  2069,
    1755,   136,  2640,  2383,  2384,  2835,  2957,  3055,  2834,  2643,
    2385,  2387,  2646,  2839,  2960,  2389,    55,  1672,   137,  2075,
    1756,   138,  2392,  2962,  3083,  2961,  2841,  2393,    56,    57,
      58,    59,   139,  1403,  1400,  2085,  2406,  2407,  1803,   140,
    1392,  2102,  1054,  1055,  2854,  2699,  2171,  1847,  1445,  1848,
    1056,  2180,  2181,   141,  2182,  1849,   142,  2706,   143,  2191,
    1850,   144,    60,  1279,   976,   145,   146,  1461,  1074,  1075,
    1076,  1077,  1078,  1860,  2205,  2493,  2490,  2496,  2497,  2871,
    2982,  2206,  2872,  2991,  2207,  3109,  2869,  2975,  2976,  3112,
    3422,  3539,  3511,  2484,  2502,  2713,  2866,  2972,  2868,  2485,
      61,    62,    63,    64,    65,    66,    67,    68,  1679,   147,
     148,  1089,   149,  1335,   150,   151,  2223,  2514,  2515,  1877,
     152,  2512,  3149,  3312,  3314,  3440,  3000,  2999,  2876,  2513,
    2510,  2998,  2874,  2873,  2726,  2511,  2730,  2877,  3153,  3321,
    3001,  2731,  2734,  2878,  3157,  3325,  3002,  2735,  3319,  3433,
     977,   153,  2230,  1878,   154,  2520,  3005,  3183,  3340,  3004,
    2881,  2521,    69,    70,   155,   156,  1879,  2242,  2528,  2243,
    2532,  2535,  2745,  2746,  3006,  3188,  3360,   157,   158,  1516,
    1517,  2245,  1112,  1880,  1113,  2279,  1892,  1519,    71,   159,
    1126,   949,   160,  1721,  1730,  1323,  1728,  2030,  1733,  1274,
    1275,   161,   162,    72,    73,    74,    75,    76,    77,    78,
      79,   351,  1286,   163,  1529,  2281,  1127,  1128,   164,   165,
    1135,  1534,  2770,  2559,  2284,  1535
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     276,   942,  1145,  1184,  1152,   928,  1151,   905,   121,  1941,
    1939,   907,   908,  1399,  1402,  1183,  1218,  1100,  1111,  1125,
    1221,  1051,  1745,  2273,  2276,  1453,  1487,  1073,  1859,  1087,
    1790,  1099,  1088,  1462,  1327,  1662,  2705,  2705,  2705,  1109,
    1123,  1559,  1110,  1124,  2602,  1924,  1134,  2301,  2303,  2305,
    2306,  2597,  1278,  1539,  1540,  1541,   300,  2732,  1547,   953,
    1548,  2925,  2932,  2935,   175,   997,  1253,   998,  3212,   999,
    3062,  1000,  1150,  1057,  2507,  1058,  1696,  1059,  1367,  1079,
    2552,   276,  1749,  1101,  1538,  1102,  1661,  1103,    81,  1104,
    2904,  2908,  1296,  1136,  1297,  1129,  1130,  1298,   175,  2992,
    1149,  1150,   955,  1788,  3010,  1182,  2533,  1181,  2904,  2908,
    1137,  2822,  1138,  1316,  3011,  3012,  1543,  1544,  3062,  1395,
    1396,   953,  1397,   953,  1804,    82,   175,  1299,   175,  1509,
    3017,  1502,  2516,  1149,  1150,    83,  1788,   909,  1963,    84,
      85,  3011,  3012,  1543,  1544,  2273,  1307,  1308,  1309,  1310,
      80,   121,  1764,  3019,  1197,  1198,  1199,  1200,  1201,   953,
    1395,  1396,  1142,  1397,   175,   339,    86,  1197,  1198,  1199,
    1200,  1201,  1235,   276,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1209,  1210,  2004,     1,  1211,  1470,  1202,  1203,  1204,
    1205,  1206,  1207,  1208,  1209,  1210,  2654,  1360,  1211,  1174,
    1175,  1543,  1544,  1177,   175,  2624,  2760,  1174,  1175,  1543,
    1544,  1177,   175,  1731,   932,  3333,   932,  1768,   933,  2691,
     933,  1213,    87,  3302,    88,    89,  1971,  2613,    90,  1156,
      91,  3190,    92,  1636,    93,    94,    95,   317,    96,  3457,
    1174,  1175,   172,  1176,  1177,   175,  1136,   935,  1575,  1576,
    2459,   175,    97,    98,    99,   100,   101,   102,  1197,  1198,
    1199,  1200,  1201,  1137,  1502,  1138,   166,   276,  1180,  2863,
    3011,  3012,  1543,  1544,   936,   937,   167,   340,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,  1423,  1637,  1211,
    1361,   175,   938,  1174,  1175,  1543,  1544,  1177,   175,  2278,
    2274,  1742,  2467,   103,  1197,  1198,  1199,  1200,  1201,   104,
    3297,   344,  1241,  1317,   -59,   105,   106,  1197,  1198,  1199,
    1200,  1201,  1471,  1173,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1209,  1210,  1214,  1225,  1211,  1390,  1202,  1203,  1204,
    1205,  1206,  1207,  1208,  1209,  1210,   953,  1296,  1211,  1297,
    1759,   175,  1298,  1369,  1197,  1198,  1199,  1200,  1201,  1769,
    1371,  2692,  1805,  1510,  1805,   953,   -59,  1806,  1373,  1806,
     175,  3303,  1869,  1876,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1209,  1210,   953,  3299,  1211,  1882,   953,   175,   953,
    2019,  1511,   175,  1715,   175,   953,   168,   953,  3212,  1368,
     175,  1512,   175,  1197,  1198,  1199,  1200,  1201,  1307,  1308,
    1309,  1310,  2151,   316,  2625,  3366,  1197,  1198,  1199,  1200,
    1201,  2278,  2274,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,  1241,  1236,  1211,  3017,  1202,  1203,  1204,  1205,
    1206,  1207,  1208,  1209,  1210,  1680,  1226,  1211,  1197,  1198,
    1199,  1200,  1201,  3018,  2460,  2993,  2994,  1467,  3019,  2995,
    2996,   953,  1904,  3458,  1765,  2655,   175,  3118,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,   175,   352,  1211,
    2468,  3056,  3057,  2273,  1197,  1198,  1199,  1200,  1201,  3334,
    3415,  3416,  1722,  1723,  1951,  1724,   906,  1793,  1884,  1725,
    1885,  2802,  1794,   929,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1209,  1210,  1428,  2832,  1211,  1197,  1198,  1199,  1200,
    1201,  1793,  1424,  2644,   175,   931,  1794,   953,  2319,  2320,
    1254,  3295,   175,  3384,  3084,   930,  1202,  1203,  1204,  1205,
    1206,  1207,  1208,  1209,  1210,  2674,  2675,  1211,  3023,  1861,
    1862,  3024,  1307,  1308,  1309,  1310,  1197,  1198,  1199,  1200,
    1201,  1793,  1425,  1426,  2534,  1682,  1794,   951,   953,  2997,
    1513,  1514,  1515,   175,  1780,  2006,  1202,  1203,  1204,  1205,
    1206,  1207,  1208,  1209,  1210,  3240,  3124,  1211,  1197,  1198,
    1199,  1200,  1201,  1307,  1308,  1309,  1310,   206,  3119,  2768,
    1197,  1198,  1199,  1200,  1201,  1750,  2248,  1255,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,  3282,  3264,  1211,
    1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,  2733,
    3154,  1211,  2603,  2604,  1925,   952,  1154,   954,  1468,  2598,
    2777,  2778,  2779,  1303,  1304,  1305,  1193,  2189,   953,  2926,
    2933,  2936,  3280,   175,   932,  3062,  1732,  1967,   933,   175,
    2780,  2781,  2782,   939,  3158,   107,   108,   950,  3298,  3385,
    1300,  1139,  1502,  2477,  1370,  2909,  2823,  1140,   109,  1141,
    2973,  1372,  2273,  1197,  1198,  1199,  1200,  1201,  3347,  1374,
     953,  1342,  3013,  2917,  3332,   175,  3014,  3269,  2728,   954,
    1393,   954, -1544,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,  2769,  2977,  1211,  1307,  1308,  1309,  1310,  3363,
     341,  2808,  1579,  2810,   940,   953,  2812,  1580,  2815,  2817,
     175,   957,  1265,  3300,  3241,  2626,   953,   954,  1155,  3283,
    3509,   175,  3301,  2755,  2783,  2784,  2686,  2687,  3120,  3348,
    1307,  1308,  1309,  1310,  1569,  1570,  1149,  1150,  3018,  2278,
    2274,  1307,  1308,  1309,  1310,  1319,  1320,  1321,  1197,  1198,
    1199,  1200,  1201,  2645,  3395,  1375,  1215,  1929,  2121,   206,
    1197,  1198,  1199,  1200,  1201,  1178,  2631,  2630,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,  1266,   958,  1211,
    1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,  1554,
     995,  1211,  1577,  1395,  1396,   953,  1397,  3351,  1178,  2285,
     175,  1146,  2286,   941,  1139,  1179,  1795,  1796,  3270,  3434,
    1140,  1288,  1141,  2495,  1197,  1198,  1199,  1200,  1201,  1384,
    1307,  1308,  1309,  1310,  3155,  2298,  2299,  1322,  3013,  1311,
    1795,  1796,  1946,  1293,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1209,  1210,  1527,  1581,  1211,  1376,  3317,  1184,  1582,
     175,  1178,  1314,  1197,  1198,  1199,  1200,  1201,  1545,   -59,
    1090,   -59,  1330,  1345,  1346,  2273,  2887,  1148,   345,  1227,
    1795,  1796,  1915,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,  2315,   953,  1211,  1916,  1148,  1807,   175,  2431,
    3396,  1555,  1377,  1197,  1198,  1199,  1200,  1201,  1347,  1153,
    1291,  1385,  1294,  1295,   954,  1300,  2851,  2852,  1307,  1308,
    1309,  1310,  1306,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,  1917,   954,  1211,  1325,  1325,   276,  2978,  1688,
    2752,  1689,  2336,  1386,  2420,  3156,  2337,  2338,  2278,  2274,
    1149,   954,  1387,  2795,  2083,   954,  2131,   954,   932,  1145,
    1145,  1145,   933,   954,  1145,   954,  1145,  3516,  3271,  1942,
    3518,  1943,  1673,  1674,  1675,  1676,  1677,  1678,  2035,  1681,
    1683,  1918,  1685,  1686,  2486,   953,  3234,  3235,  1157,  2421,
     175,  2422,  2423,  1328,  2297,  2424,  2425,  1197,  1198,  1199,
    1200,  1201,  1735,  1736,  1737,  3229,  3230,  2641,  1394,   953,
    1307,  1308,  1309,  1310,   175,  2648,  3231,  1202,  1203,  1204,
    1205,  1206,  1207,  1208,  1209,  1210,  2588,  2487,  1211,   954,
    1429,  2710,  1797,  1770,  1307,  1308,  1309,  1310,   932,  3037,
    3058,  1158,   933,  2388,  3039,   953,  3040,  3184,  3185,  3042,
     175,  1456,  2488,  3186,  2399,  2479,  2429,  1579,  1726,  2979,
    1194,  1738,  1905,  1197,  1198,  1199,  1200,  1201,  3262,  3235,
    1307,  1308,  1309,  1310,  3336,  1477,   953,  2409,  1487,  2036,
    1944,   175,  1945,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,   346,  1903,  1211,   954,  2430,  3067,  1344,  1407,
    1522,  1307,  1308,  1309,  1310,  1408,  3246,  1159,  3068,  3330,
    3235,  3337,   953,  3069,  1947,  1948,   347,   175,  2980,  1142,
    1142,  1142,   276,  1180,  1142,  3187,  1142,  2969,  1789,  2475,
    2273,  3189,  2970,  1914,  1160,  2727,   954,  1307,  1308,  1309,
    1310,  3236,  1161,  2738,   276,   276,   276,   276,   276,   276,
     276,  2278,  2274,  2712,  1267,  1162,  1771,  2895,  2893,  2037,
    1688,   276,  2361,  1941,  1939,  1919,   303,  2038,  2039,   309,
     304,  2040,  2146,   304,  1163,  1401,   276,  1920,  1542,  2400,
     276,   276,   276,   276,   276,   276,   276,   276,   276,   276,
     276,   276,   276,   276,  1164,  1231,  2682,  1707,  1241,  1232,
    1560,  1561,  1562,  1563,  1564,  1565,  1566,  1268,  1269,  1270,
    1271,  1272,  1273,  1852,  1333,  1334,   954,  1574,  1182,  2793,
    1181,  3237,  3058,  3236,  3070,  2793,  1091,  3387,  2631,  2630,
    3150,  1432,  1585,  2942,  2943,  3151,  1588,  1589,  1590,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,  1598,  1599,  1600,  1601,
    2047,  2696,  2635,  1091,  1092,  1093,  2703,  1740,   954,  1094,
    1927,  2463,  2704,  2945,  3236,  1395,  1396,  1165,  1397,  1699,
     276,  1095,  2981,  2541,  2542,  1166,  1781,  2047,  2697,  2698,
    1096,  1092,  1093,   276,  3071,  3072,  1094,  3247,  3073,   953,
    2555,  1365,  1366,   954,   175,  1325,  1184,  1184,  1095,   305,
    1717,  1231,   305,  3263,   954,  1232,  1729,  1096,  1734,  1433,
    1434,  1183,  3110,  1435,  1307,  1308,  1309,  1310,  3111,  1167,
    1152,  3372,  1151,  3373,  1193,  2693,  1701,   309,  1233,  2700,
    1488,   304,  3424,  1248,  2005,  1212,  1853,  2683,  3074,  1713,
    1381,  3152,  1195,  1382,  3331,  2021,  3075,  3076,  3077,  1761,
    1762,  1150,  2684,  2507,  2401,  3338,  2426,  2359,  1217,  3078,
    2685,  3079,  2402,  3080,  2403,  1219,  2404,  3248,  1145,  2405,
    2147,  1224,  1982,  1983,  1984,  1985,  1986,  1987,  2491,  2659,
    1998,  2660,  2000,   954,  2001,  2002,   312,  2445,  3487,  3488,
    1810,  2446,  1436,  1813,  1197,  1198,  1199,  1200,  1201,  3502,
    3503,  1182,  1244,  1181,  1229,  1488,  2278,  2274,  1997,  2478,
    1999,  2589,  1412,  1413,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1209,  1210,  1230,  1437,  1211,  1972,  1886,  1873,  1245,
    3339,  2677,  1874,  1438,  1473,  1474,   348,   349,   350,  3249,
    2622,  2990,  1858,  1237,  1973,  2720,  1249,  1664,  1718,  1719,
    2590,  1325,  1325,  1239,  1692,  1197,  1198,  1199,  1200,  1201,
     305,  1865,   276,  2023,  2024,  1665,  1870,  1957,  1257,  1956,
    1870,   954,  1243,  1439,  1870,  1202,  1203,  1204,  1205,  1206,
    1207,  1208,  1209,  1210,  2498,  2820,  1211,  2821,   981,  1241,
    2591,  1209,  1210,   982,   983,  1211,  2669,  1131,  1256,  2678,
    2749,   985,  1887,  1933,  2740,  1888,  1246,  1896,  1258,  3466,
    1898,  1197,  1198,  1199,  1200,  1201,  1395,  1396,  1868,  1397,
    1901,  1398,  1259,   313,  2041,  1666,  1149,  1150,  1142,  1788,
    3082,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,
    1260,  3108,  1211,  1247,  1197,  1198,  1199,  1200,  1201,  3030,
    3031,   276,  2103,   276,  2105,   943,   986,  3033,  3034,   987,
    1261,  1180,  1180,   954,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1209,  1210,  3182,  1280,  1211,  1282,  1974,  1975,  1976,
    1262,  1667,  2062,  2007,  2592,  1263,  3051,   954,  1693,  1479,
    1977,  1978,  1264,  2910,  1668,  1669,  2918,  2017,  3529,  1276,
    2273,  3527,  2910,  2918,  1912,  1913,  1670,  1921,  2027,  1922,
    2015,  2060,  2750,  1694,  2679,  1933,   345,  2031,  2680,  1988,
    1281,  3052,  2016,   954,  1949,  2059,  2068,  2073,  1250,  1285,
    2074,  1865,  1964,   944,   945,   946,  1968,  1989,  1695,  2025,
    2026,  1251,  1252,   981,  2316,  2317,  1970,  3081,   982,   983,
    2805,  1283,  2063,  1284,   954,  3548,   985,  2562,  2367,  2368,
    2765,  1889,  2856,  1933,  1890,  2563,  2564,  2565,  2566,  2636,
    2567,  2568,  2569,  2473,  2474,  2570,  1865,  2571,  2572,  1287,
    1990,  2637,  2638,  2573,  2574,   175,  2942,  2943,  2944,  1324,
     954,  2825,  2826,  2018,  3193,  2148,  2339,  3194,  2341,  2179,
    2595,  2596,  1624,  1625,  1626,  1302,  2104,  1315,  1979,   276,
    1980,   986,  1395,  1396,   987,  1397,  2945,  3053,  3054,  1883,
    2178,  2190,  2048,  2600,  2601,  1145,  1627,  1628,  1145,  1318,
    1629,  1329,  2942,  2943,  2363,  2946,  2947,  2657,  2658,  2948,
    2949,  2076,  2077,  2371,  2149,  2374,  2900,  2170,  2221,  2228,
    2240,  2222,  2229,  2241,  2088,  1331,  2530,  2091,  2092,  2536,
    1981,  1336,  2945,  1991,  2098,  2028,  2100,  1337,  3530,  2666,
    2667,  3533,  3534,  1338,  1152,  1340,  1151,  2106,  2107,  1339,
    2983,  2064,  2065,  3535,  1952,  1953,  1954,  1955,  2066,  2110,
    2111,  2950,  1348,  2113,  1349,  2115,  2116,  1350,  2118,  2639,
    1352,  2327,  1353,  2326,  1197,  1198,  1199,  1200,  1201,  3437,
    3438,  3439,  2132,  3542,  3543,  1356,  2958,  1357,  3544,  3545,
    2503,  2504,  2505,  2506,  1202,  1203,  1204,  1205,  1206,  1207,
    1208,  1209,  1210,  2774,  2775,  1211,  2192,  2984,  3220,  2562,
    1358,  2193,  2323,  2324,  2177,  2325,  2985,  2563,  2564,  2565,
    2566,  1359,  2567,  2568,  2569,  1362,  1992,  2570,  1363,  2571,
    2572,  2904,  2905,  1364,  2321,  2573,  2574,   954,  2322,  -619,
    -619,  2253,  -619,  3221,  1380,  2272,  2278,  2274,  2923,  2924,
    1383,  2282,  3388,  3389,  1379,  1142,  2928,  2929,  1142,  3390,
    3391,  3392,  3393,  3046,  3047,  1388,   276,  1389,   276,   276,
     276,   276,   310,   311,   314,   315,   276,   276,   276,   276,
    1405,   343,   276,  2942,  2943,  1404,   276,  2345,  2346,  2963,
    2964,  2965,  1197,  1198,  1199,  1200,  1201,  3216,  3217,  1132,
    2355,  1789,  3379,  3380,  1406,  3222,  3202,  3203,  1993,  1133,
    3398,  3399,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,
    1210,  1409,  2292,  1211,  2293,  2294,  2295,  2296,  1149,  1499,
    1500,  1501,  1168,  1169,  1170,  1171,  2376,  1411,  2308,  2707,
    2708,  1410,  2309,  1414,  3223,  1415,  1417,  2986,  2987,  2988,
    3224,  2806,  1418,  1197,  1198,  1199,  1200,  1201,  1419,  1420,
     181,  1421,  1422,  1430,   183,   184,  1431,  2272,  1450,  3225,
    1478,  1479,  1440,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,  1441,  1442,  1211,  1994,  1451,  1480,  1444,  1446,
    3049,  1182,  1481,  1181,  1452,  1197,  1198,  1199,  1200,  1201,
    1447,  1448,  1449,  2508,  1455,  1463,  1458,  2508,  1482,  1460,
    1995,  1469,  2920,  1464,  1483,  1202,  1203,  1204,  1205,  1206,
    1207,  1208,  1209,  1210,  1475,  1465,  1211,  1197,  1198,  1199,
    1200,  1201,  1472,  1476,  1488,  1001,  1490,  1492,  1491,    84,
      85,  2411,  1996,  1493,  2481,  1494,  1495,  1202,  1203,  1204,
    1205,  1206,  1207,  1208,  1209,  1210,  3161,  1496,  1211,  1197,
    1198,  1199,  1200,  1201,  2067,  1504,  1497,  1498,  2939,  1505,
    2951,  1197,  1198,  1199,  1200,  1201,  1506,  1518,  2172,  1202,
    1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,  1507,  1508,
    1211,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,
    2447,  3362,  1211,  1197,  1198,  1199,  1200,  1201,  3252,  3253,
    3254,  3255,  3256,  3257,  3258,  3259,  2989,  1520,  3343,  1521,
    2465,  1523,  1524,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,   981,  1526,  1211,  1530,  1865,   982,   983,  2480,
    1536,  1531,  2173,  2174,  1537,   985,  1532,  1533,  1549,  2777,
    2778,  2779,    97,    98,    99,   100,   101,   102,  1550,  1551,
    1552,  2327,  1553,  2326,  1478,  1479,  1478,  1479,  1556,  2780,
    2781,  2782,  1567,  1568,  1211,  1222,  1223,  2575,  1578,  1586,
    2523,  1480,  1587,  1480,  1632,  2525,  1481,  1702,  1481,  2452,
    1633,  2451,  2942,  2943,  3162,  1634,  1635,  1640,  2538,  1643,
     986,  3133,  1486,   987,  1482,  1644,  1671,  1684,   330,  1687,
    1483,   276,   276,  2175,   276,  1690,  1691,  1697,   276,   276,
    1478,  1479,  2945,  1798,  1799,  1800,  1801,  1802,   276,  1700,
    2611,  1709,  2231,  2614,  2558,  1708,   331,  1480,    84,    85,
    1710,  3134,  1481,  3163,  3164,  1714,  1716,  3165,  1720,  1741,
     276,  1757,   276,  2783,  2784,  3376,  3377,  3378,  1486,   332,
    1760,   333,  1758,   334,  1766,  1767,  1773,  1585,  1585,  1774,
    2544,  1776,  1777,  1779,  2545,  2546,  3491,  3492,  3493,  3494,
    3495,  1782,  1783,  1784,  1585,  3407,  3408,  1787,  3410,  3411,
    1785,  1791,  3166,  1060,  1061,  1817,  1809,  3167,    84,    85,
    2912,  2913,  2914,  2915,  3168,  2272,  2593,  3169,  2594,  1811,
    3135,  3496,  3497,  3498,  3499,  3500,  1812,  1814,  1820,  1827,
    1828,  2621,  1325,  1831,  1833,  1834,  1837,  1838,  1840,  1839,
    1842,   981,  1857,    84,    85,  1863,   982,   983,   335,   336,
     337,   338,  1864,  1872,   985,  3170,  3505,  3506,  1893,  1510,
    2650,    97,    98,    99,   100,   101,   102,  1897,  1902,  2582,
    1906,  3381,  1907,  1908,  1909,  1923,  1926,  1928,  1933,  3171,
    3510,  2213,  2796,  1934,  1935,  1936,  2508,  3136,  1325,  2670,
    1950,  1965,  3137,  1966,  1969,  2008,  2010,  3468,  2020,  3138,
    2022,   981,  2012,  2029,  2033,  2034,   982,   983,  2676,   986,
    2043,  2045,   987,  2046,   985,  2051,  2052,  2078,  2053,  2079,
    2080,    97,    98,    99,   100,   101,   102,  2081,  2086,  2087,
    2089,  2090,  2093,  2757,  2209,  1001,   981,  2096,  2097,    84,
      85,   982,   983,  2099,  2108,  2214,  2112,  3172,  2114,   985,
    2714,  2715,  2117,  2119,  2120,  2718,    97,    98,    99,   100,
     101,   102,  2722,  2122,  2139,  2723,  2144,  2123,  2124,   986,
    3173,  2244,   987,  2125,  2126,   318,  2127,  2128,  2249,  2129,
    2133,  2134,  2232,  2135,  2137,  1062,  2138,  3174,  2143,  3480,
    2250,  2145,  2741,  2212,  2743,  2246,  2247,  2256,  2280,  2287,
    2747,  2283,  2288,  2289,   986,  2307,  2751,   987,  2310,  2311,
    2318,  2329,  2233,  2837,  2272,   276,  2330,   276,  2331,  2332,
     276,  2333,  2334,  2335,  2340,  3175,  3176,  3177,  3178,  2342,
    3179,  2343,   981,  2344,  3180,  2357,  1063,   982,   983,  2836,
    2356,  2785,  2358,  2360,  2234,   985,  2235,  2785,  2009,  2362,
    2364,   276,    97,    98,    99,   100,   101,   102,  2369,  2370,
     276,  2375,   276,  2379,  2380,   276,  2381,   276,   276,  2382,
     276,  2763,  2390,  2764,  2391,  2395,  2767,  2394,  2440,  1789,
    1789,  2397,  2396,  1325,  1325,  2398,  3015,  2408,  2827,  2828,
    2753,  2412,   276,  2176,  2413,  2183,  1479,  2414,  2449,  2415,
     986,  2416,  2418,   987,  2419,   981,  2428,  2804,  2432,  2433,
     982,   983,  2434,  1105,  2435,   319,  3181,   320,   985,  2450,
    2184,  2454,  2896,  2436,  1106,  2455,  1585,  2437,  2453,  2438,
      84,    85,  3139,  2439,  3140,  3141,  2441,  2442,  2443,  3142,
    3143,  2448,  3144,  2456,  2457,  2458,   321,  2469,  2830,  3145,
    3146,  2470,  2889,   322,  2897,  2471,  2472,  2476,  2494,  2483,
    3147,  2482,  2500,  2517,  2501,  2518,  2899,  2519,  2527,  1182,
    1182,  1181,  1181,   986,  2526,  2529,   987,  2524,  1064,  1065,
    1066,  1067,  2537,  2540,  -946,  2543,  2548,  2553,   323,  2549,
     324,  2554,  2556,  2557,  2560,  2561,  2599,  2605,  3043,  2606,
     325,  2879,  2607,  2882,  2608,  2185,  1068,  2609,  2610,   326,
    2612,  1069,  2618,  2615,  2236,  2617,  1070,  2272,  2642,  2237,
     327,  2238,   276,   981,  2651,  2619,  2620,  2649,   982,   983,
    2652,  2653,  2224,  2656,  2701,  2661,   985,  2668,  2695,  2662,
      84,    85,  1107,    97,    98,    99,   100,   101,   102,  2663,
    2903,  2664,  2702,  2709,  2671,  2673,  2911,  3148,  3061,  2711,
    2739,   910,   911,   912,   913,   914,   915,   916,   917,   918,
    2737,   919,   920,   921,   922,   923,   924,   925,  2891,  2215,
    2216,  2717,  2217,  2719,  2721,   276,  1091,  2218,  2742,  2724,
    2219,   986,  2239,  2725,   987,  2231,  2748,  2194,  2761,  2771,
    2772,  2773,  2195,  2776,   981,  2790,  3061,  2807,  2798,   982,
     983,  1325,  1325,  1325,  1092,  1093,  2811,   985,  2803,  1094,
    2813,  2829,  2824,  2967,  2818,  2838,  2831,  2843,  2844,  2840,
    2845,  1095,  2847,   981,  2848,  2849,  2857,  2859,   982,   983,
    1096,  2938,  2862,  2850,   328,  2858,   985,  2885,  2867,  2703,
    2890,  2902,  1071,    97,    98,    99,   100,   101,   102,  2875,
    2880,  2886,  2884,  2901,  2907,  2919,  3026,  1080,  2921,  2785,
    2922,  2785,   986,  2186,  2187,   987,  2959,  3003,  2927,  2930,
    3035,  1313,  2931,  2934,  3007,  2937,  3008,  2220,   276,  3032,
    3015,  3015,  3009,   276,  3025,   276,  3036,  3038,   276,  3041,
     927,   986,  3045,  3048,   987,  2196,  3063,  3065,  3116,  3126,
    3123,  3128,  1325,  3050,  3132,  3192,  3129,  3196,  1142,  3213,
    3197,  3204,  3205,  3218,  1341,  3206,  3214,  3215,  3209,  3207,
     329,  3228,  1081,  3208,  2508,  3233,  2055,  3210,  3239,  2056,
    3243,  3245,  3251,  3114,  3244,  3250,  3261,  3117,  3265,  3121,
    3122,  3266,  3125,  3279,  3267,  3285,  1082,  1378,  3272,  3287,
    3289,  3275,  3294,  3286,  3304,  1391,  1142,  3305,  3308,  3311,
    3309,  3307,  2272,  3310,  3316,  3313,   276,  3315,  2732,  1416,
    3329,  3322,  3342,  1108,  3326,   276,  3344,  1427,  3345,  3349,
    3346,  3354,  3198,  3350,  3199,  3200,  3201,  3353,  3356,  3357,
    3361,  3355,  3368,  3370,  3371,  3375,  3374,  1454,  3382,  3397,
    1457,  3406,  1459,  3409,  3421,  3435,  3448,  3432,  3358,  2197,
    3436,   276,  1466,  3443,  1091,  1001,  3452,  3446,  2225,    84,
      85,  3227,  3191,  3476,  3232,  3477,  3479,  3483,  3486,  3242,
    3484,  3195,   981,  3489,  3490,  3501,  3512,   982,   983,  2057,
    3260,  3524,  1092,  1093,  3359,   985,  2188,  1094,  3528,  3273,
    3274,  1525,  3276,  1528,  3278,  3540,  3281,  2198,  3284,  1095,
    3531,  2623,  3532,  3538,  2539,  3288,  1958,  3219,  1096,  1959,
    1960,  2531,  2226,  3547,  2199,  3060,  2200,  3290,  3291,  2583,
    2201,  2584,  3292,  3293,  2202,  2203,  3536,  3537,  3541,  3546,
    3549,  3028,  2585,  2586,  3029,  2208,  2799,  3027,  2800,  2762,
     986,  2801,  1558,   987,  3318,  3364,    84,    85,  2616,  3318,
    1930,  1172,   981,  1931,  3365,  3327,  1932,   982,   983,  1546,
    2898,  2894,  3341,  1072,  2373,   985,  2819,  2313,  2314,  3485,
    3504,  3352,    97,    98,    99,   100,   101,   102,  1642,  2940,
    2386,  2109,  2846,  1083,  1084,  1085,  2833,  2941,  2855,  2870,
     276,  2971,  3442,  3323,  3454,  3296,  3324,  3320,  2744,  3456,
     276,  2032,   276,  1891,  2227,  2003,     0,  1325,  1325,  1325,
       0,     0,     0,  1698,     0,     0,  3386,     0,     0,     0,
     986,     0,     0,   987,     0,     0,     0,  3400,  3401,  3402,
    3403,  3404,     0,     0,     0,     0,  1114,  1325,  1325,   981,
    1325,  1325,  3412,  3413,   982,   983,  3369,     0,   984,     0,
       0,     0,   985,     0,     0,  3417,  3418,  3419,     0,    97,
      98,    99,   100,   101,   102,     0,     0,     0,     0,  2204,
       0,     0,     0,  3426,  3427,     0,     0,     0,     0,  3430,
       0,     0,     0,     0,     0,  2058,     0,  1115,     0,     0,
       0,     0,  3441,     0,     0,  3444,  3445,     0,  3447,  2014,
       0,  1116,  3450,  3451,     0,     0,     0,   986,     0,     0,
     987,  3459,     0,     0,  1086,     0,     0,  1097,     0,     0,
    1746,     0,     0,  3460,  3461,  3462,     0,     0,     0,     0,
       0,   988,     0,     0,     0,     0,  3465,     0,     0,  1325,
    3469,     0,     0,  3470,  3471,     0,     0,  1763,     0,     0,
       0,     0,  1772,     0,     0,  1775,   276,     0,  1778,     0,
       0,     0,     0,     0,  3481,  3482,     0,     0,     0,     0,
       0,     0,     0,  3061,  3525,  3526,  1808,     0,     0,     0,
       0,     0,     0,  1815,  1816,     0,  1818,  1819,     0,  1821,
    1822,  1823,  1824,  1825,  1826,     0,     0,  1829,  1830,     0,
    1832,     0,     0,  1835,  1836,     0,     0,     0,     0,  1841,
       0,  1843,  3478,     0,    84,    85,     0,     0,     0,     0,
       0,     0,  1851,  1854,  1855,     0,     0,  1856,     0,  3514,
    3515,     0,     0,     0,     0,     0,     0,  3517,     0,     0,
    3519,     0,     4,     5,     6,     0,  3521,     0,     0,     0,
     169,  3522,   170,   171,   172,   173,   174,   175,     0,     0,
       0,   176,   177,  1875,     0,     0,     0,     0,     0,   178,
     179,  1571,  2272,     0,   180,     0,  1881,   276,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,     0,
     183,   184,  1894,  1895,   185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     7,  3085,     0,   981,     0,     0,
       0,     0,   982,   983,     0,     0,  2070,     0,     8,     0,
     985,     0,     0,  1098,     0,  2152,     0,    97,    98,    99,
     100,   101,   102,  1142,   276,     0,  1117,  1118,     0,     0,
       0,     0,     0,     0,     9,    10,     0,     0,   186,   187,
    1168,  1169,  1170,  1171,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
       0,   204,     0,   205,     0,   986,     0,   206,   987,     0,
       0,    11,   207,    12,     0,    13,     0,     0,     0,   960,
       0,     0,  1119,  1120,  1121,  1091,    14,     0,  2153,     0,
       0,     0,     0,  1122,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   961,     0,  2047,
       0,     0,     0,  2154,  2155,  2942,  2943,    15,  1094,     0,
       0,    16,     0,     0,     0,     0,    17,    18,     0,     0,
    1095,     0,     0,     0,     0,     0,     0,   962,     0,  1096,
       0,     0,     0,     0,     0,  2945,     0,     0,   208,     0,
       0,     0,     0,     0,     0,     0,     0,  2071,     0,     0,
       0,     0,     0,  3086,     0,     0,  3087,  3088,     0,     0,
    3089,  3090,     0,     0,   209,   210,   211,     0,     0,     0,
     989,     0,     0,  2156,     0,  2157,     0,  2158,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   963,
    3091,     0,     0,     0,     0,   964,     0,     0,   965,  1603,
       0,     0,     0,  1604,  1605,  3092,     0,     0,     0,   966,
    3093,     0,     0,  3094,     0,     0,  2082,  2084,     0,  3095,
       0,   212,     0,     0,  3096,     0,     0,     0,  2094,  2095,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,     0,     0,     0,  2159,     0,     0,    19,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,     0,     0,     0,     0,     0,  2130,
       0,     0,  3097,     0,     0,     0,  2136,     0,     0,     0,
    2140,  2141,  2142,  2160,     0,     0,     0,     0,   225,     0,
       0,     0,     0,  2161,  2162,     0,  3098,     0,     0,     0,
    2163,     0,     0,     0,   226,     0,  1606,  1607,  1608,  1609,
    1610,  1611,  2164,     0,  2211,   967,     0,     0,   968,  2165,
       0,  2166,     0,   969,     0,  2167,   227,   228,   229,   230,
    2254,  2255,     0,  2168,     0,     0,     0,  3099,     0,     0,
    3100,  3101,  3102,     0,     0,     0,     0,     0,  3103,     0,
       0,  1196,     0,  3104,     0,     0,  1197,  1198,  1199,  1200,
    1201,     0,     0,  3105,     0,     0,     0,     0,     0,  3106,
     970,     0,     0,     0,   971,   972,  1202,  1203,  1204,  1205,
    1206,  1207,  1208,  1209,  1210,     0,     0,  1211,     0,     0,
    1612,  1613,  1614,  1615,  1616,  1617,  1618,  1619,  1620,  1621,
    1622,     0,     0,     0,     0,   231,   232,     0,     0,   973,
       0,     0,     0,     0,     0,     0,     0,    20,     0,     0,
       0,    21,     0,     0,   233,   234,     0,     0,  2072,     0,
       0,     0,     0,     0,     0,   974,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,     0,     0,     0,
    2365,  2366,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2756,     0,     0,   975,     0,     0,   272,   273,     0,
     274,     0,     0,     0,     0,     0,   275,     0,     0,  3107,
     910,   911,   912,   913,   914,   915,   916,   917,   918,     0,
     919,   920,   921,   922,   923,   924,   925,     0,  2410,     0,
       0,     0,     0,     0,  2169,     0,     0,     0,     0,  2417,
    1645,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1149,  1499,  1500,  1501,   910,
     911,   912,   913,   914,   915,   916,   917,   918,     0,   919,
     920,   921,   922,   923,   924,   925,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2444,   181,     0,     0,
       0,   183,   184,     0,     0,     0,     0,     0,  1197,  1198,
    1199,  1200,  1201,     0,     0,  2461,  2462,  2464,     0,  2466,
       0,     0,     0,     0,     0,     0,     0,  1646,  1202,  1203,
    1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,     0,  1211,
   -1545, -1545, -1545,     0,   926,     0,     0,     0,  2489,     0,
    2492,     0,     0,     0,     0,  2499,     0,  1647,     0,   927,
   -1545, -1545, -1545, -1545, -1545,  1207,  1208,  1209,  1210,     0,
       0,  1211,     0,     0,     0,     0,   169,  2522,   170,   171,
     172,   173,   174,   175,  1648,  1479,     0,   176,   177,     0,
       0,     0,     0,     0,     0,   178,   179,  1649,     0,     0,
     180,  1650,     0,     0,  1651,  1652,     0,  2754,   927,  1653,
       0,     0,   181,   182,     0,     0,   183,   184,     0,     0,
     185,     0,     0,     0,     0,     0,     0,     0,     0,  1654,
     910,   911,   912,   913,   914,   915,   916,   917,   918,     0,
     919,   920,   921,   922,   923,   924,   925,     0,     0,     0,
       0,     0,  1655,  1656,  1657,     0,  1658,  1659,  1660,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   186,   187,  1168,  1169,  1170,  1171,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,     0,   204,     0,   205,
       0,     0,     0,   206,     0,     0,     0,     0,   207,  1197,
    1198,  1199,  1200,  1201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,  1198,  1199,     0,     0,     0,  1202,
    1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,     0,     0,
    1211,     0,  2647,  1202,  1203,  1204,  1205,  1206,  1207,  1208,
    1209,  1210,     0,     0,  1211,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   927,
       0,     0,  2665,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,     0,     0,     0,     0,     0,
       0,     0,  2672,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2688,  2689,  2690,     0,     0,  2694,     0,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2716,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   212,     0,  2736,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   225,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2842,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2860,     0,     0,
       0,     0,     0,  2861,     0,     0,     0,     0,     0,     0,
       0,   231,   232,  2865,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     233,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2883,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   272,   273,     0,   274,     0,     0,     0,
       0,     0,   275,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2966,     0,     0,     0,  2968,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3044,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3113,     0,  3115,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3127,     0,     0,  3130,  3131,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   169,     0,
     170,   171,   172,   173,   174,   175,     0,     0,     0,   176,
     177,     0,     0,     0,     0,     0,     0,   178,   179,  2300,
       0,     0,   180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   181,   182,     0,     0,   183,   184,
       0,     0,   185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3268,     0,     0,     0,     0,     0,
       0,  3277,     0,     0,     0,     0,   186,   187,     0,     0,
       0,     0,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,     0,   204,
       0,   205,     0,     0,     0,   206,     0,     0,     0,     0,
     207,     0,  3306,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3328,     0,     0,     0,  3335,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3405,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,  3414,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3420,     0,     0,
       0,     0,     0,     0,  3423,     0,     0,  3425,     0,     0,
       0,     0,     0,     0,  3428,  3429,     0,     0,  3431,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3449,
       0,     0,     0,  3453,     0,  3455,     0,     0,     0,     0,
       0,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,     0,     0,     0,     0,  3463,  3464,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3467,     0,     0,   223,
     224,     0,     0,  3472,     0,  3473,  3474,  3475,     0,     0,
       0,     0,     0,   169,     0,   170,   171,   172,   173,   174,
     175,     0,     0,     0,   176,   177,   225,     0,     0,     0,
       0,     0,   178,   179,  2304,     0,     0,   180,     0,     0,
       0,     0,   226,     0,     0,     0,     0,     0,     0,   181,
     182,     0,     0,   183,   184,     0,     0,   185,     0,     0,
       0,  3507,     0,     0,   227,   228,   229,   230,     0,     0,
       0,     0,     0,  3508,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3513,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3520,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3523,   186,   187,     0,     0,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,     0,   204,     0,   205,     0,     0,     0,
     206,     0,     0,   231,   232,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,     0,     0,     0,     0,     0,
       0,   208,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   272,   273,     0,   274,     0,
       0,     0,     0,     0,   275,     0,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   169,     0,
     170,   171,   172,   173,   174,   175,     0,     0,     0,   176,
     177,   225,     0,     0,     0,     0,     0,   178,   179,  2809,
       0,     0,   180,     0,     0,     0,     0,   226,     0,     0,
       0,     0,     0,     0,   181,   182,     0,     0,   183,   184,
       0,     0,   185,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   186,   187,     0,     0,
       0,     0,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,     0,   204,
       0,   205,     0,     0,     0,   206,     0,     0,   231,   232,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   233,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
       0,     0,     0,     0,     0,     0,   208,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     272,   273,     0,   274,     0,     0,     0,     0,     0,   275,
       0,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   169,     0,   170,   171,   172,   173,   174,
     175,     0,     0,     0,   176,   177,   225,     0,     0,     0,
       0,     0,   178,   179,  2814,     0,     0,   180,     0,     0,
       0,     0,   226,     0,     0,     0,     0,     0,     0,   181,
     182,     0,     0,   183,   184,     0,     0,   185,     0,     0,
       0,     0,     0,     0,   227,   228,   229,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   186,   187,     0,     0,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,     0,   204,     0,   205,     0,     0,     0,
     206,     0,     0,   231,   232,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,     0,     0,     0,     0,     0,
       0,   208,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   272,   273,     0,   274,     0,
       0,     0,     0,     0,   275,     0,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   169,     0,
     170,   171,   172,   173,   174,   175,     0,     0,     0,   176,
     177,   225,     0,     0,     0,     0,     0,   178,   179,  2816,
       0,     0,   180,     0,     0,     0,     0,   226,     0,     0,
       0,     0,     0,     0,   181,   182,     0,     0,   183,   184,
       0,     0,   185,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   186,   187,     0,     0,
       0,     0,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,     0,   204,
       0,   205,     0,     0,     0,   206,     0,     0,   231,   232,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   233,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
       0,     0,     0,     0,     0,     0,   208,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     272,   273,     0,   274,     0,     0,     0,     0,     0,   275,
       0,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   169,     0,   170,   171,   172,   173,   174,
     175,     0,     0,     0,   176,   177,   225,     0,     0,     0,
       0,     0,   178,   179,     0,     0,     0,   180,     0,     0,
       0,     0,   226,     0,     0,     0,     0,     0,     0,   181,
     182,     0,     0,   183,   184,     0,     0,   185,     0,     0,
       0,     0,     0,     0,   227,   228,   229,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   186,   187,     0,     0,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,     0,   204,     0,   205,     0,     0,     0,
     206,     0,     0,   231,   232,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,     0,     0,     0,     0,     0,
       0,   208,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   272,   273,     0,   274,     0,
       0,     0,     0,     0,   275,     0,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   226,   182,     0,
       0,     0,     0,     0,     0,   185,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,     0,     0,     0,     0,     0,     0,  2258,
    2259,  2260,  2261,  2262,  2263,  2264,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2265,     0,     0,  2266,  2267,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2268,
       0,  2269,     0,     0,     0,     0,     0,     0,   231,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   233,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   208,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     272,   273,     0,   274,     0,   209,   210,   211,     0,   275,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   226,     0,     0,     0,   182,
       0,     0,     0,     0,     0,     0,   185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2258,  2259,  2260,  2261,  2262,  2263,  2264,   910,   911,   912,
     913,   914,   915,   916,   917,   918,     0,   919,   920,   921,
     922,   923,   924,   925,  2265,     0,     0,  2266,  2267,     0,
       0,     0,     0,     0,     0,     0,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2268,     0,  2269,     0,     0,     0,   231,   232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   233,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,     0,     0,
     208,     0,     0,     0,     0,     0,   927,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   272,   273,
       0,     0,     0,     0,  2270,  2271,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   212,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     225,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   226,     0,     0,   182,
       0,     0,     0,     0,     0,     0,   185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   227,   228,
     229,   230,     0,     0,     0,     0,     0,     0,     0,     0,
    2258,  2259,  2260,  2261,  2262,  2263,  2264,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2265,     0,     0,  2266,  2267,     0,
       0,     0,     0,     0,     0,     0,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2268,     0,  2269,     0,     0,     0,     0,   231,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   233,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,     0,
     208,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   272,
     273,     0,     0,     0,     0,  2270,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,     0,     0,     0,     0,     0,
       0,     0,     0,   212,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2628,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     225,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   226,     0,     0,   182,
       0,     0,     0,     0,     0,     0,   185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   227,   228,
     229,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,     0,   231,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   233,   234,     0,     0,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,     0,
     208,     0,     0,     0,     0,     0,     0,     0,   212,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   272,
     273,     0,     0,     0,     0,  2270,   209,   210,   211,     0,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   212,     0,   225,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   226,     0,     0,     0,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,     0,   227,   228,   229,   230,     0,     0,     0,
       0,     0,     0,   223,   224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     225,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   226,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   227,   228,
     229,   230,   231,   232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   233,   234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,     0,     0,     0,   231,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   272,   273,   233,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,     0,
       0,     0,     0,     0,   353,   354,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   272,
     273,     0,  2629,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,   683,   684,   685,   686,   687,   688,   689,   690,
     691,   692,   693,   694,   695,   696,   697,   698,   699,   700,
     701,   702,   703,   704,   705,   706,   707,   708,   709,   710,
     711,   712,   713,   714,   715,   716,   717,   718,   719,   720,
     721,   722,   723,   724,   725,   726,   727,   728,   729,   730,
       0,     0,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   746,   747,   748,
     749,   750,   751,   752,   753,   754,   755,   756,   757,   758,
     759,   760,   761,   762,   763,   764,   765,   766,   767,   768,
     769,   770,   771,   772,   773,   774,   775,   776,   777,   778,
     779,   780,   781,   782,   783,   784,   785,   786,   787,   788,
     789,   790,   791,   792,   793,   794,   795,   796,   797,   798,
     799,   800,   801,   802,   803,   804,   805,   806,   807,   808,
     809,   810,   811,   812,   813,   814,   815,     0,   816,   817,
     818,   819,   820,   821,   822,   823,   824,   825,   826,   827,
     828,   829,   830,   831,   832,   833,   834,   835,   836,   837,
     838,   839,   840,   841,   842,   843,   844,   845,   846,   847,
     848,   849,   850,   851,   852,   853,   854,   855,   856,   857,
     858,   859,   860,   861,   862,   863,   864,   865,   866,   867,
     868,   869,   870,   871,   872,   873,   874,   875,   876,   877,
     878,   879,   880,   881,   882,   883,   884,   885,   886,   887,
     888,   889,   890,   891,   892,   893,   894,   895,   896,   897,
     898,   899,   900,   901,   902,   903,   353,   354,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   978,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
     689,   690,   691,   692,   693,   694,   695,   696,   697,   698,
     699,   700,   701,   702,   703,   704,   705,   706,   707,   708,
     709,   710,   711,   712,   713,   714,   715,   716,   717,   718,
     719,   720,   721,   722,   723,   724,   725,   726,   727,   728,
     729,   730,     0,     0,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   746,
     747,   748,   749,   750,   751,   752,   753,   754,   755,   756,
     757,   758,   759,   760,   761,   762,   763,   764,   765,   766,
     767,   768,   769,   770,   771,   772,   773,   774,   775,   776,
     777,   778,   779,   780,   781,   782,   783,   784,   785,   786,
     787,   788,   789,   790,   791,   792,   793,   794,   795,   796,
     797,   798,   799,   800,   801,   802,   803,   804,   805,   806,
     807,   808,   809,   810,   811,   812,   813,   814,   815,     0,
     816,   817,   818,   819,   820,   821,   822,   823,   824,   825,
     826,   827,   828,   829,   830,   831,   832,   833,   834,   835,
     836,   837,   838,   839,   840,   841,   842,   843,   844,   845,
     846,   847,   848,   849,   850,   851,   852,   853,   854,   855,
     856,   857,   858,   859,   860,   861,   862,   863,   864,   865,
     866,   867,   868,   869,   870,   871,   872,   873,   874,   875,
     876,   877,   878,   879,   880,   881,   882,   883,   884,   885,
     886,   887,   888,   889,   890,   891,   892,   893,   894,   895,
     896,   897,   898,   899,   900,   901,   902,   903,   353,   354,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,  1292,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,   683,   684,   685,   686,
     687,   688,   689,   690,   691,   692,   693,   694,   695,   696,
     697,   698,   699,   700,   701,   702,   703,   704,   705,   706,
     707,   708,   709,   710,   711,   712,   713,   714,   715,   716,
     717,   718,   719,   720,   721,   722,   723,   724,   725,   726,
     727,   728,   729,   730,     0,     0,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   790,   791,   792,   793,   794,
     795,   796,   797,   798,   799,   800,   801,   802,   803,   804,
     805,   806,   807,   808,   809,   810,   811,   812,   813,   814,
     815,     0,   816,   817,   818,   819,   820,   821,   822,   823,
     824,   825,   826,   827,   828,   829,   830,   831,   832,   833,
     834,   835,   836,   837,   838,   839,   840,   841,   842,   843,
     844,   845,   846,   847,   848,   849,   850,   851,   852,   853,
     854,   855,   856,   857,   858,   859,   860,   861,   862,   863,
     864,   865,   866,   867,   868,   869,   870,   871,   872,   873,
     874,   875,   876,   877,   878,   879,   880,   881,   882,   883,
     884,   885,   886,   887,   888,   889,   890,   891,   892,   893,
     894,   895,   896,   897,   898,   899,   900,   901,   902,   903,
    2892,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     182,     0,     0,     0,     0,     0,     0,   185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1937,  1938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   182,     0,     0,     0,
       0,     0,     0,   185,     0,     0,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,     0,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,     0,     0,   226,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   231,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   209,   210,   211,     0,   233,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     272,   273,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   227,   228,   229,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   231,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   233,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,  1001,     0,     0,     0,  1002,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   272,   273,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1004,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1005,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   981,     0,     0,     0,     0,   982,   983,     0,
    1006,  1007,     0,     0,     0,   985,  1008,     0,     0,     0,
       0,     0,  1009,  1010,  1011,  1012,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1013,     0,     0,     0,  1014,
       0,  1015,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     986,     0,     0,   987,     0,     0,     0,     0,     0,     0,
       0,     0,  1016,     0,     0,     0,  1017,     0,  1018,     0,
       0,     0,     0,     0,  1019,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1020,     0,     0,
       0,  1021,  1022,     0,     0,     0,     0,     0,     0,  1023,
    1024,  1025,     0,  1026,     0,     0,     0,  1027,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1028,
       0,  1029,  1030,     0,  1031,  1032,     0,     0,  1033,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1034,  1035,     0,     0,     0,  1036,  1037,
    1038,     0,     0,     0,     0,     0,     0,     0,  1039,     0,
       0,     0,  1040,     0,     0,  1041,  1042,     0,  1043,     0,
    1044,     0,     0,  1045,  1046,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1047,     0,  1048,     0,     0,     0,     0,     0,     0,
       0,     0,  1049,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1050
};

static const yytype_int16 yycheck[] =
{
       7,   103,   169,   275,   174,    89,   174,    82,     3,  1602,
    1602,    86,    87,  1025,  1026,   275,   308,   150,   158,   159,
     311,   140,  1343,  1892,  1892,  1064,  1093,   146,  1462,   148,
    1398,   150,   148,  1074,   952,  1238,  2471,  2472,  2473,   158,
     159,  1160,   158,   159,     7,     7,   165,  1923,  1924,  1925,
    1926,     7,   343,  1136,  1137,  1138,     7,    25,  1141,    16,
    1143,     7,     7,     7,    21,   133,   328,   135,  3045,   137,
    2955,   139,    19,   141,    21,   143,  1279,   145,    50,   147,
      28,    88,    75,   151,     7,   153,  1238,   155,     3,   157,
      11,    12,    16,    16,    18,   163,   164,    21,    21,   128,
      18,    19,   108,    21,     6,   275,    66,   275,    11,    12,
      33,    28,    35,    25,    16,    17,    18,    19,  3003,    18,
      19,    16,    21,    16,  1402,    40,    21,    51,    21,    87,
    2888,  1105,  2217,    18,    19,    50,    21,    88,  1648,    54,
      55,    16,    17,    18,    19,  2014,    41,    42,    43,    44,
       0,   146,    88,  2888,     8,     9,    10,    11,    12,    16,
      18,    19,   169,    21,    21,    42,    81,     8,     9,    10,
      11,    12,     3,   180,    28,    29,    30,    31,    32,    33,
      34,    35,    36,  1693,     4,    39,    51,    28,    29,    30,
      31,    32,    33,    34,    35,    36,   134,   232,    39,    16,
      17,    18,    19,    20,    21,    68,  2549,    16,    17,    18,
      19,    20,    21,   154,    21,   240,    21,   231,    25,   231,
      25,    42,   137,   324,   139,   140,  1663,  2347,   143,   180,
     145,  3010,   147,   164,   149,   150,   151,   179,   153,    64,
      16,    17,    18,    19,    20,    21,    16,   163,    33,    34,
     155,    21,   167,   168,   169,   170,   171,   172,     8,     9,
      10,    11,    12,    33,  1238,    35,     3,   274,   275,  2704,
      16,    17,    18,    19,   190,   191,     3,   154,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    53,   219,    39,
     325,    21,   208,    16,    17,    18,    19,    20,    21,  1892,
    1892,  1340,   132,   218,     8,     9,    10,    11,    12,   224,
     129,   266,    21,   225,    28,   230,   231,     8,     9,    10,
      11,    12,   187,   274,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   154,    42,    39,   231,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    16,    16,    39,    18,
    1362,    21,    21,    50,     8,     9,    10,    11,    12,   373,
      50,   373,    48,   321,    48,    16,    80,    53,    50,    53,
      21,   472,    42,  1492,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    16,   129,    39,  1505,    16,    21,    16,
    1711,   349,    21,  1311,    21,    16,     3,    16,  3375,   371,
      21,   359,    21,     8,     9,    10,    11,    12,    41,    42,
      43,    44,  1846,     3,   277,  3194,     8,     9,    10,    11,
      12,  2014,  2014,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    21,   264,    39,  3193,    28,    29,    30,    31,
      32,    33,    34,    35,    36,   154,   154,    39,     8,     9,
      10,    11,    12,  2888,   359,   484,   485,    52,  3193,   488,
     489,    16,  1545,   288,   400,   403,    21,   159,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    21,     3,    39,
     310,    25,    26,  2352,     8,     9,    10,    11,    12,   514,
     447,   448,    18,    19,  1646,    21,   273,    48,  1510,    25,
    1512,  2586,    53,   594,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   370,  2634,    39,     8,     9,    10,    11,
      12,    48,   288,    37,    21,   148,    53,    16,  1965,  1966,
     192,   478,    21,    51,  2969,   594,    28,    29,    30,    31,
      32,    33,    34,    35,    36,   275,   276,    39,  2891,  1467,
    1468,  2894,    41,    42,    43,    44,     8,     9,    10,    11,
      12,    48,   328,   329,   524,   154,    53,   507,    16,   598,
     528,   529,   530,    21,   381,  1694,    28,    29,    30,    31,
      32,    33,    34,    35,    36,   159,   207,    39,     8,     9,
      10,    11,    12,    41,    42,    43,    44,   141,   290,   485,
       8,     9,    10,    11,    12,   598,  1884,   269,    28,    29,
      30,    31,    32,    33,    34,    35,    36,   337,  3088,    39,
      28,    29,    30,    31,    32,    33,    34,    35,    36,   597,
     273,    39,   595,   596,   596,   575,    34,   594,   233,   595,
       8,     9,    10,   935,   936,   937,   594,  1850,    16,   595,
     595,   595,   207,    21,    21,  3540,   597,   154,    25,    21,
      28,    29,    30,   579,    26,   580,   581,   179,   487,   187,
     594,   594,  1646,  2183,   371,   596,   593,   600,   593,   602,
     598,   371,  2551,     8,     9,    10,    11,    12,   371,   371,
      16,   983,   594,   596,  3164,    21,   598,   159,   597,   594,
     593,   594,   597,    28,    29,    30,    31,    32,    33,    34,
      35,    36,   598,   598,    39,    41,    42,    43,    44,   594,
     597,  2597,   596,  2599,   173,    16,  2602,   601,  2604,  2605,
      21,   162,    88,   478,   308,   598,    16,   594,   136,   459,
     598,    21,   487,   597,   112,   113,   235,   236,   440,   432,
      41,    42,    43,    44,   595,   596,    18,    19,  3193,  2352,
    2352,    41,    42,    43,    44,   570,   571,   572,     8,     9,
      10,    11,    12,   287,    51,   235,   597,   594,  1817,   141,
       8,     9,    10,    11,    12,   594,  2379,  2379,    28,    29,
      30,    31,    32,    33,    34,    35,    36,   153,   241,    39,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    34,
     597,    39,   597,    18,    19,    16,    21,   446,   594,  1902,
      21,    36,  1905,   190,   594,   601,   377,   378,   290,  3293,
     600,   906,   602,  2201,     8,     9,    10,    11,    12,   228,
      41,    42,    43,    44,   487,   595,   596,   949,   594,   175,
     377,   378,     3,   928,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   154,   596,    39,   326,   486,  1140,   601,
      21,   594,   941,     8,     9,    10,    11,    12,   601,   593,
     597,   595,   957,   985,   986,  2754,  2754,    36,    25,   597,
     377,   378,   596,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    51,    16,    39,   596,    36,   593,    21,   593,
     187,   136,  1014,     8,     9,    10,    11,    12,   987,   136,
     926,   310,   929,   930,   594,   594,   374,   375,    41,    42,
      43,    44,   938,    28,    29,    30,    31,    32,    33,    34,
      35,    36,   596,   594,    39,   951,   952,   954,   264,   596,
    2543,   598,  1991,   342,   186,   598,  1995,  1996,  2551,  2551,
      18,   594,   351,    21,   597,   594,   593,   594,    21,  1136,
    1137,  1138,    25,   594,  1141,   594,  1143,  3441,   440,   596,
    3444,   598,  1244,  1245,  1246,  1247,  1248,  1249,    52,  1251,
    1252,   596,  1254,  1255,   385,    16,    68,    69,    16,   231,
      21,   233,   234,   954,   596,   237,   238,     8,     9,    10,
      11,    12,    45,    46,    47,   300,   301,  2384,  1024,    16,
      41,    42,    43,    44,    21,  2392,   311,    28,    29,    30,
      31,    32,    33,    34,    35,    36,   596,   428,    39,   594,
    1046,  2475,   593,   244,    41,    42,    43,    44,    21,  2925,
     594,   597,    25,  2065,  2930,    16,  2932,   520,   521,  2935,
      21,  1067,   453,   526,    92,  2184,   593,   596,   594,   385,
      52,   595,   601,     8,     9,    10,    11,    12,    68,    69,
      41,    42,    43,    44,   159,  1091,    16,   367,  2155,   153,
     596,    21,   598,    28,    29,    30,    31,    32,    33,    34,
      35,    36,   239,   595,    39,   594,   593,    48,   161,   318,
    1116,    41,    42,    43,    44,   324,    52,   597,    59,    68,
      69,   196,    16,    64,   275,   276,   263,    21,   444,  1136,
    1137,  1138,  1139,  1140,  1141,   598,  1143,   596,  1398,  2180,
    3009,  3009,   601,   595,   594,  2512,   594,    41,    42,    43,
      44,   223,   594,  2520,  1161,  1162,  1163,  1164,  1165,  1166,
    1167,  2754,  2754,  2484,   520,   594,   367,  2760,  2760,   233,
     596,  1178,   598,  2766,  2766,   595,    21,   241,   242,    21,
      25,   245,    75,    25,   594,   390,  1193,   595,  1139,   217,
    1197,  1198,  1199,  1200,  1201,  1202,  1203,  1204,  1205,  1206,
    1207,  1208,  1209,  1210,   594,    21,   181,  1291,    21,    25,
    1161,  1162,  1163,  1164,  1165,  1166,  1167,   573,   574,   575,
     576,   577,   578,   244,   417,   418,   594,  1178,  1398,  2579,
    1398,   303,   594,   223,   175,  2585,   129,  3223,  2831,  2831,
     487,   149,  1193,   184,   185,   492,  1197,  1198,  1199,  1200,
    1201,  1202,  1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,
     153,   322,  2381,   129,   157,   158,   594,  1335,   594,   162,
     595,   384,   600,   214,   223,    18,    19,   594,    21,  1285,
    1287,   174,   598,  2258,  2259,   594,  1388,   153,   349,   350,
     183,   157,   158,  1300,   235,   236,   162,   233,   239,    16,
    2275,   328,   329,   594,    21,  1311,  1578,  1579,   174,   154,
    1316,    21,   154,   303,   594,    25,  1322,   183,  1324,   227,
     228,  1581,   444,   231,    41,    42,    43,    44,   450,   594,
    1500,  3207,  1500,  3209,   594,  2454,  1287,    21,   154,  2458,
      21,    25,   236,   156,    25,    39,   367,   322,   289,  1300,
     316,   598,    52,   319,   303,   595,   297,   298,   299,  1365,
    1366,    19,   337,    21,   392,   440,   598,   595,     3,   310,
     345,   312,   400,   314,   402,    25,   404,   313,  1545,   407,
     273,     3,  1673,  1674,  1675,  1676,  1677,  1678,   385,   596,
    1681,   598,  1683,   594,  1685,  1686,    80,   274,  3384,  3385,
    1406,   278,   310,  1409,     8,     9,    10,    11,    12,  3395,
    3396,  1581,   165,  1581,     3,    21,  3009,  3009,  1680,    25,
    1682,   595,   340,   341,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   280,   342,    39,     3,    50,  1486,   192,
     515,    92,  1490,   351,   157,   158,   583,   584,   585,   385,
    2368,  2872,  1458,     3,    21,  2494,   269,     3,   226,   227,
     595,  1467,  1468,     3,     3,     8,     9,    10,    11,    12,
     154,  1478,  1479,    46,    47,    21,  1482,  1647,     3,  1647,
    1486,   594,   294,   391,  1490,    28,    29,    30,    31,    32,
      33,    34,    35,    36,   455,   593,    39,   595,   147,    21,
     595,    35,    36,   152,   153,    39,  2424,   156,   154,   160,
     593,   160,   125,   596,  2526,   128,   269,  1523,     3,   236,
    1526,     8,     9,    10,    11,    12,    18,    19,  1479,    21,
    1536,   274,     3,   217,   598,    81,    18,    19,  1545,    21,
    2961,    28,    29,    30,    31,    32,    33,    34,    35,    36,
       3,  2972,    39,   306,     8,     9,    10,    11,    12,  2909,
    2910,  1568,  1790,  1570,  1792,   150,   215,  2917,  2918,   218,
       3,  1578,  1579,   594,    28,    29,    30,    31,    32,    33,
      34,    35,    36,  3004,   346,    39,   348,   154,   155,   156,
       3,   137,    86,  1695,   595,     3,   159,   594,   137,   138,
     167,   168,     3,  2791,   150,   151,  2794,  1709,  3484,    16,
    3479,  3479,  2800,  2801,   595,   596,   162,  1568,  1720,  1570,
    1704,  1754,   593,   162,   275,   596,    25,  1729,   279,     3,
       3,   194,  1707,   594,  1641,  1754,  1755,  1756,   451,   507,
    1756,  1648,  1649,   228,   229,   230,  1653,    21,   187,    46,
      47,   464,   465,   147,    18,    19,  1663,   598,   152,   153,
     595,     3,   156,     3,   594,  3541,   160,    48,   246,   247,
     593,   284,  2684,   596,   287,    56,    57,    58,    59,   155,
      61,    62,    63,   412,   413,    66,  1693,    68,    69,    28,
      64,   167,   168,    74,    75,    21,   184,   185,   186,   232,
     594,  2619,  2620,  1710,   596,   598,  1997,   599,  1999,  1849,
     595,   596,   164,   165,   166,   593,  1791,   593,   285,  1726,
     287,   215,    18,    19,   218,    21,   214,   290,   291,    25,
    1849,  1850,   598,   595,   596,  1902,   188,   189,  1905,   593,
     192,   593,   184,   185,  2036,   233,   234,   408,   409,   237,
     238,  1757,  1758,  2044,  1844,  2047,  2768,  1847,  1877,  1878,
    1879,  1877,  1878,  1879,  1770,   597,  2235,  1773,  1774,  2238,
     337,   504,   214,   147,  1780,  1726,  1782,    21,  3486,   235,
     236,  3489,  3490,    51,  1954,   148,  1954,  1793,  1794,   597,
     232,   285,   286,  3501,    18,    19,    20,    21,   292,  1805,
    1806,   289,   240,  1809,   593,  1811,  1812,   597,  1814,   285,
     593,  1981,   593,  1981,     8,     9,    10,    11,    12,   495,
     496,   497,  1828,  3531,  3532,   597,  2838,   597,  3536,  3537,
     177,   178,   179,   180,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    64,    65,    39,  1852,   289,    51,    48,
     597,  1857,    18,    19,  1849,    21,   298,    56,    57,    58,
      59,   597,    61,    62,    63,   337,   240,    66,   593,    68,
      69,    11,    12,    25,  1976,    74,    75,   594,  1980,    18,
      19,  1887,    21,    86,   179,  1892,  3479,  3479,   595,   596,
     240,  1897,   194,   195,   372,  1902,   595,   596,  1905,   201,
     202,   203,   204,   235,   236,   380,  1913,   324,  1915,  1916,
    1917,  1918,     9,    10,    11,    12,  1923,  1924,  1925,  1926,
     316,    18,  1929,   184,   185,   293,  1933,  2011,  2012,  2847,
    2848,  2849,     8,     9,    10,    11,    12,   196,   197,   588,
    2015,  2201,   196,   197,   244,   148,  3033,  3034,   322,   598,
     167,   168,    28,    29,    30,    31,    32,    33,    34,    35,
      36,   244,  1913,    39,  1915,  1916,  1917,  1918,    18,    19,
      20,    21,   114,   115,   116,   117,  2051,   296,  1929,  2472,
    2473,   316,  1933,   340,   187,   149,   346,   429,   430,   431,
     193,   595,   354,     8,     9,    10,    11,    12,   296,   296,
      50,   362,   360,   387,    54,    55,   293,  2014,   463,   212,
     137,   138,   593,    28,    29,    30,    31,    32,    33,    34,
      35,    36,   593,   597,    39,   399,   179,   154,   597,   593,
    2948,  2201,   159,  2201,   378,     8,     9,    10,    11,    12,
     597,   597,   597,  2213,   147,   593,   148,  2217,   175,   371,
     424,    16,   595,   597,   181,    28,    29,    30,    31,    32,
      33,    34,    35,    36,   593,   597,    39,     8,     9,    10,
      11,    12,    16,   593,    21,    50,   175,   162,   216,    54,
      55,  2087,   456,   593,  2186,   593,   597,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    48,   597,    39,     8,
       9,    10,    11,    12,   598,   240,   597,   597,   595,   162,
     598,     8,     9,    10,    11,    12,   593,   597,    93,    28,
      29,    30,    31,    32,    33,    34,    35,    36,   593,   593,
      39,    28,    29,    30,    31,    32,    33,    34,    35,    36,
    2147,   595,    39,     8,     9,    10,    11,    12,   432,   433,
     434,   435,   436,   437,   438,   439,   598,   179,  3170,   366,
    2166,   162,   235,    28,    29,    30,    31,    32,    33,    34,
      35,    36,   147,   244,    39,   593,  2183,   152,   153,  2185,
     244,   593,   157,   158,   593,   160,   597,   597,    15,     8,
       9,    10,   167,   168,   169,   170,   171,   172,    16,    16,
      36,  2371,    33,  2371,   137,   138,   137,   138,    34,    28,
      29,    30,    16,   596,    39,   312,   313,   598,     7,    16,
    2226,   154,    16,   154,     3,  2231,   159,   594,   159,   162,
       3,   162,   184,   185,   186,     3,     3,     3,  2244,     3,
     215,    52,   175,   218,   175,     3,     3,     3,   137,     3,
     181,  2258,  2259,   228,  2261,     3,     3,     3,  2265,  2266,
     137,   138,   214,   392,   393,   394,   395,   396,  2275,     3,
    2345,   596,    48,  2348,  2280,   593,   165,   154,    54,    55,
     596,    92,   159,   235,   236,   593,   593,   239,   380,    21,
    2297,   244,  2299,   112,   113,  3213,  3214,  3215,   175,   188,
     593,   190,   244,   192,   593,   593,   244,  2258,  2259,   244,
    2261,   352,   219,   228,  2265,  2266,   196,   197,   198,   199,
     200,   244,   593,   593,  2275,  3243,  3244,   593,  3246,  3247,
     597,    37,   284,    49,    50,   148,   244,   289,    54,    55,
      70,    71,    72,    73,   296,  2352,  2297,   299,  2299,   244,
     161,   196,   197,   198,   199,   200,   244,   244,   593,   379,
      53,  2367,  2368,   593,   593,    53,   372,   352,   219,   179,
     228,   147,   175,    54,    55,    16,   152,   153,   267,   268,
     269,   270,    16,   182,   160,   337,  3398,  3399,   593,   321,
    2396,   167,   168,   169,   170,   171,   172,   302,    16,   598,
      51,   595,    16,   136,    34,   596,   596,    16,   596,   361,
    3422,    92,  2580,   595,    53,    53,  2586,   228,  2424,  2425,
       3,   162,   233,   162,    21,     3,   595,  3345,   593,   240,
      25,   147,    13,    48,   593,   593,   152,   153,  2445,   215,
      34,   596,   218,   593,   160,   274,   593,   593,   597,   593,
     593,   167,   168,   169,   170,   171,   172,   593,   179,   244,
     593,   593,   593,  2547,   176,    50,   147,   593,   352,    54,
      55,   152,   153,   593,   593,   156,   593,   429,   593,   160,
    2486,  2487,   593,   593,   593,  2491,   167,   168,   169,   170,
     171,   172,  2498,   593,   231,  2501,   352,   593,   593,   215,
     452,    50,   218,   593,   593,    50,   593,   593,    50,   593,
     593,   593,   288,   593,   593,   231,   593,   469,   593,   595,
      16,   593,  2528,   593,  2530,   593,   593,    25,   175,    19,
    2536,   597,    34,    34,   215,   596,  2543,   218,    16,    16,
      21,     3,   318,  2645,  2551,  2552,     3,  2554,     3,     3,
    2557,     3,     3,    16,     3,   507,   508,   509,   510,     3,
     512,     3,   147,     3,   516,   595,   282,   152,   153,  2644,
     593,  2577,   596,    16,   350,   160,   352,  2583,   593,   243,
     243,  2588,   167,   168,   169,   170,   171,   172,   593,    25,
    2597,   593,  2599,    41,   283,  2602,   162,  2604,  2605,   593,
    2607,  2552,   293,  2554,   593,   593,  2557,   147,   179,  2869,
    2870,   593,   596,  2619,  2620,   593,  2888,   593,  2624,  2625,
     593,   593,  2629,   598,   593,   137,   138,   593,   304,   593,
     215,   593,   593,   218,   593,   147,   593,  2588,   593,   593,
     152,   153,   593,   228,   593,   190,   598,   192,   160,   366,
     162,   162,   593,   593,   239,   179,  2607,   593,   372,   593,
      54,    55,   473,   593,   475,   476,   593,   593,   593,   480,
     481,   593,   483,    59,   348,   162,   221,   593,  2629,   490,
     491,    20,  2757,   228,   593,   412,   412,   593,   240,   593,
     501,   132,   593,   165,   457,   502,   593,   593,   181,  2869,
    2870,  2869,  2870,   215,   337,    52,   218,   593,   424,   425,
     426,   427,   593,    36,    39,   594,   594,   593,   263,   594,
     265,    28,    39,    28,    36,    34,   596,   596,   593,    16,
     275,  2737,   594,  2739,    19,   247,   452,     3,     3,   284,
      98,   457,    16,   598,   520,   593,   462,  2754,   597,   525,
     295,   527,  2759,   147,   175,   244,   244,   148,   152,   153,
     410,   406,   156,   405,   366,   593,   160,   236,   304,   593,
      54,    55,   357,   167,   168,   169,   170,   171,   172,   593,
    2786,   593,    59,    20,   593,   593,  2792,   598,  2955,   323,
     175,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      64,    99,   100,   101,   102,   103,   104,   105,  2759,   490,
     491,   597,   493,   597,   597,  2822,   129,   498,    68,   597,
     501,   215,   598,   597,   218,    48,    16,   156,   598,    16,
      34,    60,   161,    67,   147,    38,  3003,    35,   593,   152,
     153,  2847,  2848,  2849,   157,   158,    35,   160,   593,   162,
       7,   593,   595,  2859,   598,   288,   596,   593,   401,   597,
     267,   174,   237,   147,   237,   237,   399,   244,   152,   153,
     183,  2822,   304,   593,   419,   179,   160,   595,   597,   594,
      80,     7,   598,   167,   168,   169,   170,   171,   172,   597,
     597,   595,   597,   593,   596,    76,  2902,   181,   595,  2905,
     595,  2907,   215,   415,   416,   218,   285,   503,   595,   594,
      16,   939,   595,   595,   593,   595,   593,   598,  2925,    36,
    3192,  3193,   108,  2930,   593,  2932,    35,    35,  2935,     7,
     228,   215,   597,   236,   218,   264,   597,   593,   593,   593,
     324,   487,  2948,  2949,   593,     7,   487,   595,  2955,   237,
     596,   595,   595,   194,   982,   595,   237,   237,   594,   596,
     505,   304,   246,   595,  3134,   302,   279,   595,   240,   282,
     237,    59,   593,  2979,   237,   315,   302,  2983,   240,  2985,
    2986,   460,  2988,   324,   597,   125,   270,  1015,   434,   593,
     593,   362,   472,   432,   479,  1023,  3003,   472,   244,   288,
     482,   477,  3009,   304,   593,   288,  3013,   502,    25,  1037,
     302,   593,   244,   598,   593,  3022,   362,  1045,   244,   244,
     125,   513,  3028,   244,  3030,  3031,  3032,   511,   593,   523,
     593,   517,   593,    36,    36,   593,   598,  1065,    25,   598,
    1068,   309,  1070,   304,   461,   237,   474,   494,   522,   378,
     244,  3058,  1080,   244,   129,    50,   175,   237,   452,    54,
      55,  3067,  3013,   185,  3070,   185,   111,   595,   593,  3075,
     596,  3022,   147,   593,   593,   593,   446,   152,   153,   392,
    3086,   446,   157,   158,  3186,   160,   598,   162,   593,  3095,
    3096,  1119,  3098,  1121,  3100,   503,  3102,   426,  3104,   174,
     593,  2371,   593,   441,  2249,  3111,  1647,  3058,   183,  1647,
    1647,  2236,   506,  3540,   443,  2955,   445,  3123,  3124,  2291,
     449,  2291,  3128,  3129,   453,   454,   593,   593,   596,   593,
     595,  2906,  2291,  2291,  2907,  1867,  2583,  2905,  2584,  2551,
     215,  2585,  1159,   218,  3150,  3192,    54,    55,  2352,  3155,
    1578,   274,   147,  1579,  3193,  3161,  1581,   152,   153,  1140,
    2766,  2760,  3168,   146,  2045,   160,  2607,  1942,  1944,  3375,
    3397,  3177,   167,   168,   169,   170,   171,   172,  1233,  2831,
    2064,  1804,  2659,   467,   468,   469,  2641,  2833,  2683,  2719,
    3197,  2866,  3299,  3154,  3312,  3134,  3155,  3151,  2532,  3314,
    3207,  1732,  3209,  1517,   598,  1688,    -1,  3213,  3214,  3215,
      -1,    -1,    -1,  1282,    -1,    -1,  3222,    -1,    -1,    -1,
     215,    -1,    -1,   218,    -1,    -1,    -1,  3233,  3234,  3235,
    3236,  3237,    -1,    -1,    -1,    -1,   231,  3243,  3244,   147,
    3246,  3247,  3248,  3249,   152,   153,  3197,    -1,   156,    -1,
      -1,    -1,   160,    -1,    -1,  3261,  3262,  3263,    -1,   167,
     168,   169,   170,   171,   172,    -1,    -1,    -1,    -1,   598,
      -1,    -1,    -1,  3279,  3280,    -1,    -1,    -1,    -1,  3285,
      -1,    -1,    -1,    -1,    -1,   598,    -1,   282,    -1,    -1,
      -1,    -1,  3298,    -1,    -1,  3301,  3302,    -1,  3304,   597,
      -1,   296,  3308,  3309,    -1,    -1,    -1,   215,    -1,    -1,
     218,  3317,    -1,    -1,   598,    -1,    -1,   392,    -1,    -1,
    1348,    -1,    -1,  3329,  3330,  3331,    -1,    -1,    -1,    -1,
      -1,   239,    -1,    -1,    -1,    -1,  3342,    -1,    -1,  3345,
    3346,    -1,    -1,  3349,  3350,    -1,    -1,  1375,    -1,    -1,
      -1,    -1,  1380,    -1,    -1,  1383,  3363,    -1,  1386,    -1,
      -1,    -1,    -1,    -1,  3370,  3371,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3540,  3476,  3477,  1404,    -1,    -1,    -1,
      -1,    -1,    -1,  1411,  1412,    -1,  1414,  1415,    -1,  1417,
    1418,  1419,  1420,  1421,  1422,    -1,    -1,  1425,  1426,    -1,
    1428,    -1,    -1,  1431,  1432,    -1,    -1,    -1,    -1,  1437,
      -1,  1439,  3363,    -1,    54,    55,    -1,    -1,    -1,    -1,
      -1,    -1,  1450,  1451,  1452,    -1,    -1,  1455,    -1,  3435,
    3436,    -1,    -1,    -1,    -1,    -1,    -1,  3443,    -1,    -1,
    3446,    -1,    77,    78,    79,    -1,  3452,    -1,    -1,    -1,
      14,  3457,    16,    17,    18,    19,    20,    21,    -1,    -1,
      -1,    25,    26,  1491,    -1,    -1,    -1,    -1,    -1,    33,
      34,    35,  3479,    -1,    38,    -1,  1504,  3484,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,
      54,    55,  1520,  1521,    58,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   139,    64,    -1,   147,    -1,    -1,
      -1,    -1,   152,   153,    -1,    -1,   156,    -1,   153,    -1,
     160,    -1,    -1,   598,    -1,    59,    -1,   167,   168,   169,
     170,   171,   172,  3540,  3541,    -1,   531,   532,    -1,    -1,
      -1,    -1,    -1,    -1,   179,   180,    -1,    -1,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
      -1,   135,    -1,   137,    -1,   215,    -1,   141,   218,    -1,
      -1,   216,   146,   218,    -1,   220,    -1,    -1,    -1,   155,
      -1,    -1,   587,   588,   589,   129,   231,    -1,   132,    -1,
      -1,    -1,    -1,   598,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   183,    -1,   153,
      -1,    -1,    -1,   157,   158,   184,   185,   262,   162,    -1,
      -1,   266,    -1,    -1,    -1,    -1,   271,   272,    -1,    -1,
     174,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,   183,
      -1,    -1,    -1,    -1,    -1,   214,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,    -1,    -1,
      -1,    -1,    -1,   232,    -1,    -1,   235,   236,    -1,    -1,
     239,   240,    -1,    -1,   248,   249,   250,    -1,    -1,    -1,
     598,    -1,    -1,   227,    -1,   229,    -1,   231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   275,
     269,    -1,    -1,    -1,    -1,   281,    -1,    -1,   284,    50,
      -1,    -1,    -1,    54,    55,   284,    -1,    -1,    -1,   295,
     289,    -1,    -1,   292,    -1,    -1,  1764,  1765,    -1,   298,
      -1,   305,    -1,    -1,   303,    -1,    -1,    -1,  1776,  1777,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,    -1,    -1,   310,    -1,    -1,   414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   355,   356,    -1,    -1,    -1,    -1,    -1,    -1,  1827,
      -1,    -1,   361,    -1,    -1,    -1,  1834,    -1,    -1,    -1,
    1838,  1839,  1840,   347,    -1,    -1,    -1,    -1,   382,    -1,
      -1,    -1,    -1,   357,   358,    -1,   385,    -1,    -1,    -1,
     364,    -1,    -1,    -1,   398,    -1,   167,   168,   169,   170,
     171,   172,   376,    -1,  1872,   411,    -1,    -1,   414,   383,
      -1,   385,    -1,   419,    -1,   389,   420,   421,   422,   423,
    1888,  1889,    -1,   397,    -1,    -1,    -1,   426,    -1,    -1,
     429,   430,   431,    -1,    -1,    -1,    -1,    -1,   437,    -1,
      -1,     3,    -1,   442,    -1,    -1,     8,     9,    10,    11,
      12,    -1,    -1,   452,    -1,    -1,    -1,    -1,    -1,   458,
     466,    -1,    -1,    -1,   470,   471,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,   505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   582,    -1,    -1,
      -1,   586,    -1,    -1,   518,   519,    -1,    -1,   598,    -1,
      -1,    -1,    -1,    -1,    -1,   531,    -1,    -1,    -1,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,    -1,    -1,    -1,    -1,
    2038,  2039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    21,    -1,    -1,   590,    -1,    -1,   591,   592,    -1,
     594,    -1,    -1,    -1,    -1,    -1,   600,    -1,    -1,   598,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,    -1,  2086,    -1,
      -1,    -1,    -1,    -1,   598,    -1,    -1,    -1,    -1,  2097,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2144,    50,    -1,    -1,
      -1,    54,    55,    -1,    -1,    -1,    -1,    -1,     8,     9,
      10,    11,    12,    -1,    -1,  2163,  2164,  2165,    -1,  2167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    -1,    -1,    39,
       8,     9,    10,    -1,   213,    -1,    -1,    -1,  2196,    -1,
    2198,    -1,    -1,    -1,    -1,  2203,    -1,   110,    -1,   228,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    -1,
      -1,    39,    -1,    -1,    -1,    -1,    14,  2225,    16,    17,
      18,    19,    20,    21,   137,   138,    -1,    25,    26,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,   150,    -1,    -1,
      38,   154,    -1,    -1,   157,   158,    -1,   107,   228,   162,
      -1,    -1,    50,    51,    -1,    -1,    54,    55,    -1,    -1,
      58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,    -1,   135,    -1,   137,
      -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,   146,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,     9,    10,    -1,    -1,    -1,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,    -1,  2390,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    -1,    -1,    39,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   228,
      -1,    -1,  2420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2450,  2451,  2452,    -1,    -1,  2455,    -1,    -1,
     248,   249,   250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   305,    -1,  2517,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   355,   356,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   420,   421,   422,   423,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2695,    -1,    -1,
      -1,    -1,    -1,  2701,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   499,   500,  2711,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     518,   519,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2742,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   591,   592,    -1,   594,    -1,    -1,    -1,
      -1,    -1,   600,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2858,    -1,    -1,    -1,  2862,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2944,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2978,    -1,  2980,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2992,    -1,    -1,  2995,  2996,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    -1,
      16,    17,    18,    19,    20,    21,    -1,    -1,    -1,    25,
      26,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    35,
      -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    54,    55,
      -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3092,    -1,    -1,    -1,    -1,    -1,
      -1,  3099,    -1,    -1,    -1,    -1,   112,   113,    -1,    -1,
      -1,    -1,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,    -1,   135,
      -1,   137,    -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,
     146,    -1,  3140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3162,    -1,    -1,    -1,  3166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3239,   248,   249,   250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3265,    -1,    -1,
      -1,    -1,    -1,    -1,  3272,    -1,    -1,  3275,    -1,    -1,
      -1,    -1,    -1,    -1,  3282,  3283,    -1,    -1,  3286,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   305,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3307,
      -1,    -1,    -1,  3311,    -1,  3313,    -1,    -1,    -1,    -1,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,    -1,    -1,    -1,  3333,  3334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3344,    -1,    -1,   355,
     356,    -1,    -1,  3351,    -1,  3353,  3354,  3355,    -1,    -1,
      -1,    -1,    -1,    14,    -1,    16,    17,    18,    19,    20,
      21,    -1,    -1,    -1,    25,    26,   382,    -1,    -1,    -1,
      -1,    -1,    33,    34,    35,    -1,    -1,    38,    -1,    -1,
      -1,    -1,   398,    -1,    -1,    -1,    -1,    -1,    -1,    50,
      51,    -1,    -1,    54,    55,    -1,    -1,    58,    -1,    -1,
      -1,  3409,    -1,    -1,   420,   421,   422,   423,    -1,    -1,
      -1,    -1,    -1,  3421,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3432,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3458,   112,   113,    -1,    -1,    -1,    -1,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,    -1,   135,    -1,   137,    -1,    -1,    -1,
     141,    -1,    -1,   499,   500,   146,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   518,   519,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   591,   592,    -1,   594,    -1,
      -1,    -1,    -1,    -1,   600,    -1,    -1,   248,   249,   250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   355,   356,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    -1,
      16,    17,    18,    19,    20,    21,    -1,    -1,    -1,    25,
      26,   382,    -1,    -1,    -1,    -1,    -1,    33,    34,    35,
      -1,    -1,    38,    -1,    -1,    -1,    -1,   398,    -1,    -1,
      -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    54,    55,
      -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,   420,
     421,   422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,    -1,
      -1,    -1,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,    -1,   135,
      -1,   137,    -1,    -1,    -1,   141,    -1,    -1,   499,   500,
     146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     591,   592,    -1,   594,    -1,    -1,    -1,    -1,    -1,   600,
      -1,    -1,   248,   249,   250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   305,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   355,
     356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    -1,    16,    17,    18,    19,    20,
      21,    -1,    -1,    -1,    25,    26,   382,    -1,    -1,    -1,
      -1,    -1,    33,    34,    35,    -1,    -1,    38,    -1,    -1,
      -1,    -1,   398,    -1,    -1,    -1,    -1,    -1,    -1,    50,
      51,    -1,    -1,    54,    55,    -1,    -1,    58,    -1,    -1,
      -1,    -1,    -1,    -1,   420,   421,   422,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,    -1,    -1,    -1,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,    -1,   135,    -1,   137,    -1,    -1,    -1,
     141,    -1,    -1,   499,   500,   146,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   518,   519,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   591,   592,    -1,   594,    -1,
      -1,    -1,    -1,    -1,   600,    -1,    -1,   248,   249,   250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   355,   356,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    -1,
      16,    17,    18,    19,    20,    21,    -1,    -1,    -1,    25,
      26,   382,    -1,    -1,    -1,    -1,    -1,    33,    34,    35,
      -1,    -1,    38,    -1,    -1,    -1,    -1,   398,    -1,    -1,
      -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    54,    55,
      -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,   420,
     421,   422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,    -1,
      -1,    -1,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,    -1,   135,
      -1,   137,    -1,    -1,    -1,   141,    -1,    -1,   499,   500,
     146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     591,   592,    -1,   594,    -1,    -1,    -1,    -1,    -1,   600,
      -1,    -1,   248,   249,   250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   305,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   355,
     356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    -1,    16,    17,    18,    19,    20,
      21,    -1,    -1,    -1,    25,    26,   382,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    -1,    -1,    38,    -1,    -1,
      -1,    -1,   398,    -1,    -1,    -1,    -1,    -1,    -1,    50,
      51,    -1,    -1,    54,    55,    -1,    -1,    58,    -1,    -1,
      -1,    -1,    -1,    -1,   420,   421,   422,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,    -1,    -1,    -1,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,    -1,   135,    -1,   137,    -1,    -1,    -1,
     141,    -1,    -1,   499,   500,   146,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   518,   519,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   591,   592,    -1,   594,    -1,
      -1,    -1,    -1,    -1,   600,    -1,    -1,   248,   249,   250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   355,   356,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   398,    51,    -1,
      -1,    -1,    -1,    -1,    -1,    58,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,
     421,   422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    82,
      83,    84,    85,    86,    87,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   106,    -1,    -1,   109,   110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     591,   592,    -1,   594,    -1,   248,   249,   250,    -1,   600,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   355,   356,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   398,    -1,    -1,    -1,    51,
      -1,    -1,    -1,    -1,    -1,    -1,    58,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,   421,   422,
     423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,    -1,    -1,   109,   110,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,   144,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,    -1,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,
      -1,    -1,    -1,    -1,   597,   598,   248,   249,   250,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   355,   356,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   398,    -1,    -1,    51,
      -1,    -1,    -1,    -1,    -1,    -1,    58,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,   421,
     422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      82,    83,    84,    85,    86,    87,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   106,    -1,    -1,   109,   110,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,   144,    -1,    -1,    -1,    -1,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,
     592,    -1,    -1,    -1,    -1,   597,   248,   249,   250,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    21,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   355,   356,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   398,    -1,    -1,    51,
      -1,    -1,    -1,    -1,    -1,    -1,    58,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,   421,
     422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   222,    -1,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,   248,   249,   250,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   305,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,
     592,    -1,    -1,    -1,    -1,   597,   248,   249,   250,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   355,   356,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   305,    -1,   382,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   398,    -1,    -1,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   420,   421,   422,   423,    -1,    -1,    -1,
      -1,    -1,    -1,   355,   356,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   398,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,   421,
     422,   423,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   518,   519,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,    -1,    -1,    -1,    -1,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   591,   592,   518,   519,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,    -1,    -1,
      -1,    -1,    -1,    -1,    21,    22,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,
     592,    -1,   594,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,    -1,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,    21,    22,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,    -1,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,    21,    22,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,    -1,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
      21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      51,    -1,    -1,    -1,    -1,    -1,    -1,    58,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   248,   249,   250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    24,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,
      -1,    -1,    -1,    58,    -1,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   355,   356,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   382,    -1,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,    -1,    -1,   398,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,
     421,   422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   248,   249,   250,    -1,   518,   519,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,    -1,
     305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     591,   592,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     355,   356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   420,   421,   422,   423,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   518,   519,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,    50,    -1,    -1,    -1,    54,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   591,   592,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   147,    -1,    -1,    -1,    -1,   152,   153,    -1,
     155,   156,    -1,    -1,    -1,   160,   161,    -1,    -1,    -1,
      -1,    -1,   167,   168,   169,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,   184,
      -1,   186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     215,    -1,    -1,   218,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   227,    -1,    -1,    -1,   231,    -1,   233,    -1,
      -1,    -1,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   272,    -1,    -1,
      -1,   276,   277,    -1,    -1,    -1,    -1,    -1,    -1,   284,
     285,   286,    -1,   288,    -1,    -1,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,
      -1,   316,   317,    -1,   319,   320,    -1,    -1,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   338,   339,    -1,    -1,    -1,   343,   344,
     345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,    -1,
      -1,    -1,   357,    -1,    -1,   360,   361,    -1,   363,    -1,
     365,    -1,    -1,   368,   369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   386,    -1,   388,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   598
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     4,   605,   606,    77,    78,    79,   139,   153,   179,
     180,   216,   218,   220,   231,   262,   266,   271,   272,   414,
     582,   586,   667,   668,   669,   670,   800,   801,   802,   803,
     805,   806,   807,   814,   816,   817,   818,   819,   820,   821,
     822,   823,   824,   825,   826,   829,   830,   831,   832,   833,
     834,   835,   837,   838,   863,   889,   901,   902,   903,   904,
     935,   973,   974,   975,   976,   977,   978,   979,   980,  1035,
    1036,  1061,  1076,  1077,  1078,  1079,  1080,  1081,  1082,  1083,
       0,     3,    40,    50,    54,    55,    81,   137,   139,   140,
     143,   145,   147,   149,   150,   151,   153,   167,   168,   169,
     170,   171,   172,   218,   224,   230,   231,   580,   581,   593,
     607,   608,   671,   673,   674,   675,   676,   687,   738,   740,
     741,   742,   743,   744,   745,   750,   764,   767,   777,   778,
     779,   842,   843,   864,   868,   871,   874,   891,   894,   905,
     912,   926,   929,   931,   934,   938,   939,   982,   983,   985,
     987,   988,   993,  1024,  1027,  1037,  1038,  1050,  1051,  1062,
    1065,  1074,  1075,  1086,  1091,  1092,     3,     3,     3,    14,
      16,    17,    18,    19,    20,    21,    25,    26,    33,    34,
      38,    50,    51,    54,    55,    58,   112,   113,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   135,   137,   141,   146,   222,   248,
     249,   250,   305,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   355,   356,   382,   398,   420,   421,   422,
     423,   499,   500,   518,   519,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   591,   592,   594,   600,   612,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   664,
     665,   666,   696,   713,   715,   716,   719,   720,   721,   722,
     726,   727,   841,    21,    25,   154,   813,   836,   839,    21,
     839,   839,    80,   217,   839,   839,     3,   179,    50,   190,
     192,   221,   228,   263,   265,   275,   284,   295,   419,   505,
     137,   165,   188,   190,   192,   267,   268,   269,   270,    42,
     154,   597,   827,   839,   266,    25,   239,   263,   583,   584,
     585,  1084,     3,    21,    22,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   604,   611,   273,   611,   611,   726,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    99,
     100,   101,   102,   103,   104,   105,   213,   228,   677,   594,
     594,   148,    21,    25,   637,   163,   190,   191,   208,   579,
     173,   190,   637,   150,   228,   229,   230,   765,   766,  1064,
     179,   507,   575,    16,   594,   609,   612,   162,   241,   746,
     155,   183,   213,   275,   281,   284,   295,   411,   414,   419,
     466,   470,   471,   505,   531,   590,   937,  1023,    51,   611,
     751,   147,   152,   153,   156,   160,   215,   218,   239,   598,
     742,   752,   753,   759,   781,   597,   846,   751,   751,   751,
     751,    50,    54,    55,    88,   120,   155,   156,   161,   167,
     168,   169,   170,   180,   184,   186,   227,   231,   233,   239,
     272,   276,   277,   284,   285,   286,   288,   292,   314,   316,
     317,   319,   320,   323,   338,   339,   343,   344,   345,   353,
     357,   360,   361,   363,   365,   368,   369,   386,   388,   397,
     598,   752,   854,   855,   915,   916,   923,   751,   751,   751,
      49,    50,   231,   282,   424,   425,   426,   427,   452,   457,
     462,   598,   743,   752,   941,   942,   943,   944,   945,   751,
     181,   246,   270,   467,   468,   469,   598,   752,   759,   984,
     597,   129,   157,   158,   162,   174,   183,   392,   598,   752,
     754,   751,   751,   751,   751,   228,   239,   357,   598,   752,
     759,   854,  1055,  1057,   231,   282,   296,   531,   532,   587,
     588,   589,   598,   752,   759,   854,  1063,  1089,  1090,   751,
     751,   156,   588,   598,   752,  1093,    16,    33,    35,   594,
     600,   602,   612,   712,   714,   720,    36,   616,    36,    18,
      19,   617,   618,   136,    34,   136,   726,    16,   597,   597,
     594,   594,   594,   594,   594,   594,   594,   594,   114,   115,
     116,   117,   701,   726,    16,    17,    19,    20,   594,   601,
     612,   617,   618,   625,   696,   697,   700,   702,   703,   704,
     707,   709,   710,   594,    52,    52,     3,     8,     9,    10,
      11,    12,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    39,    39,    42,   154,   597,   782,     3,   782,    25,
     638,   638,   839,   839,     3,    42,   154,   597,   785,     3,
     280,    21,    25,   154,   840,     3,   264,     3,   808,     3,
     815,    21,   804,   294,   165,   192,   269,   306,   156,   269,
     451,   464,   465,   804,   192,   269,   154,     3,     3,     3,
       3,     3,     3,     3,     3,    88,   153,   520,   573,   574,
     575,   576,   577,   578,  1072,  1073,    16,   828,   638,   936,
    1084,     3,  1084,     3,     3,   507,  1085,    28,   611,   688,
     672,   609,    98,   611,   612,   612,    16,    18,    21,    51,
     594,   739,   593,   782,   782,   782,   609,    41,    42,    43,
      44,   175,   609,   613,   785,   593,    25,   225,   593,   570,
     571,   572,   637,  1068,   232,   609,   610,   610,   726,   593,
     611,   597,   749,   417,   418,   986,   504,    21,    51,   597,
     148,   613,   782,   780,   161,   637,   637,   785,   240,   593,
     597,   757,   593,   593,   845,   847,   597,   597,   597,   597,
     232,   325,   337,   593,    25,   328,   329,    50,   371,    50,
     371,    50,   371,    50,   371,   235,   326,   637,   613,   372,
     179,   316,   319,   240,   228,   310,   342,   351,   380,   324,
     231,   613,   913,   593,   609,    18,    19,    21,   274,   614,
     907,   390,   614,   906,   293,   316,   244,   318,   324,   244,
     316,   296,   340,   341,   340,   149,   613,   346,   354,   296,
     296,   362,   360,    53,   288,   328,   329,   613,   370,   609,
     387,   293,   149,   227,   228,   231,   310,   342,   351,   391,
     593,   593,   597,   859,   597,   921,   593,   597,   597,   597,
     463,   179,   378,   739,   613,   147,   609,   613,   148,   613,
     371,   940,   757,   593,   597,   597,   613,    52,   233,    16,
      51,   187,    16,   157,   158,   593,   593,   609,   137,   138,
     154,   159,   175,   181,   685,   761,   175,   761,    21,   760,
     175,   216,   162,   593,   593,   597,   597,   597,   597,    19,
      20,    21,   628,   632,   240,   162,   593,   593,   593,    87,
     321,   349,   359,   528,   529,   530,  1052,  1053,   597,  1060,
     179,   366,   609,   162,   235,   613,   244,   154,   613,  1087,
     593,   593,   597,   597,  1094,  1098,   244,   593,     7,   714,
     714,   714,   726,    18,    19,   601,   707,   714,   714,    15,
      16,    16,    36,    33,    34,   136,    34,   661,   661,   760,
     726,   726,   726,   726,   726,   726,   726,    16,   596,   595,
     596,    35,   699,   701,   726,    33,    34,   597,     7,   596,
     601,   596,   601,   717,   718,   726,    16,    16,   726,   726,
     726,   726,   726,   726,   726,   726,   726,   726,   726,   726,
     726,   726,   723,    50,    54,    55,   167,   168,   169,   170,
     171,   172,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   812,   164,   165,   166,   188,   189,   192,
     783,   784,     3,     3,     3,     3,   164,   219,   786,   787,
       3,   862,   840,     3,     3,     3,    80,   110,   137,   150,
     154,   157,   158,   162,   182,   205,   206,   207,   209,   210,
     211,   632,   685,   811,     3,    21,    81,   137,   150,   151,
     162,     3,   890,   804,   804,   804,   804,   804,   804,   981,
     154,   804,   154,   804,     3,   804,   804,     3,   596,   598,
       3,     3,     3,   137,   162,   187,   685,     3,  1085,   609,
       3,   726,   594,   679,   680,   682,   686,   677,   593,   596,
     596,   774,   775,   726,   593,   610,   593,   609,   226,   227,
     380,  1066,    18,    19,    21,    25,   594,   639,  1069,   609,
    1067,   154,   597,  1071,   609,    45,    46,    47,   595,   748,
     751,    21,   739,   768,   771,   772,   613,   756,   758,    75,
     598,   844,   848,   849,   867,   873,   893,   244,   244,   614,
     593,   609,   609,   613,    88,   400,   593,   593,   231,   373,
     244,   367,   613,   244,   244,   613,   352,   219,   613,   228,
     381,   637,   244,   593,   593,   597,   799,   593,    21,   625,
     631,    37,   615,    48,    53,   377,   378,   593,   392,   393,
     394,   395,   396,   911,   615,    48,    53,   593,   613,   244,
     609,   244,   244,   609,   244,   613,   613,   148,   613,   613,
     593,   613,   613,   613,   613,   613,   613,   379,    53,   613,
     613,   593,   613,   593,    53,   613,   613,   372,   352,   179,
     219,   613,   228,   613,   858,   860,   861,   920,   922,   928,
     933,   613,   244,   367,   613,   613,   613,   175,   609,   758,
     946,   610,   610,    16,    16,   612,   683,   684,   726,    42,
     609,   763,   182,   763,   763,   613,   760,   992,  1026,  1039,
    1056,   613,   760,    25,   614,   614,    50,   125,   128,   284,
     287,  1052,  1059,   593,   613,   613,   609,   302,   609,   772,
     773,   609,    16,   595,   714,   601,    51,    16,   136,    34,
     662,   663,   595,   596,   595,   596,   596,   596,   596,   595,
     595,   726,   726,   596,     7,   596,   596,   595,    16,   594,
     697,   704,   709,   596,   595,    53,    53,    23,    24,   721,
     724,   841,   596,   598,   596,   598,     3,   275,   276,   612,
       3,   632,    18,    19,    20,    21,   617,   618,   619,   620,
     621,   809,   810,   683,   612,   162,   162,   154,   612,    21,
     612,   813,     3,    21,   154,   155,   156,   167,   168,   285,
     287,   337,   638,   638,   638,   638,   638,   638,     3,    21,
      64,   147,   240,   322,   399,   424,   456,   804,   638,   804,
     638,   638,   638,  1073,   683,    25,   760,   637,     3,   593,
     595,   678,    13,   681,   597,   677,   611,   637,   612,   772,
     593,   595,    25,    46,    47,    46,    47,   637,   726,    48,
    1070,   637,  1072,   593,   593,    52,   153,   233,   241,   242,
     245,   598,   747,    34,   770,   596,   593,   153,   598,   754,
     755,   274,   593,   597,   852,   279,   282,   392,   598,   752,
     754,   865,    86,   156,   285,   286,   292,   598,   752,   872,
     156,   307,   598,   752,   759,   892,   609,   609,   593,   593,
     593,   593,   613,   597,   613,   908,   179,   244,   609,   593,
     593,   609,   609,   593,   613,   613,   593,   352,   609,   593,
     609,   798,   914,   907,   611,   907,   609,   609,   593,   906,
     609,   609,   593,   609,   593,   609,   609,   593,   609,   593,
     593,   739,   593,   593,   593,   593,   593,   593,   593,   593,
     613,   593,   609,   593,   593,   593,   613,   593,   593,   231,
     613,   613,   613,   593,   352,   593,    75,   273,   598,   755,
     857,   758,    59,   132,   157,   158,   227,   229,   231,   310,
     347,   357,   358,   364,   376,   383,   385,   389,   397,   598,
     755,   919,    93,   157,   158,   228,   598,   742,   752,   854,
     924,   925,   927,   137,   162,   247,   415,   416,   598,   685,
     752,   932,   609,   609,   156,   161,   264,   378,   426,   443,
     445,   449,   453,   454,   598,   947,   954,   957,   682,   176,
     762,   613,   593,    92,   156,   490,   491,   493,   498,   501,
     598,   752,   759,   989,   156,   452,   506,   598,   752,   759,
    1025,    48,   288,   318,   350,   352,   520,   525,   527,   598,
     752,   759,  1040,  1042,    50,  1054,   593,   593,   615,    50,
      16,   634,   635,   609,   613,   613,    25,    21,    82,    83,
      84,    85,    86,    87,    88,   106,   109,   110,   142,   144,
     597,   598,   612,   719,   721,   728,   731,   737,   841,  1058,
     175,  1088,   609,   597,  1097,   714,   714,    19,    34,    34,
     659,   660,   726,   726,   726,   726,   726,   596,   595,   596,
      35,   699,   726,   699,    35,   699,   699,   596,   726,   726,
      16,    16,   725,   784,   787,    51,    18,    19,    21,   813,
     813,   637,   637,    18,    19,    21,   617,   618,   633,     3,
       3,     3,     3,     3,     3,    16,   739,   739,   739,   638,
       3,   638,     3,     3,     3,   677,   677,   689,   677,   690,
     693,   694,   695,   729,   731,   611,   593,   595,   596,   595,
      16,   598,   243,   782,   243,   613,   613,   246,   247,   593,
      25,   638,   769,   771,   782,   593,   611,   851,   853,    41,
     283,   162,   593,   876,   877,   883,   877,   884,   614,   888,
     293,   593,   895,   900,   147,   593,   596,   593,   593,    92,
     217,   392,   400,   402,   404,   407,   909,   910,   593,   367,
     613,   609,   593,   593,   593,   593,   593,   613,   593,   593,
     186,   231,   233,   234,   237,   238,   598,   797,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     179,   593,   593,   593,   613,   274,   278,   612,   593,   304,
     366,   162,   162,   372,   162,   179,    59,   348,   162,   155,
     359,   613,   613,   384,   613,   609,   613,   132,   310,   593,
      20,   412,   412,   412,   413,   757,   593,   683,    25,   760,
     609,   637,   132,   593,   966,   972,   385,   428,   453,   613,
     949,   385,   613,   948,   240,   631,   950,   951,   455,   613,
     593,   457,   967,   177,   178,   179,   180,    21,   618,   630,
    1003,  1008,   994,  1002,   990,   991,   630,   165,   502,   593,
    1028,  1034,   613,   609,   593,   609,   337,   181,  1041,    52,
    1041,   639,  1043,    66,   524,  1044,  1041,   593,   609,   635,
      36,   717,   717,   594,   726,   726,   726,   732,   594,   594,
     691,   692,    28,   593,    28,   717,    39,    28,   609,  1096,
      36,    34,    48,    56,    57,    58,    59,    61,    62,    63,
      66,    68,    69,    74,    75,   598,   645,   646,   647,   648,
     649,   657,   598,   646,   647,   648,   649,   658,   596,   595,
     595,   595,   595,   726,   726,   595,   596,     7,   595,   596,
     595,   596,     7,   595,   596,   596,    16,   594,    19,     3,
       3,   611,    98,   686,   611,   598,   694,   593,    16,   244,
     244,   609,   610,   633,    68,   277,   598,   850,    21,   594,
     721,   841,   869,   870,   866,   760,   155,   167,   168,   285,
     875,   773,   597,   882,    37,   287,   885,   613,   773,   148,
     609,   175,   410,   406,   134,   403,   405,   408,   409,   596,
     598,   593,   593,   593,   593,   613,   235,   236,   236,   610,
     609,   593,   613,   593,   275,   276,   612,    92,   160,   275,
     279,   856,   181,   322,   337,   345,   235,   236,   613,   613,
     613,   231,   373,   760,   613,   304,   322,   349,   350,   918,
     760,   366,    59,   594,   600,   702,   930,   930,   930,    20,
     758,   323,   772,   968,   609,   609,   613,   597,   609,   597,
     739,   597,   609,   609,   597,   597,  1007,   773,   597,   614,
    1009,  1014,    25,   597,  1015,  1020,   613,    64,   773,   175,
     614,   609,    68,   609,  1042,  1045,  1046,   609,    16,   593,
     593,   612,   841,   593,   107,   597,    21,   677,   730,   736,
     736,   598,   690,   726,   726,   593,   735,   726,   485,   598,
    1095,    16,    34,    60,    64,    65,    67,     8,     9,    10,
      28,    29,    30,   112,   113,   609,   643,   650,   651,   652,
      38,   653,   654,   654,   656,    21,   617,   629,   593,   650,
     653,   656,   630,   593,   726,   595,   595,    35,   699,    35,
     699,    35,   699,     7,    35,   699,    35,   699,   598,   718,
     593,   595,    28,   593,   595,   610,   610,   609,   609,   593,
     726,   596,   686,   882,   881,   878,   611,   637,   288,   886,
     597,   899,   613,   593,   401,   267,   910,   237,   237,   237,
     593,   374,   375,   613,   917,   917,   614,   399,   179,   244,
     613,   613,   304,   702,   706,   613,   969,   597,   971,   959,
     959,   952,   955,  1006,  1005,   597,  1001,  1010,  1016,   609,
     597,  1033,   609,   613,   597,   595,   595,   731,   711,   611,
      80,   726,    21,   721,   737,   841,   593,   593,   724,   593,
     614,   593,     7,   609,    11,    12,   644,   596,    12,   596,
     644,   609,    70,    71,    72,    73,   655,   596,   644,    76,
     595,   595,   595,   595,   596,     7,   595,   595,   595,   596,
     594,   595,     7,   595,   595,     7,   595,   595,   726,   595,
     870,   878,   184,   185,   186,   214,   233,   234,   237,   238,
     289,   598,   788,   789,   791,   792,   793,   879,   614,   285,
     887,   898,   896,   610,   610,   610,   613,   609,   613,   596,
     601,   967,   970,   598,   631,   960,   961,   598,   264,   385,
     444,   598,   953,   232,   289,   298,   429,   430,   431,   598,
     788,   956,   128,   484,   485,   488,   489,   598,  1004,  1000,
     999,  1013,  1019,   503,  1032,  1029,  1047,   593,   593,   108,
       6,    16,    17,   594,   598,   696,   698,   700,   702,   703,
     705,   708,   733,   736,   736,   593,   609,   652,   643,   651,
     654,   654,    36,   654,   654,    16,    35,   699,    35,   699,
     699,     7,   699,   593,   613,   597,   235,   236,   236,   610,
     609,   159,   194,   290,   291,   880,    25,    26,   594,   641,
     642,   720,   727,   597,   796,   593,   613,    48,    59,    64,
     175,   235,   236,   239,   289,   297,   298,   299,   310,   312,
     314,   598,   788,   897,   702,    64,   232,   235,   236,   239,
     240,   269,   284,   289,   292,   298,   303,   361,   385,   426,
     429,   430,   431,   437,   442,   452,   458,   598,   788,   958,
     444,   450,   962,   613,   609,   613,   593,   609,   159,   290,
     440,   609,   609,   324,   207,   609,   593,   613,   487,   487,
     613,   613,   593,    52,    92,   161,   228,   233,   240,   473,
     475,   476,   480,   481,   483,   490,   491,   501,   598,   995,
     487,   492,   598,  1011,   273,   487,   598,  1017,    26,   640,
     642,    48,   186,   235,   236,   239,   284,   289,   296,   299,
     337,   361,   429,   452,   469,   507,   508,   509,   510,   512,
     516,   598,   788,  1030,   520,   521,   526,   598,  1048,   731,
     691,   726,     7,   596,   599,   726,   595,   596,   609,   609,
     609,   609,   655,   655,   595,   595,   595,   596,   595,   594,
     595,   790,   791,   237,   237,   237,   196,   197,   194,   726,
      51,    86,   148,   187,   193,   212,   794,   609,   304,   300,
     301,   311,   609,   302,    68,    69,   223,   303,   776,   240,
     159,   308,   609,   237,   237,    59,    52,   233,   313,   385,
     315,   593,   432,   433,   434,   435,   436,   437,   438,   439,
     609,   302,    68,   303,   776,   240,   460,   597,   613,   159,
     290,   440,   434,   609,   609,   362,   609,   613,   609,   324,
     207,   609,   337,   459,   609,   125,   432,   593,   609,   593,
     609,   609,   609,   609,   472,   478,  1008,   129,   487,   129,
     478,   487,   324,   472,   479,   472,   613,   477,   244,   482,
     304,   288,   996,   288,   997,   502,   593,   486,   609,  1021,
    1009,  1012,   593,  1015,  1021,  1018,   593,   609,   613,   302,
      68,   303,   776,   240,   514,   613,   159,   196,   440,   515,
    1031,   609,   244,   614,   362,   244,   125,   371,   432,   244,
     244,   446,   609,   511,   513,   517,   593,   523,   522,   637,
    1049,   593,   595,   594,   698,   705,   691,   734,   593,   726,
      36,    36,   699,   699,   598,   593,   610,   610,   610,   196,
     197,   595,    25,   636,    51,   187,   609,   636,   194,   195,
     201,   202,   203,   204,   795,    51,   187,   598,   167,   168,
     609,   609,   609,   609,   609,   613,   309,   610,   610,   304,
     610,   610,   609,   609,   613,   447,   448,   609,   609,   609,
     613,   461,   963,   613,   236,   613,   609,   609,   613,   613,
     609,   613,   494,  1022,  1022,   237,   244,   495,   496,   497,
     998,   609,   998,   244,   609,   609,   237,   609,   474,   613,
     609,   609,   175,   613,  1014,   613,  1020,    64,   288,   609,
     609,   609,   609,   613,   613,   609,   236,   613,   610,   609,
     609,   609,   613,   613,   613,   613,   185,   185,   726,   111,
     595,   609,   609,   595,   596,   790,   593,   636,   636,   593,
     593,   196,   197,   198,   199,   200,   196,   197,   198,   199,
     200,   593,   636,   636,   796,   614,   614,   613,   613,   598,
     614,   965,   446,   613,   609,   609,  1022,   609,  1022,   609,
     613,   609,   609,   613,   446,   637,   637,   731,   593,   699,
     794,   593,   593,   794,   794,   794,   593,   593,   441,   964,
     503,   596,   794,   794,   794,   794,   593,   640,   699,   595
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   603,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   605,   605,   606,   606,   607,   607,   608,   609,   609,
     609,   610,   610,   610,   611,   611,   611,   612,   613,   613,
     613,   613,   613,   613,   614,   614,   614,   615,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   625,
     626,   626,   627,   627,   628,   628,   628,   628,   628,   628,
     629,   629,   630,   630,   631,   631,   632,   632,   633,   633,
     633,   633,   633,   634,   635,   635,   636,   637,   637,   638,
     638,   639,   639,   639,   639,   639,   640,   640,   641,   641,
     641,   642,   642,   642,   643,   643,   643,   643,   643,   643,
     643,   643,   644,   644,   645,   645,   645,   645,   645,   645,
     645,   645,   645,   645,   646,   647,   648,   649,   649,   650,
     650,   650,   650,   651,   651,   652,   652,   653,   653,   653,
     654,   654,   655,   655,   655,   655,   656,   656,   656,   657,
     657,   657,   657,   658,   658,   658,   658,   658,   659,   659,
     660,   660,   661,   662,   663,   664,   665,   666,   666,   667,
     668,   667,   669,   667,   670,   607,   672,   671,   607,   673,
     607,   674,   607,   675,   607,   676,   677,   677,   677,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,   677,   678,   678,   679,   679,   680,   680,
     681,   681,   682,   683,   684,   683,   685,   686,   607,   688,
     689,   687,   690,   690,   692,   691,   693,   693,   694,   695,
     695,   696,   696,   697,   697,   697,   697,   697,   697,   698,
     698,   698,   698,   699,   700,   700,   700,   700,   700,   700,
     700,   700,   700,   700,   701,   701,   701,   701,   702,   702,
     702,   703,   703,   703,   703,   703,   703,   703,   703,   704,
     704,   704,   704,   704,   705,   705,   705,   705,   705,   706,
     706,   707,   707,   708,   708,   709,   709,   709,   709,   710,
     710,   711,   711,   711,   712,   712,   713,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   715,   715,   715,   715,
     715,   715,   715,   715,   715,   715,   715,   715,   716,   716,
     716,   716,   717,   717,   717,   718,   719,   720,   721,   721,
     721,   721,   721,   721,   721,   721,   721,   721,   721,   721,
     721,   721,   723,   722,   724,   725,   724,   724,   724,   726,
     726,   726,   726,   726,   726,   726,   726,   726,   726,   726,
     726,   726,   726,   726,   726,   726,   726,   726,   726,   726,
     726,   726,   726,   726,   726,   726,   726,   726,   726,   726,
     726,   726,   726,   726,   726,   727,   728,   728,   728,   729,
     729,   730,   730,   731,   731,   731,   732,   733,   734,   731,
     731,   731,   731,   731,   731,   731,   731,   731,   731,   731,
     731,   735,   731,   731,   731,   736,   737,   737,   737,   607,
     738,   738,   739,   739,   739,   739,   607,   740,   607,   741,
     742,   742,   742,   742,   742,   742,   742,   742,   742,   743,
     743,   607,   744,   745,   746,   746,   747,   747,   747,   747,
     747,   747,   747,   748,   748,   749,   749,   607,   750,   750,
     751,   751,   751,   751,   752,   752,   752,   752,   752,   752,
     752,   752,   753,   754,   754,   754,   754,   754,   754,   754,
     754,   754,   755,   755,   756,   756,   757,   757,   758,   759,
     760,   761,   761,   761,   761,   762,   762,   762,   762,   762,
     763,   763,   607,   764,   764,   764,   764,   607,   765,   765,
     765,   765,   766,   766,   766,   766,   766,   766,   766,   766,
     767,   768,   769,   769,   770,   770,   771,   772,   772,   773,
     774,   775,   776,   776,   777,   778,   779,   779,   779,   779,
     779,   780,   781,   782,   782,   782,   783,   783,   784,   784,
     784,   784,   784,   784,   785,   785,   785,   786,   786,   787,
     787,   788,   789,   789,   790,   790,   791,   791,   792,   792,
     793,   794,   794,   794,   794,   794,   794,   794,   794,   794,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   796,   797,   797,   797,   797,   797,
     797,   797,   798,   798,   799,   667,   800,   667,   801,   667,
     802,   667,   803,   804,   804,   667,   805,   667,   806,   667,
     807,   808,   808,   808,   808,   808,   808,   808,   808,   808,
     808,   808,   808,   808,   808,   808,   808,   808,   808,   809,
     809,   809,   809,   809,   809,   809,   809,   810,   810,   810,
     810,   811,   811,   811,   811,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   813,   667,   814,   815,   815,
     815,   815,   815,   815,   815,   667,   816,   667,   817,   667,
     818,   667,   819,   667,   820,   667,   821,   667,   822,   667,
     823,   667,   824,   667,   825,   667,   826,   827,   827,   827,
     828,   828,   667,   829,   667,   830,   667,   831,   667,   832,
     667,   833,   667,   834,   667,   835,   836,   836,   667,   837,
     667,   838,   839,   839,   839,   840,   840,   840,   841,   841,
     841,   841,   607,   842,   843,   844,   845,   845,   846,   846,
     847,   848,   849,   850,   850,   851,   851,   852,   852,   853,
     854,   855,   856,   856,   856,   856,   857,   857,   857,   857,
     857,   857,   858,   858,   859,   859,   861,   860,   862,   862,
     862,   862,   667,   863,   777,   864,   865,   865,   865,   865,
     866,   865,   867,   867,   868,   869,   869,   870,   870,   870,
     870,   777,   871,   872,   872,   872,   872,   872,   872,   873,
     873,   874,   875,   875,   875,   875,   876,   876,   877,   878,
     879,   879,   879,   879,   879,   879,   879,   879,   880,   880,
     880,   880,   880,   880,   881,   881,   882,   882,   883,   884,
     885,   885,   885,   886,   886,   887,   887,   888,   667,   889,
     890,   890,   890,   890,   890,   890,   890,   890,   890,   890,
     777,   891,   892,   892,   892,   892,   893,   893,   894,   895,
     896,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   898,   898,   899,
     899,   900,   841,   667,   901,   667,   902,   667,   903,   667,
     904,   777,   905,   906,   906,   906,   907,   907,   907,   907,
     907,   908,   908,   909,   909,   910,   910,   910,   910,   910,
     910,   910,   910,   910,   911,   911,   911,   911,   911,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   913,   914,   912,   912,   912,   912,
     912,   915,   915,   915,   915,   915,   915,   915,   915,   915,
     915,   915,   915,   916,   917,   917,   917,   918,   918,   918,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   920,   920,   921,
     921,   922,   923,   841,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   674,   777,   924,
     925,   926,   927,   927,   927,   927,   927,   927,   927,   927,
     928,   928,   929,   930,   930,   777,   931,   932,   932,   932,
     932,   932,   932,   932,   932,   933,   933,   934,   667,   935,
     936,   936,   936,   936,   936,   936,   777,   937,   937,   937,
     938,   939,   939,   940,   940,   941,   942,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   944,   945,   946,   946,   947,   947,   947,   947,
     947,   947,   947,   947,   947,   948,   947,   949,   947,   947,
     947,   947,   950,   950,   951,   952,   952,   953,   953,   953,
     954,   954,   955,   955,   956,   956,   956,   956,   956,   956,
     956,   956,   956,   956,   956,   957,   958,   958,   958,   958,
     958,   958,   958,   958,   958,   958,   958,   958,   958,   958,
     958,   958,   958,   958,   958,   958,   958,   958,   958,   958,
     958,   958,   958,   958,   958,   958,   958,   958,   958,   958,
     958,   958,   958,   958,   958,   959,   959,   960,   961,   962,
     962,   962,   963,   963,   964,   964,   965,   966,   967,   967,
     969,   968,   970,   970,   971,   971,   972,   841,   841,   841,
     841,   667,   973,   667,   974,   667,   975,   667,   976,   667,
     977,   667,   978,   667,   979,   667,   980,   981,   981,   981,
     981,   981,   981,   981,   981,   981,   777,   982,   983,   983,
     983,   984,   984,   984,   984,   984,   984,   984,   984,   984,
     984,   777,   986,   985,   987,   987,   987,   987,   777,   988,
     989,   989,   989,   989,   990,   989,   991,   989,   989,   989,
     989,   992,   992,   993,   994,   995,   995,   995,   995,   995,
     995,   995,   995,   995,   995,   995,   995,   995,   995,   995,
     995,   995,   996,   995,   997,   995,   995,   995,   995,   995,
     998,   998,   998,   999,  1000,  1000,  1001,  1001,  1002,  1003,
    1004,  1004,  1004,  1004,  1004,  1005,  1006,  1006,  1007,  1007,
    1008,  1009,  1010,  1011,  1011,  1011,  1012,  1013,  1013,  1014,
    1014,  1015,  1016,  1017,  1017,  1017,  1018,  1019,  1019,  1020,
    1020,  1021,  1021,  1022,  1022,   841,   841,   777,  1023,  1023,
    1024,  1025,  1025,  1025,  1025,  1025,  1025,  1026,  1026,  1027,
    1028,  1029,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,
    1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,
    1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1031,
    1031,  1031,  1031,  1032,  1032,  1033,  1033,  1034,   841,   841,
     667,  1035,   667,  1036,   777,  1037,  1038,  1039,  1039,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1041,  1041,  1042,  1043,  1044,  1044,  1045,  1046,  1047,  1047,
    1048,  1048,  1048,  1049,   777,  1050,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1053,  1053,  1054,  1054,  1056,  1055,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1058,  1059,  1059,  1060,  1060,
     667,  1061,  1062,  1063,  1063,  1063,   841,   841,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   607,   607,  1064,  1065,  1066,  1066,  1067,
    1067,  1068,  1068,  1068,  1068,  1069,  1070,  1070,  1071,  1071,
    1072,  1072,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,   607,  1074,  1074,   607,  1075,  1075,  1075,  1075,   667,
    1076,   667,  1077,   667,  1078,   667,  1079,   667,  1080,   667,
    1081,   667,  1082,   667,  1083,  1084,  1084,  1085,  1085,  1085,
     777,  1086,  1062,  1062,  1087,  1087,  1088,  1088,  1089,  1089,
    1090,  1090,  1090,  1090,  1090,  1090,  1090,   777,  1091,  1092,
    1092,  1093,  1093,  1093,  1094,  1095,  1096,  1096,  1097,  1097,
    1098,   841,   841
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     2,     0,     2,     1,     1,     5,     1,     3,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     0,     2,     2,
       2,     3,     7,     2,     2,     5,     5,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     2,     1,     1,     1,     2,
       4,     1,     3,     1,     3,     1,     3,     4,     6,     6,
       0,     1,     1,     1,     1,     1,     2,     4,     4,     2,
       2,     2,     2,     2,     4,     2,     2,     2,     0,     3,
       0,     3,     0,     0,     0,     6,     6,     1,     1,     1,
       2,     1,     2,     1,     2,     1,     0,     4,     1,     2,
       1,     4,     1,     6,     1,     8,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     0,     4,     2,     5,     0,     4,
       0,     2,     1,     1,     0,     2,     2,     4,     1,     0,
       0,     7,     0,     1,     0,     2,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     1,     3,     1,     1,
       3,     1,     1,     1,     5,     7,     5,     7,     9,     7,
       5,     7,     5,    11,     1,     1,     2,     1,     7,     9,
       7,     7,     9,     7,     9,     7,     9,     7,    15,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     2,     2,     6,     1,
       3,     0,     4,     3,     1,     3,     3,     2,     4,     3,
       4,     2,     2,     2,     2,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     1,     5,     7,
       7,     1,     0,     1,     3,     1,     4,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     4,     1,     0,     5,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     4,     1,     1,     1,     1,
       1,     1,     3,     3,     5,     7,     6,     6,     6,     6,
       4,     8,     4,     1,     1,     4,     1,     1,     1,     5,
       3,     2,     1,     3,     4,     6,     0,     0,     0,     9,
       4,     3,     4,     4,     5,     5,     3,     3,     3,     2,
       5,     0,     5,     7,     9,     0,     1,     1,     1,     1,
       4,     5,     1,     3,     1,     1,     1,     3,     1,     5,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     3,     0,     1,     2,     2,     2,     4,
       4,     3,     3,     0,     3,     0,     3,     1,     1,     1,
       0,     1,     2,     3,     0,     2,     2,     2,     3,     2,
       2,     2,     1,     2,     2,     2,     3,     3,     3,     2,
       4,     3,     1,     2,     0,     3,     0,     3,     0,     3,
       1,     2,     1,     1,     1,     0,     2,     2,     2,     2,
       2,     1,     1,     3,     3,     3,     3,     1,     1,     1,
       1,     1,     2,     4,     3,     4,     4,     3,     4,     4,
       3,     0,     1,     2,     0,     1,     3,     1,     3,     1,
       0,     2,     2,     2,     2,     2,     3,     3,     3,     3,
       5,     0,     3,     1,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     3,     1,
       1,     1,     4,     1,     0,     3,     5,     2,     1,     1,
       2,     0,     5,     5,     5,     5,     4,     4,     4,     4,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       1,     1,     1,     1,     0,     2,     4,     4,     4,     2,
       2,     1,     0,     3,     3,     1,     3,     1,     3,     1,
       4,     1,     5,     1,     0,     1,     3,     1,     4,     1,
       4,     0,     2,     3,     3,     3,     3,     4,     4,     3,
       2,     2,     2,     2,     3,     3,     3,     2,     2,     1,
       1,     1,     1,     2,     2,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     4,     0,     2,
       2,     2,     2,     2,     2,     1,     3,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     3,     1,
       3,     1,     4,     1,     3,     1,     4,     1,     1,     3,
       0,     1,     1,     4,     1,     4,     1,     4,     1,     3,
       1,     4,     1,     4,     1,     3,     2,     2,     1,     4,
       1,     2,     1,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     1,     0,     3,     0,     3,
       0,     3,     3,     2,     2,     0,     3,     0,     3,     0,
       3,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       3,     3,     0,     3,     0,     3,     0,     2,     0,     2,
       2,     2,     1,     5,     1,     2,     1,     1,     3,     3,
       0,     4,     0,     3,     5,     1,     3,     3,     1,     1,
       1,     1,     2,     1,     2,     2,     2,     2,     3,     0,
       3,     5,     1,     1,     1,     1,     0,     2,     0,     0,
       2,     4,     4,     4,     2,     2,     2,     1,     1,     1,
       2,     2,     3,     3,     0,     3,     0,     3,     4,     3,
       0,     2,     2,     0,     2,     0,     2,     4,     1,     5,
       0,     2,     3,     3,     3,     2,     2,     2,     2,     2,
       1,     2,     1,     1,     2,     4,     0,     3,     5,     0,
       0,     0,     2,     2,     2,     2,     2,     2,     3,     3,
       3,     3,     2,     3,     3,     4,     4,     4,     2,     2,
       3,     3,     3,     3,     3,     3,     1,     0,     3,     0,
       3,     4,     1,     1,     6,     1,     6,     1,     6,     1,
       6,     2,     2,     0,     3,     3,     0,     3,     3,     2,
       2,     1,     3,     1,     3,     1,     3,     2,     2,     2,
       2,     2,     2,     3,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     4,     6,     4,     6,     6,     4,     6,
       5,     5,     4,     5,     5,     6,     6,     3,     3,     4,
       5,     6,     5,     5,     5,     5,     5,     5,     5,     5,
       5,     5,     6,     6,     6,     5,     6,     6,     6,     8,
       6,     6,     6,     7,     5,     6,     5,     6,     7,     5,
       6,     5,     6,     8,     4,     4,     4,     4,     5,     5,
       6,     5,     5,     6,     5,     5,     6,     7,     7,     7,
       5,     5,     4,     4,     0,     0,     6,     6,     5,     5,
       5,     1,     1,     2,     2,     2,     2,     2,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     4,     4,     4,     2,     3,     2,     2,     2,
       2,     3,     5,     5,     4,     5,     3,     3,     3,     4,
       3,     3,     2,     2,     2,     3,     3,     0,     3,     0,
       3,     0,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     6,     1,     1,
       3,     2,     1,     1,     1,     2,     3,     3,     3,     3,
       0,     3,     5,     1,     3,     1,     2,     1,     2,     2,
       2,     1,     2,     2,     4,     0,     3,     5,     1,     4,
       0,     3,     3,     3,     2,     3,     2,     1,     2,     2,
       2,     3,     3,     0,     1,     2,     3,     1,     1,     2,
       2,     3,     3,     3,     3,     4,     2,     4,     3,     2,
       3,     1,     2,     4,     0,     3,     2,     1,     2,     3,
       3,     3,     3,     2,     3,     0,     5,     0,     5,     2,
       2,     1,     4,     1,     1,     0,     3,     2,     2,     2,
       5,     2,     0,     3,     0,     2,     2,     3,     2,     2,
       3,     2,     2,     2,     1,     3,     2,     2,     2,     2,
       2,     2,     3,     2,     2,     2,     2,     2,     2,     2,
       2,     3,     3,     3,     3,     2,     3,     2,     3,     3,
       4,     4,     2,     2,     2,     3,     3,     3,     2,     3,
       3,     3,     4,     2,     1,     0,     2,     3,     1,     0,
       1,     2,     0,     2,     0,     1,     3,     0,     0,     2,
       0,     3,     0,     3,     0,     3,     3,     1,     1,     1,
       1,     1,     4,     1,     6,     1,     6,     1,     6,     1,
       7,     1,     6,     1,     7,     1,     5,     0,     2,     3,
       2,     3,     3,     2,     3,     2,     2,     2,     3,     3,
       3,     1,     3,     3,     2,     3,     3,     2,     2,     2,
       2,     2,     0,     4,     2,     3,     3,     5,     1,     2,
       1,     1,     2,     2,     0,     3,     0,     3,     6,     2,
       3,     0,     3,     5,     0,     4,     4,     3,     4,     2,
       3,     3,     3,     3,     4,     4,     4,     3,     3,     4,
       4,     2,     0,     3,     0,     3,     6,     3,     3,     4,
       1,     1,     1,     0,     0,     3,     0,     3,     4,     1,
       2,     2,     2,     4,     4,     0,     0,     3,     0,     3,
       3,     1,     0,     0,     2,     2,     0,     0,     3,     1,
       5,     1,     0,     0,     2,     2,     0,     0,     3,     1,
       5,     1,     2,     0,     2,     1,     1,     1,     1,     2,
       2,     1,     1,     2,     4,     2,     2,     0,     3,     5,
       0,     0,     2,     2,     2,     2,     2,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     3,     3,     4,     3,     2,     2,     1,     1,
       1,     1,     1,     0,     3,     0,     3,     4,     1,     1,
       1,     6,     1,     6,     1,     2,     5,     0,     3,     1,
       1,     2,     3,     1,     3,     2,     3,     3,     3,     4,
       0,     1,     2,     1,     2,     6,     0,     0,     0,     3,
       4,     4,     2,     0,     2,     2,     3,     3,     3,     3,
       5,     5,     4,     3,     2,     3,     3,     3,     3,     3,
       1,     2,     0,     2,     0,     4,     2,     3,     5,     1,
       2,     2,     2,     2,     2,     1,     0,     2,     0,     3,
       1,     4,     3,     3,     2,     4,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     0,     5,     2,     0,     0,
       2,     2,     2,     1,     3,     1,     0,     2,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     3,     1,     3,     4,     3,     3,     1,
       4,     1,     5,     1,     3,     1,     3,     1,     3,     1,
       4,     1,     2,     1,     3,     0,     1,     0,     1,     2,
       2,     2,     3,     3,     1,     1,     0,     2,     1,     1,
       1,     1,     2,     3,     2,     3,     4,     2,     2,     3,
       3,     1,     2,     3,     0,     2,     0,     3,     0,     3,
       3,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      YY_LAC_DISCARD ("YYBACKUP");                              \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return 1 if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYSIZE_T *yycapacity, YYSIZE_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yytype_int16 **yybottom,
                      yytype_int16 *yybottom_no_free,
                      yytype_int16 **yytop, yytype_int16 *yytop_empty)
{
  YYSIZE_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYSIZE_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYSIZE_T yyalloc = 2 * yysize_new;
      yytype_int16 *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        (yytype_int16*) YYSTACK_ALLOC (yyalloc * sizeof *yybottom_new);
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                         \
do {                                                             \
  if (!yy_lac_established)                                       \
    {                                                            \
      YYDPRINTF ((stderr,                                        \
                  "LAC: initial context established for %s\n",   \
                  yytname[yytoken]));                            \
      yy_lac_established = 1;                                    \
      {                                                          \
        int yy_lac_status =                                      \
          yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken); \
        if (yy_lac_status == 2)                                  \
          goto yyexhaustedlab;                                   \
        if (yy_lac_status == 1)                                  \
          goto yyerrlab;                                         \
      }                                                          \
    }                                                            \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      if (yydebug)                                                       \
        YYFPRINTF (stderr, "LAC: initial context discarded due to "      \
                   Event "\n");                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return 2 if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yytype_int16 *yyesa, yytype_int16 **yyes,
        YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  yytype_int16 *yyes_prev = yyssp;
  yytype_int16 *yyesp = yyes_prev;
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yytname[yytoken]));
  if (yytoken == YYUNDEFTOK)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          yyrule = yydefact[*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      {
        YYSIZE_T yylen = yyr2[yyrule];
        YYDPRINTF ((stderr, " R%d", yyrule - 1));
        if (yyesp != yyes_prev)
          {
            YYSIZE_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yylen -= yysize;
                yyesp = yyes_prev;
              }
          }
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      {
        int yystate;
        {
          int yylhs = yyr1[yyrule] - YYNTOKENS;
          yystate = yypgoto[yylhs] + *yyesp;
          if (yystate < 0 || YYLAST < yystate
              || yycheck[yystate] != *yyesp)
            yystate = yydefgoto[yylhs];
          else
            yystate = yytable[yystate];
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            *yyesp = yystate;
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return 2;
              }
            *++yyesp = yystate;
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store or if
   yy_lac returned 2.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyesa, yytype_int16 **yyes,
                YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          int yyx;

          for (yyx = 0; yyx < YYNTOKENS; ++yyx)
            if (yyx != YYTERROR && yyx != YYUNDEFTOK)
              {
                {
                  int yy_lac_status = yy_lac (yyesa, yyes, yyes_capacity,
                                              yyssp, yyx);
                  if (yy_lac_status == 2)
                    return 2;
                  if (yy_lac_status == 1)
                    continue;
                }
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
# if YYDEBUG
      else if (yydebug)
        YYFPRINTF (stderr, "No expected tokens.\n");
# endif
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

    yytype_int16 yyesa[20];
    yytype_int16 *yyes;
    YYSIZE_T yyes_capacity;

  int yy_lac_established = 0;
  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  yyes = yyesa;
  yyes_capacity = sizeof yyesa / sizeof *yyes;
  if (YYMAXDEPTH < yyes_capacity)
    yyes_capacity = YYMAXDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
          case 551:
#line 147 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 7531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 552:
#line 148 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 7537 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 557:
#line 164 "conf/confbase.Y" /* yacc.c:1646  */
    {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     *val = cf_eval((yyvsp[-1].x), T_VOID);
     cf_define_symbol(new_config, (yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 7547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 559:
#line 173 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = cf_eval_int((yyvsp[-1].x)); }
#line 7553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 560:
#line 174 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 7561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 561:
#line 180 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) S_; }
#line 7567 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 562:
#line 181 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 7573 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 563:
#line 182 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) US_; }
#line 7579 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 568:
#line 191 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = !!(yyvsp[0].i); }
#line 7585 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 569:
#line 192 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7591 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 570:
#line 193 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 571:
#line 194 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7603 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 572:
#line 195 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 573:
#line 196 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7615 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 574:
#line 203 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 7621 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 575:
#line 204 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 7627 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 576:
#line 205 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 7636 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 577:
#line 212 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 7642 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 578:
#line 213 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 7648 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 579:
#line 220 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 7657 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 580:
#line 227 "conf/confbase.Y" /* yacc.c:1646  */
    {
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 7670 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 581:
#line 237 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 7686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 582:
#line 250 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 7708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 583:
#line 269 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 7717 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 584:
#line 275 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 7726 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 585:
#line 281 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 7737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 586:
#line 289 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 7748 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 587:
#line 297 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_mpls));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 7757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 594:
#line 307 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 7763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 601:
#line 320 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 7773 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 603:
#line 329 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 7783 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 605:
#line 338 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 7793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 607:
#line 347 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 7803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 610:
#line 357 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 7809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 611:
#line 358 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 7815 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 612:
#line 359 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 7828 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 613:
#line 370 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 7838 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 615:
#line 378 "conf/confbase.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 7849 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 616:
#line 387 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 7859 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 618:
#line 396 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 7868 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 620:
#line 404 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 7874 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 621:
#line 408 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 7880 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 622:
#line 409 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 7886 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 623:
#line 410 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 7892 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 624:
#line 411 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_STRING)) ||
	 ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)))
       (yyval.v) = *((yyvsp[0].s)->val);
     else
       cf_error("String or IP constant expected");
   }
#line 7904 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 625:
#line 418 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 7914 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 627:
#line 427 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.bs) = cf_eval((yyvsp[0].x), T_BYTESTRING).val.bs; }
#line 7920 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 628:
#line 431 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_BYTESTRING; (yyval.v).val.bs = (yyvsp[0].bs); }
#line 7926 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 629:
#line 432 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 7932 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 630:
#line 433 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.v) = cf_eval((yyvsp[0].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 7942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 633:
#line 443 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7948 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 634:
#line 37 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_TRUE; }
#line 7954 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 635:
#line 38 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_EQ;  }
#line 7960 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 636:
#line 39 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_NEQ; }
#line 7966 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 637:
#line 40 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LT;  }
#line 7972 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 638:
#line 41 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LEQ; }
#line 7978 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 639:
#line 42 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GT;  }
#line 7984 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 640:
#line 43 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GEQ; }
#line 7990 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 641:
#line 44 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_FALSE; }
#line 7996 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 642:
#line 48 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_OR; }
#line 8002 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 643:
#line 49 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_AND; }
#line 8008 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 644:
#line 53 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 8014 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 645:
#line 54 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 8020 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 646:
#line 55 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PORT; }
#line 8026 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 647:
#line 56 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 8032 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 648:
#line 57 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 8038 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 649:
#line 58 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 8044 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 650:
#line 59 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 8050 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 651:
#line 60 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 8056 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 652:
#line 61 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 8062 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 653:
#line 62 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 8068 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 654:
#line 65 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 8074 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 655:
#line 66 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 8080 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 656:
#line 67 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 8086 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 657:
#line 70 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 8092 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 658:
#line 71 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 8098 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 659:
#line 75 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 660:
#line 79 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8116 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 663:
#line 88 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 8125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 664:
#line 92 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 8136 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 667:
#line 106 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8145 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 668:
#line 110 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 669:
#line 114 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 8163 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 670:
#line 121 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x00; }
#line 8169 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 671:
#line 122 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x02; }
#line 8175 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 672:
#line 126 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 1; }
#line 8181 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 673:
#line 127 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 2; }
#line 8187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 674:
#line 128 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 4; }
#line 8193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 675:
#line 129 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 8; }
#line 8199 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 676:
#line 133 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8207 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 677:
#line 136 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 678:
#line 139 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 8223 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 679:
#line 145 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 8232 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 683:
#line 155 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 8241 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 684:
#line 159 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 8252 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 692:
#line 181 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  if (this_flow == NULL)
    this_flow = flow_builder_init(config_pool);	  /* FIXME: This should be allocated from tmp in future */
  else
    flow_builder_clear(this_flow);
}
#line 8263 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 693:
#line 188 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 0; }
#line 8269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 694:
#line 189 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 1; }
#line 8275 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 695:
#line 192 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 8284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 696:
#line 198 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 8293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 706:
#line 402 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyvsp[0].s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FILTER, filter, NULL);
     cf_push_scope( new_config, (yyvsp[0].s) );
     this_function = NULL;
   }
#line 8303 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 707:
#line 406 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope(new_config);
   }
#line 8315 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 709:
#line 417 "filter/config.Y" /* yacc.c:1646  */
    { cf_eval_int((yyvsp[0].x)); }
#line 8321 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 711:
#line 421 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 8329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 713:
#line 427 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 8343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 715:
#line 440 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 8359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 716:
#line 454 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_INT; }
#line 8365 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 717:
#line 455 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_BOOL; }
#line 8371 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 718:
#line 456 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_IP; }
#line 8377 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 719:
#line 457 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_RD; }
#line 8383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 720:
#line 458 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_NET; }
#line 8389 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 721:
#line 459 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PAIR; }
#line 8395 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 722:
#line 460 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_QUAD; }
#line 8401 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 723:
#line 461 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_EC; }
#line 8407 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 724:
#line 462 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LC; }
#line 8413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 725:
#line 463 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_STRING; }
#line 8419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 726:
#line 464 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_BYTESTRING; }
#line 8425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 727:
#line 465 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH_MASK; }
#line 8431 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 728:
#line 466 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH; }
#line 8437 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 729:
#line 467 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_CLIST; }
#line 8443 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 730:
#line 468 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_ECLIST; }
#line 8449 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 731:
#line 469 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LCLIST; }
#line 8455 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 732:
#line 470 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_ROUTE; }
#line 8461 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 733:
#line 471 "filter/config.Y" /* yacc.c:1646  */
    {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 8486 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 734:
#line 494 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fa) = NULL; }
#line 8492 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 735:
#line 495 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 8503 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 736:
#line 504 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fa) = NULL; }
#line 8509 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 737:
#line 505 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 8519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 738:
#line 513 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 739:
#line 514 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 8534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 740:
#line 521 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_VOID; }
#line 8540 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 741:
#line 522 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 8546 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 743:
#line 528 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 8555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 744:
#line 532 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_push_scope(new_config, NULL);
     this_function = NULL;
   }
#line 8564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 745:
#line 535 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;

     cf_pop_scope(new_config);
   }
#line 8576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 746:
#line 545 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 8585 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 747:
#line 552 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.fl) = f_linearize((yyvsp[-1].x), 0);
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 8594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 749:
#line 561 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     this_function = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope(new_config, this_function);
   }
#line 8604 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 750:
#line 565 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Make dummy f_line for storing function prototype */
     struct f_line *dummy = cfg_allocz(sizeof(struct f_line));
     this_function->function = dummy;

     dummy->return_type = (yyvsp[0].i);

     /* Revert the args */
     while ((yyvsp[-1].fa)) {
       struct f_arg *tmp = (yyvsp[-1].fa);
       (yyvsp[-1].fa) = (yyvsp[-1].fa)->next;

       tmp->next = dummy->arg_list;
       dummy->arg_list = tmp;
       dummy->args++;
     }
   }
#line 8626 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 751:
#line 581 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyvsp[0].fl)->args = this_function->function->args;
     (yyvsp[0].fl)->arg_list = this_function->function->arg_list;
     (yyvsp[0].fl)->return_type = this_function->function->return_type;
     (yyvsp[-5].s)->function = (yyvsp[0].fl);
     cf_pop_scope(new_config);
   }
#line 8638 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 752:
#line 592 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 8644 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 753:
#line 593 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].xp).begin; }
#line 8650 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 754:
#line 596 "filter/config.Y" /* yacc.c:1646  */
    { cf_push_soft_scope(new_config); }
#line 8656 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 755:
#line 596 "filter/config.Y" /* yacc.c:1646  */
    { cf_pop_soft_scope(new_config); (yyval.x) = (yyvsp[0].x); }
#line 8662 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 758:
#line 600 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 8673 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 760:
#line 609 "filter/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 8689 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 761:
#line 626 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 762:
#line 627 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 8701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 763:
#line 640 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 8707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 764:
#line 641 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 8713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 765:
#line 642 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 8719 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 766:
#line 643 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 8725 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 767:
#line 644 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 8734 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 768:
#line 648 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 8744 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 769:
#line 656 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 8750 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 770:
#line 657 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = cf_eval((yyvsp[-1].x), T_INT); }
#line 8756 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 771:
#line 658 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 8762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 772:
#line 659 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 8768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 773:
#line 663 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = cf_eval_int((yyvsp[0].x)); }
#line 8774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 774:
#line 666 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 8780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 775:
#line 667 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 8786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 776:
#line 668 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 8792 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 777:
#line 669 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 8798 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 778:
#line 670 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 8804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 779:
#line 671 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 8810 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 780:
#line 672 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 8816 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 781:
#line 673 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 8822 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 782:
#line 674 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 8828 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 783:
#line 676 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 8834 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 784:
#line 680 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RT; }
#line 8840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 785:
#line 681 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RO; }
#line 8846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 786:
#line 682 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = (yyvsp[0].i); }
#line 8852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 787:
#line 683 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_GENERIC; }
#line 8858 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 788:
#line 687 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 8864 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 789:
#line 688 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 8870 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 790:
#line 689 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 8876 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 791:
#line 693 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 8882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 792:
#line 694 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 8888 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 793:
#line 695 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 8894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 794:
#line 696 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 8900 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 795:
#line 697 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 8906 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 796:
#line 698 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 8912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 797:
#line 699 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 8918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 798:
#line 701 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 8924 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 802:
#line 708 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 8930 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 803:
#line 709 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 8936 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 807:
#line 716 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 8942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 808:
#line 717 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 8948 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 810:
#line 722 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 8954 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 812:
#line 727 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 8960 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 814:
#line 732 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 8966 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 815:
#line 736 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 8972 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 816:
#line 737 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 8978 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 817:
#line 738 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 8984 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 818:
#line 739 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 8994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 819:
#line 747 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 9000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 820:
#line 748 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 9006 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 821:
#line 751 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = NULL; }
#line 9012 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 822:
#line 752 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 9024 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 823:
#line 759 "filter/config.Y" /* yacc.c:1646  */
    {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 9036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 824:
#line 769 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 825:
#line 770 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 9048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 826:
#line 774 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 9054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 827:
#line 778 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 9060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 828:
#line 779 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9066 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 829:
#line 780 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = NULL, .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9072 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 830:
#line 781 "filter/config.Y" /* yacc.c:1646  */
    {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 9081 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 831:
#line 785 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9087 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 832:
#line 786 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9093 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 833:
#line 787 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9099 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 834:
#line 788 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 9105 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 835:
#line 789 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 9111 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 836:
#line 793 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 9117 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 837:
#line 794 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 9123 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 838:
#line 795 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 9129 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 839:
#line 796 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 9135 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 840:
#line 797 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BYTESTRING, .val.bs = (yyvsp[0].bs), }); }
#line 9141 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 841:
#line 798 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 9147 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 842:
#line 799 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 9153 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 843:
#line 800 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 9159 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 844:
#line 801 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = NULL, }); }
#line 9165 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 845:
#line 802 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 9175 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 846:
#line 807 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 9181 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 847:
#line 808 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 9187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 848:
#line 812 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 849:
#line 813 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 9199 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 850:
#line 814 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9205 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 851:
#line 815 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 9211 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 852:
#line 821 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 9217 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 853:
#line 822 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9223 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 854:
#line 823 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 9229 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 855:
#line 827 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = NULL;

     /* Revert the var_list_r */
     while ((yyvsp[0].x)) {
       struct f_inst *tmp = (yyvsp[0].x);
       (yyvsp[0].x) = (yyvsp[0].x)->next;

       tmp->next = (yyval.x);
       (yyval.x) = tmp;
     }
   }
#line 9246 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 856:
#line 843 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     (yyval.x) = f_new_inst(FI_CALL, (yyvsp[-1].x), (yyvsp[-3].s));
   }
#line 9257 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 857:
#line 852 "filter/config.Y" /* yacc.c:1646  */
    {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 9277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 858:
#line 870 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 9283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 859:
#line 871 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 9289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 860:
#line 872 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 9295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 861:
#line 873 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 9301 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 862:
#line 874 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 9307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 863:
#line 875 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 9313 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 864:
#line 876 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 9319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 865:
#line 877 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 9325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 866:
#line 878 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 9331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 867:
#line 879 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 9337 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 868:
#line 880 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,	  SA_PREF,	0); }
#line 9343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 869:
#line 881 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 9349 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 870:
#line 882 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_CLIST, SA_GW_MPLS_STACK,	0); }
#line 9355 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 871:
#line 883 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_BOOL,       SA_ONLINK,	0); }
#line 9361 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 872:
#line 886 "filter/config.Y" /* yacc.c:1646  */
    { f_method_call_start((yyvsp[-1].x)); }
#line 9367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 873:
#line 886 "filter/config.Y" /* yacc.c:1646  */
    { f_method_call_end(); (yyval.x) = (yyvsp[0].x); }
#line 9373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 874:
#line 888 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_dispatch_method((yyvsp[0].s), FM.object, NULL, 1);
   }
#line 9381 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 875:
#line 891 "filter/config.Y" /* yacc.c:1646  */
    {
     f_method_call_args();
   }
#line 9389 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 876:
#line 893 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_dispatch_method((yyvsp[-4].s), FM.object, (yyvsp[-1].x), 1);
   }
#line 9397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 877:
#line 896 "filter/config.Y" /* yacc.c:1646  */
    {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_RTA_GET, FM.object, (yyvsp[0].fsa));
   }
#line 9407 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 878:
#line 901 "filter/config.Y" /* yacc.c:1646  */
    {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_EA_GET, FM.object, (yyvsp[0].fda));
   }
#line 9417 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 879:
#line 909 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 9423 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 880:
#line 910 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9429 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 881:
#line 911 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9435 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 882:
#line 912 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9441 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 883:
#line 913 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9447 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 884:
#line 914 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9453 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 885:
#line 915 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9459 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 886:
#line 916 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9465 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 887:
#line 917 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9471 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 888:
#line 918 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9477 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 889:
#line 919 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9483 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 890:
#line 920 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 9489 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 891:
#line 921 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 9495 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 892:
#line 922 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 893:
#line 923 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 894:
#line 924 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 9513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 895:
#line 925 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 9519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 896:
#line 927 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 897:
#line 928 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 898:
#line 929 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9537 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 899:
#line 931 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_RTA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fsa)); }
#line 9543 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 900:
#line 933 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fda)); }
#line 9549 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 902:
#line 937 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_PATH)); }
#line 9555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 903:
#line 938 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_CLIST)); }
#line 9561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 904:
#line 939 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_ECLIST)); }
#line 9567 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 905:
#line 940 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_LCLIST)); }
#line 9573 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 906:
#line 942 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("prepend", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9579 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 907:
#line 943 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("add", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9585 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 908:
#line 944 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("delete", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9591 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 909:
#line 945 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("filter", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 910:
#line 947 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 9603 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 911:
#line 948 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 9609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 912:
#line 950 "filter/config.Y" /* yacc.c:1646  */
    {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 9615 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 915:
#line 957 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_FROM_HEX, (yyvsp[-1].x)); }
#line 9621 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 916:
#line 961 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ACCEPT; }
#line 9627 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 917:
#line 962 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_REJECT; }
#line 9633 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 918:
#line 963 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ERROR; }
#line 9639 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 919:
#line 967 "filter/config.Y" /* yacc.c:1646  */
    {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-3].s), SYM_VARIABLE | (yyvsp[-4].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT, (yyvsp[-1].x), sym);
   }
#line 9648 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 920:
#line 971 "filter/config.Y" /* yacc.c:1646  */
    {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT0, sym);
   }
#line 9657 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 921:
#line 978 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), offset, f_new_var(sym_->scope)); }
#line 9663 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 922:
#line 979 "filter/config.Y" /* yacc.c:1646  */
    { cf_error("Use of a pre-defined variable in for loop is not allowed"); }
#line 9669 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 923:
#line 983 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = (yyvsp[-1].x);
   }
#line 9677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 924:
#line 986 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 9685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 925:
#line 989 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 9693 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 926:
#line 992 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Reserve space for walk data on stack */
     cf_push_block_scope(new_config);
     new_config->current_scope->slots += 2;
   }
#line 9703 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 927:
#line 998 "filter/config.Y" /* yacc.c:1646  */
    { this_for_scope = new_config->current_scope; new_config->current_scope = this_for_scope->next; }
#line 9709 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 928:
#line 1000 "filter/config.Y" /* yacc.c:1646  */
    { new_config->current_scope = this_for_scope; this_for_scope = NULL; }
#line 9715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 929:
#line 1001 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_pop_block_scope(new_config);
     (yyval.x) = f_for_cycle((yyvsp[-6].s), (yyvsp[-3].x), (yyvsp[0].x));
   }
#line 9724 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 930:
#line 1005 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 9741 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 931:
#line 1017 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Ook, we'll return the value\n" );
     if (!this_function)
       cf_error("Can't return from a non-function, use accept or reject instead.");
     if (this_function->function->return_type == T_VOID)
     {
       if ((yyvsp[-1].x)->type != T_VOID)
	 cf_warn("Inferring function %s return type from its return value: %s", this_function->name, f_type_name((yyvsp[-1].x)->type));
       ((struct f_line *) this_function->function)->return_type = (yyvsp[-1].x)->type;
     }
     else if (this_function->function->return_type != (yyvsp[-1].x)->type)
       cf_error("Can't return type %s from function %s, expected %s",
		f_type_name((yyvsp[-1].x)->type), this_function->name, f_type_name(this_function->function->return_type));

     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 9762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 932:
#line 1033 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 9770 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 933:
#line 1036 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 9780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 934:
#line 1041 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 9788 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 935:
#line 1044 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[-2].s)->class) {
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_UNSET, *(yyvsp[-2].s)->attribute);
	 break;
       default:
	 cf_error("Can't unset symbol %s", (yyvsp[-2].s)->name);
     }
 }
#line 9802 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 936:
#line 1053 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_print((yyvsp[-1].x), !!(yyvsp[-1].x), (yyvsp[-2].fret));
   }
#line 9810 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 937:
#line 1056 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_print((yyvsp[-1].x), 1, F_NOP);
   }
#line 9818 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 938:
#line 1059 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_print((yyvsp[-1].x), 0, F_NOP);
   }
#line 9826 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 939:
#line 1062 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 9832 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 940:
#line 1063 "filter/config.Y" /* yacc.c:1646  */
    {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), (yyvsp[-1].e));
   }
#line 9840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 941:
#line 1066 "filter/config.Y" /* yacc.c:1646  */
    {
     f_method_call_start(f_lval_getter(&(yyvsp[-1].flv)));
   }
#line 9848 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 942:
#line 1068 "filter/config.Y" /* yacc.c:1646  */
    {
     f_method_call_end();
     (yyval.x) = f_lval_setter(&(yyvsp[-4].flv), (yyvsp[-1].x));
   }
#line 9857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 943:
#line 1072 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 9863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 944:
#line 1073 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 9869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 945:
#line 1077 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.t) = cf_text;
}
#line 9877 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 946:
#line 1082 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[0].s)->class)
     {
       case SYM_VARIABLE_RANGE:
	 (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s), .rte = f_const_empty(T_ROUTE) };
         break;
       case SYM_ATTRIBUTE:
         (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = *((yyvsp[0].s)->attribute), .rte = f_const_empty(T_ROUTE) };
	 break;
       default:
	 cf_error("Variable name or custom attribute name required");
     }
   }
#line 9895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 947:
#line 1095 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa), .rte = f_const_empty(T_ROUTE) }; }
#line 9901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 948:
#line 1096 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda), .rte = f_const_empty(T_ROUTE) }; }
#line 9907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 950:
#line 166 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id = (yyvsp[-1].i32); }
#line 9913 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 951:
#line 167 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id_from = this_ipatt; }
#line 9919 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 952:
#line 171 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = (yyvsp[0].i); }
#line 9925 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 953:
#line 172 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = cf_eval_int((yyvsp[-1].x)); }
#line 9931 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 954:
#line 173 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 9937 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 955:
#line 174 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 9950 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 957:
#line 186 "nest/config.Y" /* yacc.c:1646  */
    { new_config->hostname = (yyvsp[-1].t); }
#line 9956 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 959:
#line 190 "nest/config.Y" /* yacc.c:1646  */
    { new_config->gr_wait = (yyvsp[-1].i); }
#line 9962 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 960:
#line 196 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP4; }
#line 9968 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 961:
#line 197 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6; }
#line 9974 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 962:
#line 198 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6_SADR; }
#line 9980 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 963:
#line 199 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN4; }
#line 9986 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 964:
#line 200 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN6; }
#line 9992 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 965:
#line 201 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA4; }
#line 9998 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 966:
#line 202 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA6; }
#line 10004 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 967:
#line 203 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW4; }
#line 10010 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 968:
#line 204 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW6; }
#line 10016 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 970:
#line 209 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_MPLS; }
#line 10022 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 973:
#line 221 "nest/config.Y" /* yacc.c:1646  */
    {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 10030 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 975:
#line 228 "nest/config.Y" /* yacc.c:1646  */
    { this_table->sorted = 1; }
#line 10036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 976:
#line 232 "nest/config.Y" /* yacc.c:1646  */
    { this_table->sorted = (yyvsp[0].i); }
#line 10042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 977:
#line 233 "nest/config.Y" /* yacc.c:1646  */
    { this_table->debug = (yyvsp[0].i); }
#line 10048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 978:
#line 234 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 10058 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 979:
#line 239 "nest/config.Y" /* yacc.c:1646  */
    { this_table->min_settle_time = (yyvsp[0].time); }
#line 10064 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 980:
#line 240 "nest/config.Y" /* yacc.c:1646  */
    { this_table->max_settle_time = (yyvsp[0].time); }
#line 10070 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 981:
#line 241 "nest/config.Y" /* yacc.c:1646  */
    { this_table->gc_threshold = (yyvsp[0].i); }
#line 10076 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 982:
#line 242 "nest/config.Y" /* yacc.c:1646  */
    { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 10082 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 987:
#line 258 "nest/config.Y" /* yacc.c:1646  */
    { proto_postconfig(); }
#line 10088 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 988:
#line 261 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_PROTO; }
#line 10094 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 989:
#line 262 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_TEMPLATE; }
#line 10100 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 990:
#line 266 "nest/config.Y" /* yacc.c:1646  */
    {
     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 10111 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 991:
#line 272 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol(new_config, (yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 10120 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 992:
#line 276 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10135 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 993:
#line 286 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol(new_config, (yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10148 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 995:
#line 298 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->disabled = (yyvsp[0].i); }
#line 10154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 996:
#line 299 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->debug = (yyvsp[0].i); }
#line 10160 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 997:
#line 300 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->mrtdump = (yyvsp[0].i); }
#line 10166 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 998:
#line 301 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->router_id = (yyvsp[0].i32); }
#line 10172 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 999:
#line 302 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->dsc = (yyvsp[0].t); }
#line 10178 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 303 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 10184 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 304 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 10190 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 309 "nest/config.Y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 10198 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 314 "nest/config.Y" /* yacc.c:1646  */
    {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 10208 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 319 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_filter = (yyvsp[0].f); }
#line 10214 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 320 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_filter = (yyvsp[0].f); }
#line 10220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 321 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rx_limit = (yyvsp[0].cl); }
#line 10226 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 322 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_limit = (yyvsp[0].cl); }
#line 10232 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 323 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_limit = (yyvsp[0].cl); }
#line 10238 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 324 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 10244 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 325 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 10250 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 326 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 10256 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 332 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->debug = (yyvsp[0].i); }
#line 10262 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 346 "nest/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 10273 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 356 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 10279 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 359 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = (yyvsp[0].f); }
#line 10285 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 361 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_ACCEPT; }
#line 10291 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 362 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_REJECT; }
#line 10297 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 366 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 10303 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 367 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_WARN; }
#line 10309 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 368 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_BLOCK; }
#line 10315 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 369 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_RESTART; }
#line 10321 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 370 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 10327 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 374 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 10333 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 375 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){}; }
#line 10339 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 382 "nest/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_debug = (yyvsp[0].i); }
#line 10345 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 383 "nest/config.Y" /* yacc.c:1646  */
    { new_config->channel_default_debug = (yyvsp[0].i); }
#line 10351 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 384 "nest/config.Y" /* yacc.c:1646  */
    { new_config->table_default_debug = (yyvsp[0].i); }
#line 10357 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 385 "nest/config.Y" /* yacc.c:1646  */
    { new_config->cli_debug = (yyvsp[0].i); }
#line 10363 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 393 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_route; }
#line 10369 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 394 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_proto; }
#line 10375 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 395 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_base; }
#line 10381 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 396 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_log; }
#line 10387 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 400 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 10393 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 401 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 10399 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 402 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 10405 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 403 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 10411 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 404 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 10417 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 405 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 10423 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 406 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 10429 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 407 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 10435 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 418 "nest/config.Y" /* yacc.c:1646  */
    {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 10445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 426 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 10451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 427 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 10457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 431 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 1; }
#line 10463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 432 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 0; }
#line 10469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 446 "nest/config.Y" /* yacc.c:1646  */
    { iface_patt_check(); }
#line 10475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 448 "nest/config.Y" /* yacc.c:1646  */
    {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 10485 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 460 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 10491 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 461 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 10497 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 468 "nest/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 10506 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 479 "nest/config.Y" /* yacc.c:1646  */
    { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 10512 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 483 "nest/config.Y" /* yacc.c:1646  */
    {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 10522 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 497 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 10528 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 498 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 499 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 10540 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 504 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10546 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 508 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_STATES; }
#line 10552 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 509 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_ROUTES; }
#line 10558 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 510 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_FILTERS; }
#line 10564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 511 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_IFACES; }
#line 10570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 512 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_EVENTS; }
#line 10576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 513 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_PACKETS; }
#line 10582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 519 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 10588 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 520 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 521 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 10600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 526 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10606 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 530 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_STATES; }
#line 10612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 531 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_MESSAGES; }
#line 10618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 558 "nest/config.Y" /* yacc.c:1646  */
    {
  init_password_list();
  if ((yyvsp[0].v).type == T_BYTESTRING)
    init_password((yyvsp[0].v).val.bs->data, (yyvsp[0].v).val.bs->length, password_id++);
  else if ((yyvsp[0].v).type == T_STRING)
    init_password((yyvsp[0].v).val.s, strlen((yyvsp[0].v).val.s), password_id++);
  else bug("Bad bytestring_text");
}
#line 10631 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 568 "nest/config.Y" /* yacc.c:1646  */
    { }
#line 10637 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 569 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = (yyvsp[-2].time); }
#line 10643 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 570 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = (yyvsp[-2].time); }
#line 10649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 571 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accfrom = (yyvsp[-2].time); }
#line 10655 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 572 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accto = (yyvsp[-2].time); }
#line 10661 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 573 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 10667 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 574 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 10673 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 575 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 10679 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 576 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->alg = (yyvsp[-2].i); }
#line 10685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 580 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_MD5; }
#line 10691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 581 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA1; }
#line 10697 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 582 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA256; }
#line 10703 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 583 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA384; }
#line 10709 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 584 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA512; }
#line 10715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 585 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_MD5; }
#line 10721 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 586 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA1; }
#line 10727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 587 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA256; }
#line 10733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 588 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA384; }
#line 10739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 589 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA512; }
#line 10745 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 590 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2S_128; }
#line 10751 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 591 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2S_256; }
#line 10757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 592 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2B_256; }
#line 10763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 593 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2B_512; }
#line 10769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 597 "nest/config.Y" /* yacc.c:1646  */
    {
  password_validate_length(this_p_item);
}
#line 10777 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 605 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 10783 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 606 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 10789 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 607 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 10795 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 608 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 10801 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 609 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 10807 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 610 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 10813 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 611 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 10819 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 627 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_status(); }
#line 10825 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 630 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_memory(); }
#line 10831 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 633 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 10837 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 636 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 10843 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 639 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 10849 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 640 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.s) = NULL; }
#line 10855 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 644 "nest/config.Y" /* yacc.c:1646  */
    { if_show(); }
#line 10861 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 647 "nest/config.Y" /* yacc.c:1646  */
    { if_show_summary(); }
#line 10867 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 651 "nest/config.Y" /* yacc.c:1646  */
    { rt_show((yyvsp[-1].ra)); }
#line 10873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 671 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = config;
   }
#line 10884 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 677 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_EQUAL;
   }
#line 10895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 683 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_FOR;
   }
#line 10906 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 689 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_IN;
   }
#line 10918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 696 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 10929 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 702 "nest/config.Y" /* yacc.c:1646  */
    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 10941 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 709 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 10951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 714 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 10961 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 719 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 10971 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 724 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 10981 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 729 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 10990 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 733 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 10999 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 737 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 11008 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 741 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 751 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11035 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 758 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11049 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 767 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 11058 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 771 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 11067 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 778 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 11076 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 785 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 11085 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 789 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 11094 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 793 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 11103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 797 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 11119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 813 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 11125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 814 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 11131 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 817 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_PREEXPORT; }
#line 11137 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 818 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORT; }
#line 11143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 819 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_NOEXPORT; }
#line 11149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 820 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORTED; }
#line 11155 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 825 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4"; }
#line 11161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 826 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mc"; }
#line 11167 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 827 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mpls"; }
#line 11173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 828 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6"; }
#line 11179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 829 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mc"; }
#line 11185 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 830 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mpls"; }
#line 11191 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 831 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-sadr"; }
#line 11197 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 832 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4"; }
#line 11203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 833 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mc"; }
#line 11209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 834 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mpls"; }
#line 11215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 835 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6"; }
#line 11221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 836 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mc"; }
#line 11227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 837 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mpls"; }
#line 11233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 838 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa4"; }
#line 11239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 839 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa6"; }
#line 11245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 840 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow4"; }
#line 11251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 841 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow6"; }
#line 11257 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 842 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "mpls"; }
#line 11263 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 843 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "pri"; }
#line 11269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 844 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "sec"; }
#line 11275 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 848 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 11287 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 859 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_symbols((yyvsp[-1].sd)); }
#line 11293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 868 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 11301 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 871 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 11307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 872 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 11313 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 873 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 11319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 874 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 11325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 875 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 11331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 876 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 11337 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 882 "nest/config.Y" /* yacc.c:1646  */
    { rdump(&root_pool); cli_msg(0, ""); }
#line 11343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 884 "nest/config.Y" /* yacc.c:1646  */
    { sk_dump_all(); cli_msg(0, ""); }
#line 11349 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 886 "nest/config.Y" /* yacc.c:1646  */
    { io_log_dump(); cli_msg(0, ""); }
#line 11355 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 888 "nest/config.Y" /* yacc.c:1646  */
    { if_dump_all(); cli_msg(0, ""); }
#line 11361 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 890 "nest/config.Y" /* yacc.c:1646  */
    { neigh_dump_all(); cli_msg(0, ""); }
#line 11367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 892 "nest/config.Y" /* yacc.c:1646  */
    { rta_dump_all(); cli_msg(0, ""); }
#line 11373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 894 "nest/config.Y" /* yacc.c:1646  */
    { rt_dump_all(); cli_msg(0, ""); }
#line 11379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 896 "nest/config.Y" /* yacc.c:1646  */
    { protos_dump_all(); cli_msg(0, ""); }
#line 11385 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 898 "nest/config.Y" /* yacc.c:1646  */
    { filters_dump_all(); cli_msg(0, ""); }
#line 11391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 901 "nest/config.Y" /* yacc.c:1646  */
    { cmd_eval(f_linearize((yyvsp[-1].x), 1)); }
#line 11397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 904 "nest/config.Y" /* yacc.c:1646  */
    {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 11406 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 910 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 11412 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 911 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11418 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 912 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 11424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 916 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 4096; }
#line 11430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 917 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 11439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 924 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 926 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 928 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 930 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 11463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 932 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 11469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 934 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 11475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 938 "nest/config.Y" /* yacc.c:1646  */
    { /* Done in debug_args */  }
#line 11481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 950 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 11487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 951 "nest/config.Y" /* yacc.c:1646  */
    { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 11493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 956 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 11499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 959 "nest/config.Y" /* yacc.c:1646  */
    { this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 11505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 962 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 11511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 963 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 11517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 964 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 11523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 968 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 11529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 969 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 11535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 970 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 11541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 973 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 11547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 975 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_LABEL); }
#line 11553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 976 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_MPLS_POLICY, EA_MPLS_POLICY); }
#line 11559 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 977 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_CLASS); }
#line 11565 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 35 "nest/mpls.Y" /* yacc.c:1646  */
    { this_mpls_domain = mpls_domain_config_new((yyvsp[0].s)); }
#line 11571 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 51 "nest/mpls.Y" /* yacc.c:1646  */
    { mpls_domain_postconfig(this_mpls_domain); this_mpls_domain = NULL; }
#line 11577 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 57 "nest/mpls.Y" /* yacc.c:1646  */
    {
  if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == STATIC))
    this_mpls_range = this_mpls_domain->static_range;
  else if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == DYNAMIC))
    this_mpls_range = this_mpls_domain->dynamic_range;
  else
    this_mpls_range = mpls_range_config_new(this_mpls_domain, (yyvsp[0].s));
}
#line 11590 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 67 "nest/mpls.Y" /* yacc.c:1646  */
    { this_mpls_range->start = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range start must be less than 2^20"); }
#line 11596 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 68 "nest/mpls.Y" /* yacc.c:1646  */
    { this_mpls_range->length = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range length must be less than 2^20"); if (!(yyvsp[0].i)) cf_error("MPLS label range length must be nonzero"); }
#line 11602 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 82 "nest/mpls.Y" /* yacc.c:1646  */
    {
  struct mpls_range_config *r = this_mpls_range;

  if ((r->start == (uint) -1) || (r->length == (uint) -1))
    cf_error("MPLS label range start and length must be specified");

  if (r->start + r->length > MPLS_MAX_LABEL)
    cf_error("MPLS label range end must be less than 2^20");

  this_mpls_range = NULL;
}
#line 11618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 98 "nest/mpls.Y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(&channel_mpls, net_label[NET_MPLS], NET_MPLS, this_proto);

  if (EMPTY_LIST(new_config->mpls_domains))
  {
    int counter = 0;
    mpls_domain_config_new(cf_default_name(new_config, "mpls%d", &counter));
    cf_warn("No MPLS domain defined");
  }

  /* Default values for new channel */
  if (!MPLS_CC->domain)
  {
    MPLS_CC->domain = cf_default_mpls_domain(new_config);
    MPLS_CC->label_policy = MPLS_POLICY_PREFIX;
  }
}
#line 11640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 117 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_STATIC; }
#line 11646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 118 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_PREFIX; }
#line 11652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 119 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_AGGREGATE; }
#line 11658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 120 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_VRF; }
#line 11664 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 125 "nest/mpls.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_DOMAIN); MPLS_CC->domain = (yyvsp[0].s)->mpls_domain; }
#line 11670 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 126 "nest/mpls.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_RANGE); MPLS_CC->range = (yyvsp[0].s)->mpls_range; }
#line 11676 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 127 "nest/mpls.Y" /* yacc.c:1646  */
    { MPLS_CC->range = MPLS_CC->domain->static_range; }
#line 11682 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 128 "nest/mpls.Y" /* yacc.c:1646  */
    { MPLS_CC->range = MPLS_CC->domain->dynamic_range; }
#line 11688 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 129 "nest/mpls.Y" /* yacc.c:1646  */
    { MPLS_CC->label_policy = (yyvsp[0].i); }
#line 11694 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 142 "nest/mpls.Y" /* yacc.c:1646  */
    { mpls_channel_postconfig(this_channel); }
#line 11700 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 147 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if (EMPTY_LIST(config->mpls_domains))
       cf_error("No MPLS domain defined");

     (yyval.msrc) = cfg_allocz(sizeof(struct mpls_show_ranges_cmd));
   }
#line 11711 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 154 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == SYM_MPLS_DOMAIN)
     {
       if ((yyval.msrc)->domain)
	cf_error("Only one MPLS domain expected");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_domain;
     }
     else if ((yyvsp[0].s)->class == SYM_MPLS_RANGE)
     {
       if ((yyval.msrc)->range)
	cf_error("Only one MPLS label range expected");

       if ((yyval.msrc)->domain != (yyvsp[0].s)->mpls_range->domain)
	cf_error("MPLS label range from different MPLS domain");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_range->domain;
       (yyval.msrc)->range = (yyvsp[0].s)->mpls_range;
     }
     else
       cf_error("MPLS domain or label range expected");
   }
#line 11738 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 177 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->static_range;
   }
#line 11750 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 185 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->dynamic_range;
   }
#line 11762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 195 "nest/mpls.Y" /* yacc.c:1646  */
    { mpls_show_ranges((yyvsp[-1].msrc)); }
#line 11768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 32 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_aggregator, (yyvsp[-1].i));
  this_channel = AGGREGATOR_CFG->src = channel_config_new(NULL, "source", 0, this_proto);
  AGGREGATOR_CFG->dst = channel_config_new(NULL, "destination", 0, this_proto);

  AGGREGATOR_CFG->src->ra_mode = AGGREGATOR_CFG->dst->ra_mode = RA_ANY;
}
#line 11780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 43 "proto/aggregator/config.Y" /* yacc.c:1646  */
    { AGGREGATOR_CFG->dst->table = (yyvsp[0].r); }
#line 11786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 44 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
    if (AGGREGATOR_CFG->aggr_on)
      cf_error("Only one aggregate on clause allowed");

    _Bool net_present = 0;
    int count = 0;

    for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
//      log(L_WARN "type %d sacode %d", item->i.type, item->i.sa.sa_code);
      if (item->i.type == AGGR_ITEM_STATIC_ATTR && item->i.sa.sa_code == SA_NET)
	net_present = 1;

      count++;
    }

   if (!net_present)
     cf_error("'NET' must be present");

   AGGREGATOR_CFG->aggr_on = cfg_alloc(sizeof(struct aggr_item) * count);

   int pos = 0;
   for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
     if (item->i.type == AGGR_ITEM_DYNAMIC_ATTR)
       AGGREGATOR_CFG->aggr_on_da_count++;

     AGGREGATOR_CFG->aggr_on[pos++] = item->i;
   }

   AGGREGATOR_CFG->aggr_on_count = pos;
 }
#line 11821 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 74 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
   cf_push_block_scope(new_config);
   cf_create_symbol(new_config, "routes", SYM_VARIABLE | T_ROUTES_BLOCK, offset, f_new_var(sym_->scope));
 }
#line 11830 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 77 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
   cf_pop_block_scope(new_config);
   (yyvsp[0].fl)->args++;
   AGGREGATOR_CFG->merge_by = (yyvsp[0].fl);
 }
#line 11840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 90 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
       if ((yyvsp[0].ai) == NULL) {
         (yyval.ai) = (yyvsp[-2].ai);
       } else {
         (yyval.ai) = (yyvsp[0].ai);
         (yyval.ai)->next = (yyvsp[-2].ai);
       }
   }
#line 11853 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 101 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
       (yyval.ai) = AGGR_ITEM_ALLOC;
       (yyval.ai)->i.type = AGGR_ITEM_TERM;
       (yyval.ai)->i.line = f_linearize((yyvsp[-1].x), 1);
    }
#line 11863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 106 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
      switch ((yyvsp[0].s)->class) {
        case SYM_ATTRIBUTE:
          (yyval.ai) = AGGR_ITEM_ALLOC;
          (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
          (yyval.ai)->i.da = *(yyvsp[0].s)->attribute;
          break;
        case SYM_CONSTANT_RANGE:
          (yyval.ai) = NULL;
          break;
        default:
          cf_error("Can't aggregate on symbol type %s.", cf_symbol_class_name((yyvsp[0].s)));
      }
    }
#line 11882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 120 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
      (yyval.ai)->i.da = (yyvsp[0].fda);
    }
#line 11892 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 125 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_STATIC_ATTR;
      (yyval.ai)->i.sa = (yyvsp[0].fsa);
    }
#line 11902 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 39 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 11914 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 53 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 11920 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 66 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 11926 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 67 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 11932 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 68 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 11938 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 69 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 11944 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 73 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 11953 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 81 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 11970 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 95 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 11993 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 115 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 11999 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 116 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 12005 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 117 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 12011 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 118 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 12017 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 119 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 12023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 120 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->passive = (yyvsp[0].i); }
#line 12029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 121 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 12035 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 122 "proto/bfd/config.Y" /* yacc.c:1646  */
    {}
#line 12041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 126 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_NONE; }
#line 12047 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 127 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 12053 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 128 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 12059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 129 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 12065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 130 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 12071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 131 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 12077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 149 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->multihop = BFD_IFACE; }
#line 12083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 153 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 12089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 154 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 12095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 155 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 12101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 159 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = IPA_NONE; }
#line 12107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 160 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = (yyvsp[0].a); }
#line 12113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 164 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 12119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 165 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 12125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 169 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 12145 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 190 "proto/bfd/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].bssc)->name, &proto_bfd, p) bfd_show_sessions(p, (yyvsp[-1].bssc)); }
#line 12151 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 202 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc) = cfg_allocz(sizeof(struct bfd_show_sessions_cmd)); }
#line 12157 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 203 "proto/bfd/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.bssc)->name = (yyvsp[0].s); }
#line 12163 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 204 "proto/bfd/config.Y" /* yacc.c:1646  */
    { net_copy(&((yyval.bssc)->address), &((yyvsp[0].net))); }
#line 12169 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 205 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 12175 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 206 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 12181 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 207 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->verbose = 1; }
#line 12187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 208 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->ipv4 = 1; if ((yyval.bssc)->ipv6) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 12193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 209 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->ipv6 = 1; if ((yyval.bssc)->ipv4) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 12199 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 210 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->direct = 1; if ((yyval.bssc)->multihop) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 12205 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 211 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->multihop = 1; if ((yyval.bssc)->direct) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 12211 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 36 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 12221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 46 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 12227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 59 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->rtt_min = BABEL_RTT_MIN;
  BABEL_IFACE->rtt_max = BABEL_RTT_MAX;
  BABEL_IFACE->rtt_decay = BABEL_RTT_DECAY;
  BABEL_IFACE->rtt_send = 1;
  BABEL_IFACE->check_link = 1;
  BABEL_IFACE->ext_next_hop = 1;
}
#line 12250 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 80 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
    if (BABEL_IFACE->type == BABEL_IFACE_TYPE_TUNNEL && !BABEL_IFACE->rtt_cost)
      BABEL_IFACE->rtt_cost = BABEL_RXCOST_RTT;
  }

  if (BABEL_IFACE->rtt_cost && !BABEL_IFACE->rtt_send)
    cf_error("Can't set RTT cost when sending timestamps is disabled");

  if (BABEL_IFACE->rtt_min >= BABEL_IFACE->rtt_max)
    cf_error("Min RTT must be smaller than max RTT");

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 12318 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 146 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12324 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 147 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 12330 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 148 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 12336 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 149 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 12342 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 150 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 12348 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 151 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_TUNNEL; }
#line 12354 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 152 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 12360 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 153 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 12366 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 154 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 12372 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 155 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 12378 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 156 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 12384 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 157 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 12390 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 158 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 12396 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 159 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 12402 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 160 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 12408 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 161 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->ext_next_hop = (yyvsp[0].i); }
#line 12414 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 162 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 12420 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 163 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 12426 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 164 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 12432 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 165 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_min = (yyvsp[0].time); }
#line 12438 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 166 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_max = (yyvsp[0].time); }
#line 12444 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 167 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_cost = (yyvsp[0].i); if ((yyvsp[0].i) >= BABEL_INFINITY) cf_error("RTT cost must be < 65535"); }
#line 12450 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 168 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_decay = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 256)) cf_error("RTT decay must be between 1-256"); }
#line 12456 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 169 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_send = (yyvsp[0].i); }
#line 12462 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 187 "proto/babel/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 12468 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 192 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 12474 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 195 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 12480 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 198 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 12486 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 201 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 12492 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 50 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_enhanced_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->local_role = BGP_ROLE_UNDEFINED;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
     BGP_CFG->send_hold_time = -1;
   }
#line 12529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 86 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 87 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_as = (yyvsp[0].i); }
#line 12541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 92 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 93 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 12553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 94 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 12559 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 95 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 12565 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 100 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 12571 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 101 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 12577 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 106 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 12583 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 110 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 0; }
#line 12589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 111 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 1; }
#line 12595 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 112 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 2; }
#line 12601 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 113 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 3; }
#line 12607 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 114 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 4; }
#line 12613 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 115 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 5; }
#line 12619 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 116 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 6; }
#line 12625 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 117 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 7; }
#line 12631 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 118 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 8; }
#line 12637 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 122 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_PEER; }
#line 12643 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 123 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_PROVIDER; }
#line 12649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 124 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_CUSTOMER; }
#line 12655 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 125 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_RS_SERVER; }
#line 12661 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 126 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_RS_CLIENT; }
#line 12667 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 135 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 12676 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 140 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 12687 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 146 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 12699 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 153 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 12705 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 154 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 12711 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 155 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 12717 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 156 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 12723 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 157 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 12729 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 158 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 12735 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 159 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->hold_time = (yyvsp[-1].i); if (((yyvsp[-1].i) && (yyvsp[-1].i)<3) || ((yyvsp[-1].i)>65535)) cf_error("Hold time must be in range 3-65535 or zero"); }
#line 12741 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 160 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_hold_time = (yyvsp[-1].i); }
#line 12747 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 161 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 12753 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 162 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 0; }
#line 12759 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 163 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 64; }
#line 12765 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 164 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 12771 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 165 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 12781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 170 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 12787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 171 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 12793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 172 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 12799 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 173 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 12805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 174 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 12811 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 175 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 12817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 176 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 12823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 177 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 12829 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 178 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 12835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 179 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 12841 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 180 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 12847 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 181 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); cf_warn("%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 12853 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 182 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 12859 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 183 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 12865 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 184 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->keepalive_time = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>65535)) cf_error("Keepalive time must be in range 1-65535"); }
#line 12871 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 185 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_keepalive_time = (yyvsp[-1].i); }
#line 12877 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 186 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->send_hold_time = (yyvsp[-1].i); }
#line 12883 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 187 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 12889 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 188 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 12895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 189 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 12901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 190 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 12907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 191 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 12913 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 192 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_enhanced_refresh = (yyvsp[-1].i); }
#line 12919 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 193 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 12925 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 194 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 12931 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 195 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 12937 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 196 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_refresh = (yyvsp[-1].i); }
#line 12943 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 197 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_enhanced_refresh = (yyvsp[-1].i); }
#line 12949 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 198 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_as4 = (yyvsp[-1].i); }
#line 12955 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 199 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_extended_messages = (yyvsp[-1].i); }
#line 12961 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 200 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_hostname = (yyvsp[-1].i); }
#line 12967 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 201 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_gr = (yyvsp[-1].i); }
#line 12973 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 202 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_llgr = (yyvsp[-1].i); }
#line 12979 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 203 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 12985 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 204 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->password = (yyvsp[-1].t); }
#line 12991 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 205 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 12997 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 206 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->passive = (yyvsp[-1].i); }
#line 13003 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 207 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 13009 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 208 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = -1; }
#line 13015 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 209 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 13021 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 210 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 13027 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 211 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_med = (yyvsp[-1].i); }
#line 13033 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 212 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 13039 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 213 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 13045 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 214 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 13051 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 215 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 13057 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 216 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 13063 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 217 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 13069 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 218 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 13075 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 219 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 13081 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 220 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 13087 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 221 "proto/bgp/config.Y" /* yacc.c:1646  */
    { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 13093 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 222 "proto/bgp/config.Y" /* yacc.c:1646  */
    { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 13099 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 223 "proto/bgp/config.Y" /* yacc.c:1646  */
    { open_bfd_opts(&BGP_CFG->bfd); }
#line 13105 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 223 "proto/bgp/config.Y" /* yacc.c:1646  */
    { close_bfd_opts(); }
#line 13111 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 224 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 13117 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 225 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_role = (yyvsp[-1].i); }
#line 13123 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 226 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_roles = (yyvsp[-1].i); }
#line 13129 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 227 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_rx = (yyvsp[-1].i); }
#line 13135 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 231 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4; }
#line 13141 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 232 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6; }
#line 13147 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 233 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 13153 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 234 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 13159 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 235 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 13165 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 236 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 13171 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 237 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 13177 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 238 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 13183 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 239 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 13189 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 240 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 13195 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 241 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW4; }
#line 13201 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 242 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW6; }
#line 13207 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 246 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 13235 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 271 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 13241 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 272 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_IBGP; }
#line 13247 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 273 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_EBGP; }
#line 13253 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 279 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 13259 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 280 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 13265 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 281 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 13271 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 282 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_prefer = NHP_GLOBAL; }
#line 13277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 283 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->mandatory = (yyvsp[0].i); }
#line 13283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 284 "proto/bgp/config.Y" /* yacc.c:1646  */
    { cf_warn("%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 13289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 285 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_DIRECT; }
#line 13295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 286 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 13301 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 287 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->secondary = (yyvsp[0].i); }
#line 13307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 288 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 13317 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 293 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gr_able = (yyvsp[0].i); }
#line 13323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 294 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 13329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 295 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 13335 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 296 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 13341 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 297 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->require_ext_next_hop = (yyvsp[0].i);  if (BGP_AFI(BGP_CC->afi) != BGP_AFI_IPV4) cf_warn("Require extended next hop option ignored for non-IPv4 channels"); }
#line 13347 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 298 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 13353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 299 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 13359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 300 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 13365 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 301 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->require_add_path = (yyvsp[0].i); }
#line 13371 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 302 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->import_table = (yyvsp[0].i); }
#line 13377 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 303 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->export_table = (yyvsp[0].i); }
#line 13383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 304 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 13389 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 305 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 13395 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 306 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 13401 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 307 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 13417 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 318 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 13432 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 341 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 13443 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 352 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN));	(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13449 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 354 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH));		(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13455 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 356 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP));	(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13461 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 358 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 13467 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 360 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF));		(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13473 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 362 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); (yyval.fda).flags = BAF_TRANSITIVE; }
#line 13479 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 364 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13485 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 366 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13491 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 368 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 13497 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 370 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 13503 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 372 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13509 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 374 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 13515 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 376 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); (yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13521 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 378 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_ONLY_TO_CUSTOMER));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13527 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 380 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-3].i) > 255 || (yyvsp[-3].i) < 1)
    cf_error("Invalid attribute number (Given %i, must be 1-255)", (yyvsp[-3].i));
  if ((yyvsp[-2].i) != T_BYTESTRING)
    cf_error("Attribute type must be bytestring, not %s", f_type_name((yyvsp[-2].i)));
  if (bgp_attr_name((yyvsp[-3].i)))
    cf_error("Attribute BGP.%d already known as %s", (yyvsp[-3].i), bgp_attr_name((yyvsp[-3].i)));

  struct f_dynamic_attr *a = cfg_alloc(sizeof(struct f_dynamic_attr));
  *a = f_new_dynamic_attr(f_type_attr((yyvsp[-2].i)), T_BYTESTRING, EA_CODE(PROTOCOL_BGP, (yyvsp[-3].i)));
  a->flags = BAF_TRANSITIVE | BAF_OPTIONAL;
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, a);
}
#line 13545 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 53 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    {
  /* Redefining proto_channel to change default values */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
  if (!this_channel->copy)
  {
    this_channel->out_filter = FILTER_ACCEPT;
    this_channel->preference = net_val_match((yyvsp[0].i), NB_IP) ?
      DEF_PREF_L3VPN_IMPORT :
      DEF_PREF_L3VPN_EXPORT;
  }
}
#line 13561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 68 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_l3vpn, (yyvsp[-1].i));
}
#line 13569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 77 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->rd = (yyvsp[0].i64); }
#line 13575 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 78 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->rd = (yyvsp[0].i64); }
#line 13581 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 79 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->import_target = (yyvsp[0].e); }
#line 13587 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 80 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 13593 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 81 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->import_target = L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 13599 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 94 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { f_tree_only_rt((yyvsp[0].e)); (yyval.e) = (yyvsp[0].e); }
#line 13605 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 95 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { f_tree_only_rt((yyvsp[-1].e)); (yyval.e) = build_tree((yyvsp[-1].e)); }
#line 13611 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 29 "proto/mrt/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 13619 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 35 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 13625 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 36 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 13631 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 37 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 13637 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 38 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 13643 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 39 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filename = (yyvsp[0].t); }
#line 13649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 40 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->period = (yyvsp[0].i); }
#line 13655 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 41 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 13661 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 50 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_check_config(this_proto); }
#line 13667 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 54 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_dump_cmd((yyvsp[-1].md)); }
#line 13673 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 62 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 13679 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 63 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 13685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 64 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 13691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 65 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 13697 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 66 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 13703 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 67 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 13709 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 212 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_proto_finish(); }
#line 13715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 215 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 13721 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 216 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 13727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 217 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 13733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 221 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 13751 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 241 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 13757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 242 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 13763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 247 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 13775 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 259 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 13781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 260 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 13787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 261 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 13793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 262 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 13799 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 263 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 13805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 264 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 13811 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 265 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 13817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 266 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 13823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 267 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 13829 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 268 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 13835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 269 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 13841 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 270 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 13847 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 271 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 13853 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 275 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 13871 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 290 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_area_finish(); }
#line 13877 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 299 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 13883 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 300 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = OPT_N; }
#line 13889 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 301 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->summary = (yyvsp[0].i); }
#line 13895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 302 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_nssa = (yyvsp[0].i); }
#line 13901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 303 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 13907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 304 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 13913 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 305 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 13919 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 306 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->translator = (yyvsp[0].i); }
#line 13925 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 307 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->transint = (yyvsp[0].i); }
#line 13931 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 308 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->net_list; }
#line 13937 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 309 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->enet_list; }
#line 13943 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 321 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 13954 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 335 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->hidden = (yyvsp[0].i); }
#line 13960 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 336 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->summary = (yyvsp[0].i); }
#line 13966 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 337 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->cost = (yyvsp[0].i); }
#line 13972 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 341 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 13978 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 342 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 13984 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 351 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 13990 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 352 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 13996 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 353 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 14002 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 354 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14008 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 355 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 14014 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 356 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 14020 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 357 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 14026 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 358 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 14032 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 359 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 14038 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 364 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 14058 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 382 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 14064 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 383 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 14070 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 384 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 14076 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 385 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 14082 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 386 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14088 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 387 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 14094 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 388 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 14100 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 389 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 14106 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 390 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 14112 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 391 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 14118 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 392 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 14124 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 393 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 14130 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 394 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 14136 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 395 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 14142 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 396 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 14148 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 397 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 14154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 398 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 14160 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 399 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 14166 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 400 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 14172 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 401 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 14178 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 402 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 14184 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 403 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 14190 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 404 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 14196 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 405 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 14202 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 406 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 14208 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 408 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 14214 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 409 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 14220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 410 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 14226 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 411 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = 0; }
#line 14232 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 412 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 14238 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 413 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 14244 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 414 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 14250 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 415 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 14256 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 416 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 14262 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 417 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 14268 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 418 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = 2; }
#line 14274 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 419 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 14280 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 431 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 14290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 440 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->hidden = 1; }
#line 14296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 441 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->tag = (yyvsp[0].i); }
#line 14302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 450 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 14308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 451 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 14314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 455 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 14325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 464 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 14350 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 488 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 14356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 492 "proto/ospf/config.Y" /* yacc.c:1646  */
    { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 14362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 506 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 14368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 509 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 14374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 510 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 14380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 511 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 14386 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 512 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 14392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 516 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 14398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 519 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 14404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 522 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 14410 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 527 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 14416 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 530 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 14422 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 535 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 14428 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 538 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 14434 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 542 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 14445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 558 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 14453 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 561 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 14459 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 562 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 14465 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 563 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 14471 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 564 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 14477 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 565 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 14483 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 566 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 14489 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 567 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 14495 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 568 "proto/ospf/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 14501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 27 "proto/perf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 14517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 46 "proto/perf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 14523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 47 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->from = (yyvsp[0].i); }
#line 14529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 48 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->to = (yyvsp[0].i); }
#line 14535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 49 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->repeat = (yyvsp[0].i); }
#line 14541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 50 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 14547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 51 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 14553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 52 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 14559 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 53 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->keep = (yyvsp[0].i); }
#line 14565 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 54 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 14571 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 55 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 14577 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 23 "proto/pipe/config.Y" /* yacc.c:1646  */
    { this_channel = NULL; }
#line 14583 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 26 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 14591 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 30 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 14604 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 43 "proto/pipe/config.Y" /* yacc.c:1646  */
    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 14610 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 56 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
  init_list(&RADV_CFG->custom_list);
}
#line 14625 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 71 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 14631 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 72 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 14637 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 72 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 14643 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 73 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 14649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 73 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 14655 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 74 "proto/radv/config.Y" /* yacc.c:1646  */
    { radv_add_to_custom_list(&RADV_CFG->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 14661 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 75 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->trigger = (yyvsp[0].net); }
#line 14667 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 76 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 14673 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 89 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);
  init_list(&RADV_IFACE->custom_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 14700 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 113 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 14706 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 114 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 14712 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 115 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 14718 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 116 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 14724 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 117 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->managed = (yyvsp[0].i); }
#line 14730 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 118 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 14736 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 119 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 14742 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 120 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 14748 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 121 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 14754 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 122 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 14760 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 123 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 14770 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 128 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 14779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 132 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 14785 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 133 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 14791 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 134 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 14797 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 135 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 14803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 136 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 14809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 137 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 14815 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 137 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 14821 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 138 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 14827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 138 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 14833 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 139 "proto/radv/config.Y" /* yacc.c:1646  */
    { radv_add_to_custom_list(&RADV_IFACE->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 14839 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 140 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 14845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 141 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 14851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 142 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->custom_local = (yyvsp[0].i); }
#line 14857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 146 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_LOW; }
#line 14863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 147 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_MEDIUM; }
#line 14869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 148 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_HIGH; }
#line 14875 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 151 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 14916 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 204 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 14930 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 215 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 14936 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 216 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 14942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 217 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 14948 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 218 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 14957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 222 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 14966 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 229 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 14978 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 253 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 14990 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 262 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 14999 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 269 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 15005 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 273 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 15021 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 297 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 15036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 309 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15045 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 316 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 15051 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 320 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 15067 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 344 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 15073 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 345 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 15079 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 349 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (uint) -1; }
#line 15085 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 350 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 15091 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 353 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 15097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 354 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 15103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 50 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 15109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 51 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 15115 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 55 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 15131 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 70 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 15137 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 71 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 15143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 72 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->infinity = (yyvsp[0].i); }
#line 15149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 86 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 15177 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 111 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 15210 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 141 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 15216 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 142 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 15222 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 143 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 15228 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 144 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->passive = (yyvsp[0].i); }
#line 15234 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 145 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 15240 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 146 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 15246 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 147 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 15255 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 151 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 15261 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 152 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 15267 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 153 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 15273 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 154 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 15279 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 155 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 15285 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 156 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 15291 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 157 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 15297 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 158 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 15303 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 159 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 15309 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 160 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 15315 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 161 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 15321 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 162 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 15327 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 163 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 15333 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 164 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 15339 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 165 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 15345 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 166 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = 2; }
#line 15351 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 167 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 15357 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 168 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 15363 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 169 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 15369 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 170 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_check_auth(); }
#line 15375 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 174 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_NONE; }
#line 15381 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 175 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_PLAIN; }
#line 15387 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 176 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 15393 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 177 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 15399 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 194 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 15405 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 195 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 15411 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 200 "proto/rip/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 15417 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 203 "proto/rip/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 15423 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 43 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 15434 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 50 "proto/rpki/config.Y" /* yacc.c:1646  */
    { rpki_check_config(RPKI_CFG); }
#line 15440 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 63 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_CFG->local_ip = (yyvsp[0].a); }
#line 15446 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 65 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 15457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 71 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 15468 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 77 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 15479 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 83 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 15485 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 87 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 15491 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 88 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 15497 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 91 "proto/rpki/config.Y" /* yacc.c:1646  */
    { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 15503 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 94 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_hostname();
  if ((yyvsp[0].v).type == T_STRING)
    RPKI_CFG->hostname = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
  {
    RPKI_CFG->ip = (yyvsp[0].v).val.ip;

    /* Ensure hostname is filled */
    char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
    bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
    RPKI_CFG->hostname = hostname;
  }
  else bug("Bad text_or_ipa");
}
#line 15523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 116 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 15533 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 123 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 15547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 139 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 15553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 140 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 15559 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 141 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 15565 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 145 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 15574 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 57 "proto/static/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 15583 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 65 "proto/static/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 15589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 67 "proto/static/config.Y" /* yacc.c:1646  */
    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 15595 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 68 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 15608 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 76 "proto/static/config.Y" /* yacc.c:1646  */
    { static_route_finish(); }
#line 15614 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 80 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 15624 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 85 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 15634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 90 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 15642 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 93 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 15650 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 96 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 15658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 99 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 15667 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 103 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 15675 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 115 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->mpls_label = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label must be less than 2^20"); }
#line 15681 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 118 "proto/static/config.Y" /* yacc.c:1646  */
    {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt->mpls_label = (uint) -1;
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 15696 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 132 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 15705 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 136 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 15715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 141 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_NONE; }
#line 15721 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 142 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 15727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 143 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 15733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 144 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 15739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 145 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 15745 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 146 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_PROHIBIT; }
#line 15751 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 150 "proto/static/config.Y" /* yacc.c:1646  */
    {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 15763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 171 "proto/static/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 15769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 34 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 15775 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 35 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 15781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 36 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 15787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 39 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 15793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 40 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 15799 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 41 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 15805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 43 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 15811 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 44 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 15817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 45 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 15823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 46 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 15829 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 47 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTHRESH); }
#line 15835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 48 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTHRESH);
				  cf_warn("Attribute krt_sstresh is deprecated (typo), use krt_ssthresh"); }
#line 15842 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 50 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 15848 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 51 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 15854 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 52 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 15860 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 53 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 15866 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 54 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 15872 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 55 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 15878 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 56 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 15884 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 57 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 15890 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 58 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_STRING, T_STRING, EA_KRT_CONGCTL); }
#line 15896 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 59 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_FASTOPEN_NO_COOKIE); }
#line 15902 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 63 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 15908 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 64 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 15914 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 65 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 15920 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 66 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 15926 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 67 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 15932 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 68 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK);
				  cf_warn("Attribute krt_lock_sstresh is deprecated (typo), use krt_lock_ssthresh"); }
#line 15939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 70 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 15945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 71 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 15951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 72 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 15957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 73 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 15963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 74 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(11, T_BOOL, EA_KRT_LOCK); }
#line 15969 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 76 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 15975 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 77 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(14, T_BOOL, EA_KRT_LOCK); }
#line 15981 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 78 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(15, T_BOOL, EA_KRT_LOCK); }
#line 15987 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 79 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(16, T_BOOL, EA_KRT_LOCK); }
#line 15993 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 80 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(17, T_BOOL, EA_KRT_LOCK); }
#line 15999 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 82 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 16005 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 83 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_FEATURES); }
#line 16011 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 36 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 16017 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 38 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 16026 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 45 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = (yyvsp[0].t); }
#line 16032 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 46 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = bird_name; }
#line 16038 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 51 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 16044 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 55 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 16059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 65 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 16065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 66 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = stderr; }
#line 16071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 67 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     this_log->udp_flag = 1;

     if (!parse_and_exit)
       log_open_udp(this_log, new_config->pool);
   }
#line 16082 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 76 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[0].v).type == T_STRING)
    this_log->host = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
    this_log->ip = (yyvsp[0].v).val.ip;
  else bug("Bad text_or_ipa");
}
#line 16094 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 85 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->port = 514; }
#line 16100 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 86 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { check_u16((yyvsp[0].i)); this_log->port = (yyvsp[0].i); }
#line 16106 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 90 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 16112 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 91 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 16118 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 95 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << (yyvsp[0].i); }
#line 16124 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 96 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 16130 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 100 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_DEBUG[0]; }
#line 16136 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 101 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_TRACE[0]; }
#line 16142 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 102 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_INFO[0]; }
#line 16148 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 103 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_REMOTE[0]; }
#line 16154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 104 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_WARN[0]; }
#line 16160 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 105 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_ERR[0]; }
#line 16166 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 106 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_AUTH[0]; }
#line 16172 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 107 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_FATAL[0]; }
#line 16178 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 108 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_BUG[0]; }
#line 16184 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 115 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 16190 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 116 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 16203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 130 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_debug = (yyvsp[0].i); }
#line 16209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 131 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_limit = (yyvsp[0].time); }
#line 16215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 132 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_warning = (yyvsp[0].time); }
#line 16221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 133 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 16227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 142 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 16233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 145 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 16239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 152 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_confirm(); }
#line 16245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 155 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_undo(); }
#line 16251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 158 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_status(); }
#line 16257 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 161 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_check_config((yyvsp[-1].t)); }
#line 16263 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 164 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_shutdown(); }
#line 16269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 169 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_graceful_restart(); }
#line 16275 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 173 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 16281 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 178 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 16287 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 179 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 16293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 180 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 16299 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 45 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 16307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 54 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? KRT_LEARN_ALIEN : KRT_LEARN_NONE; }
#line 16313 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 55 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = KRT_LEARN_ALL; }
#line 16319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 59 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 16325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 60 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 16331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 71 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 16337 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 72 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->persist = (yyvsp[0].i); }
#line 16343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 73 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 16352 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 77 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 16364 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 84 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 16370 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 85 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 16382 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 98 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 16388 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 107 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 16397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 114 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 16407 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 121 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { kif_set_preferred((yyvsp[0].a)); }
#line 16413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 138 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 16419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 139 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 16425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;


#line 16429 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyesa, &yyes, &yyes_capacity, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 59 "conf/gen_parser.m4" /* yacc.c:1906  */

#line 447 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 980 "nest/config.Y"
/* C Code from nest/config.Y */

#line 198 "nest/mpls.Y"
/* C Code from nest/mpls.Y */

#line 132 "proto/aggregator/config.Y"
/* C Code from proto/aggregator/config.Y */

#line 215 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 203 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 396 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 99 "proto/l3vpn/config.Y"
/* C Code from proto/l3vpn/config.Y */

#line 71 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 571 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 356 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 206 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 150 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 173 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 86 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 183 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 141 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

